2001-12-27  Dave Peticolas  <dave@krondo.com>

	* src/backend/postgres/test/test-db.c: expand testing

	* src/engine/Transaction.c: fix bugs. keep positive editlevel
	while committing and rolling back transaction.

2001-12-25  Dave Peticolas  <dave@krondo.com>

	* src/backend/postgres/test/test-db.c: test rollback

	* src/engine/Transaction.c: fix bug in transaction rollback

	* src/engine/test-core/test-engine-stuff.h: add test routine

	* src/engine/test-core/test-engine-stuff.c: add test routine

2001-12-20  Dave Peticolas  <dave@krondo.com>

	* src/scm/main.scm: update for api changes

	* src/report/report-gnome/window-report.h: add new init api

	* src/report/report-gnome/window-report.c: move some report
	initialization here from top-level.c

	* src/report/report-gnome/gncmod-report-gnome.c: call new report
	initialization function

	* src/report/report-gnome/Makefile.am: add app-utils dependency

	* src/gnome/top-level.h: update for api changes

	* src/gnome/top-level.c: remove some gnome initialization &
	shutdown. change ui init api.

	* src/gnome/gw-gnc-spec.scm: update for api changes

	* src/gnome/argv-list-converters.h: remove

	* src/gnome/argv-list-converters.c: remove

	* src/gnome/Makefile.am: remove argv-list-converters.[ch]

	* src/gnome-utils/gw-gnome-utils-spec.scm: g-wrap new funcs

	* src/gnome-utils/gncmod-gnome-utils.c: remove #include cruft

	* src/gnome-utils/gnc-html.c: remove #include cruft

	* src/gnome-utils/gnc-gnome-utils.h: new file

	* src/gnome-utils/gnc-gnome-utils.c: new file -- init and shutdown
	functions

	* src/gnome-utils/argv-list-converters.h: add

	* src/gnome-utils/argv-list-converters.c: add

	* src/gnome-utils/Makefile.am: add new files

	* src/gnc-ui.h: remove cruft

	* src/scm/main.scm: remove some report menu setup functionality

	* src/report/report-gnome/report-gnome.scm: move some report
	menu setup functionality here

	* src/gnome/top-level.c: take out component manager initialization
	and shutdown

	* src/engine/Transaction.c: fix spelling

	* src/backend/postgres/test/test-db.c: work on tests

	* src/backend/postgres/test/.cvsignore: ignore database dirs

	* src/backend/postgres/txn.c: fix spelling

	* src/app-utils/gncmod-app-utils.c: perform component manager
	initialization and shutdown here

	* src/app-file/gnc-file.c: suspend engine events when
	creating new session

2001-12-19  Dave Peticolas  <dave@krondo.com>

	* src/engine/gw-engine-spec.scm: g-wrap event types enum

	* src/engine/gnc-session.c: set book backend to NULL before
	destroying old book in gnc_session_load

	* src/engine/Transaction.c: do checks & events when setting
	slots for transactions and splits.

	* src/engine/GNCId.h: add a const typedef for GNCIdType

	* src/backend/postgres/test/test-db.c: add a test for backend
	transaction rollback due to stale data in the engine

	* src/backend/postgres/txn.c: fix bugs restoring one transaction
	from database.

	* src/backend/postgres/putil.h: add EXEC_QUERY

	* src/backend/postgres/price.h: add pgendGetCommodity

	* src/backend/postgres/price.c: add pgendGetCommodity

	* src/app-utils/test/test-component-manager: test g-wrapped
	component manager

	* src/app-utils/test/Makefile.am: add test-component-manager

	* src/app-utils/gw-app-utils-spec.scm: g-wrap component manager

	* src/app-utils/gnc-component-manager.h: add some SCM api

	* src/app-utils/gnc-component-manager.c : add some SCM api

2001-12-17  Dave Peticolas  <dave@krondo.com>

	* src/gnome-utils/gw-gnome-utils-spec.scm: add wrapping for widgets
	and other api

	* src/backend/postgres/test/test-db.c: add check for initial
	account balances

	* src/backend/postgres/PostgresBackend.c: fix bug. begin/commit
	account group when loading initial balances

2001-12-12  Dave Peticolas  <dave@krondo.com>

	* src/report/report-gnome/test/test-load-module: add

	* src/report/report-gnome/test/test-link-module.c: add

	* src/report/report-gnome/test/Makefile.am: add

	* src/report/report-gnome/test/.cvsignore: add

	* src/report/report-gnome/Makefile.am: add test dir

	* configure.in: configure report-gnome/test directory

2001-12-11  Rob Browning  <rlb@defaultvalue.org>

	* src/scm/command-line.scm: reorganize a little to remove some of
	the top-level actions.  Accommodate the new -path vars instead of
	the old -dir vars.
	(gnc:initialize-config-vars): new function -- initialize config
	vars to defaults, respecting any relevant envt variable
	overrides.

	* src/scm/doc.scm (gnc:find-doc-file): use
	gnc:find-localized-file, not gnc:find-file.

	* src/scm/main-window.scm: fix hooks usage to be idempotent --
	file should (re)load safely now.

	* src/scm/main.scm: migrate some loads to the top level - though
	to really do this right, we're going to need more explicit
	use-modules and gnc:module-load deps expressed everywhere.
	(gnc:find-file): new exported function.
	(gnc:find-localized-file): new exported function.
	(gnc:*config-path*): new export.
	(gnc:*share-path*): new export.
	(gnc:*doc-path*): new export.
	(gnc:flatten): new function.
	(build-path): simplify.
	(gnc:print-unstable-message): simplify.

	* src/scm/path.scm: rework doc-path handling completely, migrating
	much of the code to command-line.scm.
	(gnc:expand-path): new function.
	(gnc:load-system-config-if-needed): use gnc:*config-path*, not
	gnc:*config-dir*.
	(gnc:locale-prefixes): removed.
	(gnc:default-doc-dirs): removed.
	(gnc:_expand-doc-path_): removed.

	* src/scm/price-quotes.scm
	(gnc:*finance-quote-helper*): use gnc:*share-path*, not
	gnc:*share-dir*.

	* src/scm/tip-of-the-day.scm: rewrite to be re-loadable -- you now
	need to call an init function after loading the file.  In the long
	run, this should still become a module (guile or gnc).
	(gnc:initialize-tip-of-the-day): new function.
	(gnc:tip-of-the-day-startup-func): new function.

	* src/scm/build-config.scm.in: rename -dir_ variables to -path_
	and remove help-dir in favor of doc-path.

	* src/scm/Makefile.am (build-config.scm): remove
	GNC_PKGLIB_INSTALLDIR.

	* src/report/utility-reports/hello-world.scm
	(hello-world-renderer): modify to reflect switch from share-dir to
	share-path.

	* src/report/report-gnome/.cvsignore: add missing bits.

	* configure.in: now that libgnc-engine doesn't depend on guile any
	more, migrate the guile flags from "BASE" to the regular vars.
	(GNUCASH_ENGINE_BASE_LIBS): remove guile bits.
	(GNUCASH_ENGINE_LIBS): add guile bits.
	(GNUCASH_ENGINE_BASE_CFLAGS): remove guile bits.
	(GNUCASH_ENGINE_CFLAGS): add guile bits.

	* src/engine/.cvsignore: add a few missing bits.

	* src/engine/iso-currencies-to-c: new file -- convert
	iso-4217-currencies.scm to iso-4217-currencies.c.  Amazingly
	easily.  Woohoo for languages with built in self-parsers.

	* src/engine/Makefile.am: accommodate new automatically generated C
	code for default commodity table initialization.

	* src/engine/gnc-commodity.h
	(gnc_commodity_table_add_default_data): new prototype.

	* src/engine/gnc-commodity.c
	(gnc_commodity_table_add_default_data): new function -- populate a
	commodity table with the "default" commodities/namespaces.
	#includes the automatically generated code from
	iso-4217-currencies.

	* src/engine/engine-helpers.c
	(gnc_engine_commodity_table_new): removed.

	* src/engine/commodity-table.scm: migrate commodity table
	construction to be C-only.
	(gnc:load-iso-4217-currencies): removed.
	(gnc:setup-default-namespaces): removed.

	* src/engine/gnc-book.c (gnc_book_init): switch to use non-guile
	based gnc_commodity_table_add_default_data.

	* src/engine/engine-helpers.h: remove
	gnc_engine_commodity_table_new.

	* src/engine/engine.scm: don't export deleted
	gnc:engine-commodity-table-construct.

	* src/engine/iso-4217-currencies.scm: fix some typos.

	* src/report/report-gnome/Makefile.am
	(AM_CFLAGS): add GLADE_CFLAGS.
	(.scm-links): add report link.

	* src/report/report-gnome/.cvsignore: add *.lo and *.la.

	* src/optional/.cvsignore: add *.lo and *.la.

	* src/gnome/dialog-sxsincelast.c: #include gnc-gui-query.h

	* src/bin/overrides/gnucash-build-env.in: add report-gnome to
	test-env.  Change envt vars to reflect new scheme:
	GNC_CONFIG_PATH, GNC_SHARE_PATH, and GNC_DOC_PATH.

	* src/backend/postgres/test/test-db.c
	(db_file_url): find the postgres communication socket directory
	via envt var TEST_DB_SOCKET_DIR.

	* src/backend/postgres/test/db-control.sh: rework to communicate
	with postgres through a file system socket rather than a TCP
	connection so tests will work even on machines that don't allow
	TCP.  This was a little tricky because shell substitutions were
	fighting the PG_CTL "-o '-k x -p y'" syntax.

	* src/backend/postgres/test/Makefile.am
	(AM_CFLAGS): add GUILE_INCS.
	(TESTS_ENVIRONMENT): add TEST_DB_SOCKET_DIR.

	* intl-scm/Makefile.am (guile-strings.c): add top_srcdir.

	* configure.in (error-on-warning): make this the default.  I'm
	tired of having to fix missing #includes, mismatched types,
	etc. after an update so I can get back to work, but if anyone has
	a real problem with this, I'd be happy to reconsider.

	* src/scm/bootstrap.scm.in: deleted (a few days ago actually).

2001-12-11  Dave Peticolas  <dave@krondo.com>

	* src/tax/us/test/Makefile.am: remove report-gnome from dirs

	* src/tax/us/us.scm: don't use gw-gnc

	* src/report/utility-reports/test/Makefile.am: remove report-gnome
	from dirs

	* src/report/utility-reports/welcome-to-gnucash.scm: don't use gw-gnc

	* src/report/utility-reports/view-column.scm: don't use gw-gnc

	* src/report/utility-reports/utility-reports.scm: don't use gw-gnc

	* src/report/utility-reports/iframe-url.scm: don't use gw-gnc

	* src/report/utility-reports/hello-world.scm: don't use gw-gnc

	* src/report/stylesheets/test/Makefile.am: remove report-gnome
	from dirs

	* src/report/stylesheets/stylesheets.scm: don't use gw-gnc

	* src/report/stylesheets/stylesheet-plain.scm: don't use gw-gnc

	* src/report/stylesheets/stylesheet-fancy.scm: don't use gw-gnc

	* src/report/standard-reports/test/Makefile.am: remove report-gnome
	from dirs

	* src/report/standard-reports/transaction.scm: don't use gw-gnc

	* src/report/standard-reports/standard-reports.scm: don't use gw-gnc

	* src/report/standard-reports/register.scm: don't use gw-gnc

	* src/report/standard-reports/price-scatter.scm: don't use gw-gnc

	* src/report/standard-reports/portfolio.scm: don't use gw-gnc

	* src/report/standard-reports/pnl.scm: don't use gw-gnc

	* src/report/standard-reports/net-barchart.scm: don't use gw-gnc

	* src/report/standard-reports/category-barchart.scm: don't use gw-gnc

	* src/report/standard-reports/balance-sheet.scm: don't use gw-gnc

	* src/report/standard-reports/account-summary.scm: don't use gw-gnc

	* src/report/standard-reports/account-piecharts.scm: don't use gw-gnc

	* src/report/report-system/test/Makefile.am: remove report-gnome
	dir

	* src/report/report-system/report.scm: don't use gw-gnc

	* src/report/report-system/report-system.scm: don't use gw-gnc

	* src/report/report-gnome/window-report.c: implement report
	export handling gui here instead of in reports

	* src/report/report-gnome/report-gnome.scm: don't use gw-gnc

	* src/report/locale-specific/us/test/Makefile.am: remove
	report-gnome from dirs

	* src/report/locale-specific/us/taxtxf.scm: don't use gw-gnc.
	take out gui code.

	* src/import-export/qif-io-core/qif-io-core.scm: don't use gw-gnc

	* src/import-export/qif-import/qif-parse.scm: fix i18n

	* src/import-export/qif-import/qif-import.scm: don't use gw-gnc

	* src/gnome/gw-gnc-spec.scm: remove remaining gnome-utils wrapping

	* src/gnome-utils/test/Makefile.am: remove report-gnome from dirs

	* src/gnome-utils/gw-gnome-utils-spec.scm: add more wrapping
	from gw-gnc

	* src/gnome-utils/gnome-utils.scm: don't use gw-gnc

	* src/app-utils/test/Makefile.am: remove report-gnome from dirs

	* src/app-file/test/Makefile.am: remove report-gnome from dirs

2001-12-11  Christian Stimming  <stimming@tuhh.de>

	* src/app-utils/gnc-euro.c (gnc_convert_to_euro): Fixed rounding
	error.

	* src/gnome-utils/druid-utils.[ch]: added
	gnc_druid_set_logo_image.

2001-12-10  Dave Peticolas  <dave@krondo.com>

	* src/scm/main.scm: handle welcome report gui here

	* src/report/utility-reports/welcome-to-gnucash.scm: remove gui code

	* src/report/utility-reports/view-column.scm: remove
	options-editor code

	* src/report/report-system/report.scm: remove options-editor code

	* src/report/report-system/report-system.scm: remove
	options-editor code

	* src/report/report-gnome/report.glade: add

	* src/report/report-gnome/report-gnome.scm: handle options-editors
	here instead of in other report modules

	* src/report/report-gnome/gw-report-gnome-spec.scm: g-wrap more
	report api

	* src/report/report-gnome/dialog-style-sheet.h: add

	* src/report/report-gnome/dialog-style-sheet.c: add

	* src/report/report-gnome/dialog-column-view.h: add

	* src/report/report-gnome/dialog-column-view.c: add

	* src/report/report-gnome/Makefile.am: add new files. fix .scm-links

	* src/gnome/glade/report.glade: remove

	* src/gnome/glade/Makefile.am: remove report.glade

	* src/gnome/dialog-style-sheet.h: remove

	* src/gnome/dialog-style-sheet.c: remove

	* src/gnome/dialog-column-view.h: remove

	* src/gnome/dialog-column-view.c: remove

	* src/gnome/gw-gnc-spec.scm: remove report-related wrapping

	* src/gnome/Makefile.am: remove deleted files

2001-12-09  Dave Peticolas  <dave@krondo.com>

	* src/backend/postgres: add auto-generated headers

	* configure.in: add new default warnings

2001-12-08  Dave Peticolas  <dave@krondo.com>

	* src/bin/overrides/gnucash-build-env.in: add report-gnome dir

	* src/backend/postgres/test/test-db.c: remove unused function

	* configure.in: remove -Wno-unused

2001-12-07  Dave Peticolas  <dave@krondo.com>

	* src/report/report-system/report.scm: move a gnome function
	to report-gnome module

	* src/report/report-system/report-system.scm: remove export

	* src/report/report-gnome/report-gnome.scm: new file.

	* src/report/report-gnome/gw-report-gnome-spec.scm: wrap some more
	report bindings.

	* src/report/report-gnome/gncmod-report-gnome.c: load g-wrapped
	and gnucash report-gnome modules.

	* src/report/report-gnome/Makefile.am: add report-gnome.scm module

	* src/gnome/gw-gnc-spec.scm: remove some report bindings

2001-12-05  Bill Gribble  <grib@billgribble.com>

	* use AM_PATH_LIBGLADE instead of gnome-config for libglade paths

	* add --disable-gui option to configure.in and reshuffle
	src/Makefile.am to not build gui code if it's used.

2001-12-04  Rob Browning  <rlb@defaultvalue.org>

	* src/scm/main.scm: merge bootstrap.scm contents here and
	rearrange code to eliminate most, if not all top-level activities.

	* src/scm/.cvsignore: remove bootstrap.scm and add build-config.scm.

	* src/scm/Makefile.am: remove depend.scm and handle switch from
	bootstrap.scm to main.scm and build-config.scm.

	* src/scm/build-config.scm.in: new file -- keep all the
	auto-generated bits (and only those) here.

	* src/scm/doc.scm (gnc:load-help-topics): just use
	%search-load-path for now, though in the future these files
	probably ought to be elsewhere.

	* src/scm/path.scm (gnc:default-doc-dirs): match build-config.scm
	var names for help dir.

	* src/scm/command-line.scm: add other env var lookups as part of
	startup changes.  Change bootstrap to main.
	(gnc:*load-path*): eliminate.

	* src/gnc-module/gnc-module.c: remove guile includes.

	* src/gnc-module/Makefile.am (libgncmodule_la_LIBADD): remove
	guile libs -- not needed any more.

	* src/engine/test/test-period.c: must load the engine
	before using it, and check to make sure the load works.

	* src/engine/test/test-group-vs-book.c (main_helper): check for
	failure loading the engine.

	* src/bin/overrides/gnucash-build-env.in: part 1 of startup
	changes -- use envt vars for more bits: GNC_CONFIG_DIR,
	GNC_SHARE_DIR, and GNC_DOC_PATH now.

	* src/bin/overrides/gnucash: use main, not bootstrap.

	* src/app-utils/app-utils.scm: accommodate removal of
	utilities.scm, and use main not bootstrap.

	* src/app-utils/utilities.scm: code moved to main.scm -- needed
	earlier in boot process.

	* src/app-utils/Makefile.am (gncscm_DATA): remove utilities.scm.

	* Makefile.am (TAGS): modify to fix the problem where you had to
	run make twice to get it to succeed.

	* Makefile.TAGS: new file.

	* src/scm/depend.scm: deleted.

	* src/report/standard-reports/net-barchart.scm: rename bootstrap to main.

	* src/report/standard-reports/category-barchart.scm: rename
	bootstrap to main.

	* src/report/standard-reports/balance-sheet.scm: rename bootstrap
	to main.

	* src/report/standard-reports/receivables.scm: rename bootstrap to main.

	* src/report/standard-reports/payables.scm: rename bootstrap to
	main.

	* src/report/standard-reports/standard-reports.scm: rename
	bootstrap to main.

	* src/report/standard-reports/register.scm: rename bootstrap to main.

	* src/report/standard-reports/price-scatter.scm: rename bootstrap
	to main.

	* src/report/standard-reports/portfolio.scm: rename bootstrap to main.

	* src/report/standard-reports/average-balance.scm: rename
	bootstrap to main.

	* src/report/utility-reports/welcome-to-gnucash.scm: rename
	bootstrap to main.

	* src/report/utility-reports/utility-reports.scm: rename bootstrap
	to main.

	* src/report/standard-reports/transaction.scm: rename bootstrap to main.

	* src/report/standard-reports/aging.scm: rename bootstrap to main.

	* src/report/utility-reports/view-column.scm: rename bootstrap to main.

	* src/report/standard-reports/account-summary.scm: rename
	bootstrap to main.

	* src/report/standard-reports/account-piecharts.scm: rename
	bootstrap to main.

	* src/report/utility-reports/iframe-url.scm: rename bootstrap to main.

	* src/report/utility-reports/hello-world.scm: rename bootstrap to main.

	* src/tax/us/us.scm: rename bootstrap to main.

	* src/scm/price-quotes.scm: rename bootstrap to main.

	* src/report/stylesheets/stylesheets.scm: rename bootstrap to main.

	* src/report/stylesheets/stylesheet-plain.scm: rename bootstrap to main.

	* src/report/stylesheets/stylesheet-fancy.scm: rename bootstrap to main.

	* src/report/report-system/report.scm: rename bootstrap to main.

	* src/report/report-system/report-system.scm: rename bootstrap to main.

	* src/report/locale-specific/us/taxtxf.scm: rename bootstrap to main.

	* src/import-export/qif-io-core/qif-io-core.scm: rename bootstrap
	to main.

	* src/gnome-utils/gnome-utils.scm: rename bootstrap to main.

	* src/import-export/qif-import/qif-import.scm: rename bootstrap to main.

	* src/report/standard-reports/pnl.scm: rename bootstrap to main.

2001-11-28  Rob Browning  <rlb@defaultvalue.org>

	* src/bin/Makefile.am: handle new overrides arrangement.

	* src/bin/generate-gnc-script: new script to generate all the
	trivial top-level gnucash redirection scripts.

	* src/scm/tip-of-the-day.scm (gnc:read-tips): use
	%search-load-path to find the tips, not gnc:find-in-directories
	and gnc:*load-path*.  In truth, the tips should be in sharedir
	anyway, but we'll handle that later.

	* src/scm/main.scm (gnc:startup): call gnc:setup-gettext and
	setlocale just after loading app-utils.  If this isn't early
	enough, we'll need to try something else.

	* src/scm/command-line.scm (gnc:*config-dir*): add GNC_CONFIG_DIR
	environment variable override.

	* src/scm/bootstrap.scm.in: switch to use load-from-path for
	main.scm.

	* src/bin/test/test-run-script: new file.

	* src/bin/overrides/gnucash-run-script: new file -- mostly content
	of ../gnucash-run-script.

	* configure.in: add adjustments for new static overrides scripts.

	* src/import-export/binary-import/Makefile.am
	(.scm-links): add some more links so runs from build dir will
	actually work.

	* src/gnome/Makefile.am: accommodate the removal of gnucash.h,
	gnucash.c.in, and the move of i18n.h.in which all resulted in the
	removal of libgncguile.la.

	* src/gnc-module/gnc-module.c
	(gnc_module_system_setup_load_path): don't do anything when dir
	list is empty.

	* src/business/business-core/gncInvoice.c
	(gncInvoiceGetInvoiceFromTxn): initialize book to NULL so warnings
	won't kill -Werror compiles.

	* src/app-utils/.cvsignore: add i18n.h.

	* src/app-utils/Makefile.am
	(gncinclude_HEADERS): add i18n.h
	(EXTRA_DIST): add i18n.h.in
	(i18n.h): new target.

	* src/app-utils/gw-app-utils-spec.scm: add wrapper for
	gnc:setup-gettext.

	* src/app-utils/README: new file.

	* src/bin/overrides/guile.in: moved from ../.

	* src/bin/overrides/gnucash-make-guids: new file -- mostly content
	of ../gnucash-make-guids.in.

	* src/bin/overrides/gnucash-env.in: moved from ../.

	* src/bin/overrides/gnucash-build-env.in: moved from ../.

	* src/bin/.cvsignore: update for file rearrangements.

	* src/bin/test/test-version: new file.

	* src/bin/test/test-guile-env-override: new file.

	* src/bin/test/fake-guile: new file.

	* src/bin/test/Makefile.am: new file.

	* src/bin/test/.cvsignore: new file.

	* src/bin/overrides/gnucash: new file.

	* src/bin/overrides/Makefile.am: new file.

	* src/bin/overrides/.cvsignore: new file.

	* src/bin/gnucash.in: removed.

	* src/bin/gnucash-make-guids.in: removed.

	* src/bin/gnucash-run-script.in: removed.

	* src/bin/guile.in: moved to src/bin/overrides.

	* src/bin/gnucash-env.in: moved to src/bin/overrides.

	* src/import-export/qif-import/Makefile.am (.scm-links): new target.

	* src/gnome/gnucash.h: removed.

	* src/gnome/gnucash.c.in: removed.

	* src/gnome/i18n.h.in: moved to src/app-utils.

	* src/import-export/qif-import/.cvsignore: add .scm-links.

	* src/gnome/top-level.c: remove gnucash.h include.

	* src/gnome/gw-gnc-spec.scm: remove gnucash.h include.

	* src/core-utils/.cvsignore: add .scm-links.

	* src/core-utils/gw-core-utils-spec.scm: new file.

	* src/core-utils/Makefile.am: accommodate new g-wrappers.

	* src/app-utils/gnc-gettext-util.c (gnc_setup_gettext): move here.

	* src/app-utils/gnc-gettext-util.h (gnc_setup_gettext): move here.

	* src/app-utils/i18n.h.in: move here from src/gnome.

2001-11-26  Robert Graham Merkel  <rgmerk@mira.net>

	* src/*/Makefile.am: add ${GLADE_CFLAGS} to AM_CFLAGS.

2001-11-21  Rob Browning  <rlb@defaultvalue.org>

	* README: add a note to the Running section indicating that it's
	obsolete.  We'll need to update this soon.

	* src/scm/startup-design.txt: some updates -- needs overhaul.

	* src/bin/guile.in: trivial guile override wrapper.

	* src/bin/gnucash.in: rearrange code so that the file can be
	interactively loaded for debugging without firing up gnucash
	immediately.

	* src/bin/gnucash-env.in: add the script-override directory to the
	front of the user's PATH.

	* src/bin/Makefile.am (gncoverridedir): new var.
	(gncoverride_SCRIPTS): new var -- add guile.
	(guile): new target -- guile override stub script.

	* src/bin/.cvsignore: add guile.

	* doc/gnucash.1: remove some vestigial envt var refs.

	* configure.in: add GNC_LIBEXECDIR.
	(AC_OUTPUT): add src/bin/Makefile.

	* src/bin/gnucash-env.in: carefully setup PATH to pick up correct
	guile.

	* src/bin/: new directory.  Added so that scripts will be in a
	subdir and can be re-made/installed without a full build.

	* src/bin/gnucash-env.in: new file -- you can use this to invoke
	programs or scripts with the proper gnucash
	environment. i.e. "gnucash-env guile -s foo bar" or
	"gnucash-env some-command arg1 arg2 ..."

	* src/gnome/window-main.c (gnc_shutdown): moved here for now, but
	should eventually be moved to app-utils (or similar) and made
	public again.

	* src/bin/gnucash.in: moved here from ../gnucash.sh.in.  Now uses
	gnucash-env to set up environment.

	* src/gnome/gnucash.c.in: removed all code except
	gnc_setup_gettext, which should be moved to app-utils, or
	core-utils soon.

	* src/scm/main.scm: remove append-path calls - handled in gnucash-env.
	(append-path): unused -- deleted.
	(gnc:main): handle setlocale here.

	* src/.cvsignore: remove bits that moved to src/bin.

	* src/Makefile.am: handle new src/bin directory, and remove all
	the old gnucash binary bits.

	* src/gnc-main.c: deleted.

	* src/gnucash-make-guids.in: moved to src/bin.

	* src/gnucash-run-script.in: moved to src/bin.

	* src/gnucash.sh.in: moved to src/bin/gnucash.in.

	* src/gnome/gnucash.h: removed many dead functions.

	* src/bin/gnucash-run-script.in: moved here from ..

	* src/bin/gnucash-make-guids.in: moved here from ..

	* src/bin/Makefile.am: new file.

	* src/bin/.cvsignore: new file.

2001-11-20  Rob Browning  <rlb@defaultvalue.org>

	* src/gnome/gnucash.c.in
	(gnucash_main_helper): switch to gnc_setenv.

	* src/gnome/Makefile.am (AM_CFLAGS): add core-utils.

	* src/gnc-module/gnc-module.c
	(gnc_module_system_setup_load_path): use gnc_setenv.

	* src/gnc-module/Makefile.am
	(AM_CFLAGS): add core-utils.
	(libgncmodule_la_LIBADD): add core-utils.

	* src/engine/gnc-engine-util.h: add #include config.h.

	* src/dialog-account/Makefile.am
	(AM_CFLAGS): add GDK_PIXBUF_CFLAGS.

	* src/core-utils/core-utils.h: new file.

	* src/core-utils/core-utils.c: new file.
	(gnc_setenv): new function.
	(gnc_unsetenv): new function.

	* src/core-utils/Makefile.am: new file.

	* src/core-utils/.cvsignore: new file.

	* src/business/business-gnome/Makefile.am
	(AM_CFLAGS): add GDK_PIXBUF_CFLAGS.

	* src/backend/file/test/test-save-in-lang.c
	(test_file): switch from putenv to gnc_setenv.
	(main): switch from putenv to gnc_setenv.

	* src/backend/file/test/Makefile.am (AM_CFLAGS): add src/core-utils.

	* configure.in (AC_OUTPUT): add src/core-utils.

	* src/backend/file/sixtp-utils.c (gnc_timegm): switch from putenv
	to gnc_setenv and gnc_unsetenv.

	* src/README.modules: add core-utils.

	* src/Makefile.am (SUBDIRS): add core-utils.

2001-11-17  Rob Browning  <rlb@defaultvalue.org>

	* src/business/business-gnome/.cvsignore: add various-things.

	* src/business/business-core/.cvsignore: add various things.

	* src/business/business-core/test/Makefile.am: fixup
	TESTS_ENVIRONMENT to use gnc-test-env.

	* src/business/business-core/test/.cvsignore: add various things.

	* src/business/.cvsignore: add Makefile.in.

	* src/gnc-module/test/test-scm-multi: turned into guile script
	invoked via /bin/sh.

	* src/gnc-module/test/test-scm-multi.scm: deleted.

	* src/gnc-module/test/Makefile.am: use gnc-test-env.
	(EXTRA_DIST): remove test-scm-multi.scm.

	* src/business/business-gnome/Makefile.am
	(AM_CFLAGS): add GNOME_PRINT_CFLAGS.

2001-11-16  Rob Browning  <rlb@defaultvalue.org>

	* configure.in (AC_OUTPUT): add src/dialog-account.

	* src/.cvsignore: add gnucash.sh.

	* src/gnucash.sh.in: new file -- this will eventually become the
	primary gnucash program, but for now, let's make it available for
	testing.

	* src/Makefile.am (SUBDIRS): re-order to fix dependency problems.
	(bin_SCRIPTS): add gnucash.sh.
	(EXTRA_DIST): add gnucash.sh.in.
	(gnucash.sh): new target.

	* src/gnc-module/test/test-scm-init: don't set %load-path
	internally anymore -- depend on a proper TESTS_ENVIRONMENT.

	* src/gnc-module/test/test-load-scm: turn in to a self-contained
	guile script launched by /bin/sh which will respect the PATH.

	* src/gnc-module/test/test-load-deps: turn in to a self-contained
	guile script launched by /bin/sh which will respect the PATH.

	* src/gnc-module/test/Makefile.am
	(EXTRA_DIST): remove test-load-deps.scm.

	* src/tax/us/test/Makefile.am: switch to use gnc-test-env to build
	TESTS_ENVIRONMENT.

	* src/scm/main.scm (gnc:startup): very ugly hack -- right now we
	switch the current-module briefly during the loads.  This should
	go away once the rest of the startup process is cleaned up.

	* src/gnc-module/gnc-module.c
	(gnc_module_system_setup_load_path): don't change %load-path
	anymore, augment LD_LIBRARY_PATH instead.  This reflects the
	change in how guile and g-wrap now load C shared libraries.

	* src/app-utils/file-utils.h: moved here from src/gnome.

	* src/app-utils/file-utils.c: moved here from src/gnome.

	* src/app-utils/Makefile.am: add file-utils.

	* src/gnc-module/test/test-load-deps.scm: deleted - unnecessary.

	* src/register/ledger-core/dialog-dup-trans.c: moved here from
	src/gnome.

	* src/register/ledger-core/Makefile.am: add dialog-dup-trans.
	(SUBDIRS): add . first so tests will work.
	(libgncmod_ledger_core_la_LIBADD): add missing dependencies.
	(AM_CFLAGS): add needed -I.

	* src/gnome-utils/window-help.h: moved here from src/gnome.

	* src/gnome-utils/window-help.c: moved here from src/gnome.

	* src/gnome-utils/Makefile.am: add window-help.

	* src/gnome/gnucash.c.in: add temporary helpers for gnucash
	scriptification.

	* src/gnome/top-level.c: remove spurious dialog-account.h include.

	* src/gnome/file-utils.h: moved to src/app-utils.

	* src/gnome/file-utils.c: moved to src/app-utils.

	* src/gnome/window-help.h: moved to src/gnome-utils.

	* src/gnome/window-help.c: moved to src/gnome-utils.

	* src/gnome/dialog-dup-trans.c: moved to src/register/ledger-core.

	* src/gnome/dialog-account.c: moved to src/dialog-account.

	* src/gnome/dialog-account.h: moved to src/dialog-account.

	* src/gnome/Makefile.am: accommodate file relocations.

	* src/dialog-account/dialog-account.c: moved here to break mutual
	dependency between ledger-core and libgncgnome.

	* src/dialog-account/dialog-account.h: moved here to break mutual
	dependency between ledger-core and libgncgnome.

	* src/dialog-account/Makefile.am: new file.

	* src/dialog-account/.cvsignore: new file.

2001-11-16  Christian Stimming  <stimming@tuhh.de>

	* src/Makefile.am, src/gnome-utils/Makefile.am: Moved
	${GUPPI_LIBS} to appear before GNOME_LIBDIR in *_LIBADD so that
	--with-libguppi-prefix can have any effect at all.

2001-11-13  Robert Graham Merkel <rgmerk@mira.net>

	* src/gnc-module/Makefile.am: libgw-gnc-module.la needs
          to be linked to libgncmodule.la

2001-11-12  Rob Browning  <rlb@defaultvalue.org>

	* src/gnome/Makefile.am (noinst_HEADERS): add gw-gnc.h.

	* src/report/utility-reports/test/Makefile.am: use gnc-test-env.

	* src/report/stylesheets/test/Makefile.am: switch to use gnc-test-env.

	* src/gnome/Makefile.am: accommodate files from src/guile.

	* src/gnome/gnucash.c.in: moved here from src/guile.

	* src/gnome/gnucash.h: moved here from src/guile.

	* src/gnome/i18n.h.in: moved here from src/guile.

	* src/gnome/.cvsignore: add files from src/guile.

	* src/Makefile.am: update to reflect deleted src/gnome.

	* configure.in: update to reflect deleted src/gnome.

	* src/guile: deleted -- remaining contents moved to src/gnome.

	* src/scm/Makefile.am: added config.

	* src/scm/config: moved from src/scm.

	* src/guile/Makefile.am: remove config.

	* src/guile/config: moved to src/scm.

	* src/report/standard-reports/test/Makefile.am: use gnc-test-env.

	* configure.in: set execute bit on gnc-test-env.

	* src/gnc-test-env: new script.

2001-11-09  Rob Browning  <rlb@defaultvalue.org>

	* src/gnc-module/test/Makefile.am (TESTS_ENVIRONMENT): add missing
	components in GUILE_LOAD_PATH.

	* src/gnome-utils/test/Makefile.am
	(INCLUDES): typo - GUILE_INCS not GUILE_CFLAGS.

	* src/tax/us/test/.cvsignore: add .libs.

	* src/report/locale-specific/us/test/.cvsignore: add .libs.

	* src/import-export/qif-import/test/.cvsignore: add .libs.

	* src/backend/file/test/Makefile.am
	(AM_CFLAGS): add GUILE_INCS.

	* src/guile/tip-of-the-day.h: moved to src/gnome.

	* src/guile/tip-of-the-day.c: moved to src/gnome.

	* src/gnome/tip-of-the-day.h: moved from src/guile.

	* src/gnome/tip-of-the-day.c: moved from src/guile.

	* src/guile/Makefile.am: remove tip-of-the-day.

	* src/gnome/Makefile.am: move tip-of-the-day here.

	* src/guile/Makefile.am: fix for new automake.

	* src/gnome-utils/Makefile.am (BUILT_SOURCES): fix for new automake.

	* src/app-file/test/.cvsignore: add Makefile.in.

	* src/import-export/qif-import/test/.cvsignore: add .deps.

	* src/report/locale-specific/us/test/.cvsignore: add .deps.

	* src/tax/us/test/.cvsignore: add .deps.

2001-11-06  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c (create_each_transaction_helper):
	Fixed credit/debit confusion.

	* src/gnome/dialog-sx-from-trans.c (sxftd_add_template_trans):
	Fixed credit/debit confusion.

2001-11-04  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-frequency.c: saving state and updating the
	calendar markings no longer force so much of a
	component-manager/UI refresh.

	* src/guile/gw-gnc-spec.scm: Changed sx-since-last return type to
	gboolean [bool]; added better sx-since-last-run-wrapper param name
	[s/foo/bookfile/].

	* src/gnome/dialog-scheduledxaction.c (new_button_clicked): Better
	initial-FreqSpec setup to prevent error from GNCFrequency.

	* src/engine/SchedXaction.c (xaccSchedXactionSetTemplateTrans):
	Added support for setting template-transaction currency from the
	TTinfo structure.

	* src/gnome/dialog-sxsincelast.c: Correct support for "nothing
	to do": if this is the case, don't load/create the UI.  Required
	much re-working due to my bad design. :(
	Added component-manager freeze/thaw [equivalents] around engine
	interaction to minimize program-wide GUI refresh during
	Transaction creation.
	(finish_finish): Added support for 'finish' button.
	(cancel_check): Initial support for cancel button, checking with
	user regarding.

2001-10-29  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c: Unused pages are skipped,
	initial version.

	* src/gnome/dialog-sx-from-trans.c: Added start date handling; as
	well, correctly update the start date when the frequency option
	changes.  Added using FreqSpecs for start date calculation.  Added
	correctly

	* src/gnome-utils/gnc-account-tree.c (gnc_account_tree_init): Make
	account-tree description column auto-resize.

	* src/engine/SchedXaction.c (xaccSchedXactionSetEndDate): Removed
	end date validity check; an invalid end date is how we signal "no
	end date".

2001-10-25  Dave Peticolas  <dave@krondo.com>

	* src/scm/Makefile.am: remove slib-backup.scm and startup.scm

	* src/scm/bootstrap.scm.in: remove out-of-date docs

	* src/scm/main.scm: load printing/print-check.scm

	* src/import-export/qif-import/Makefile.am: remove simple-obj.scm

	* src/import-export/qif-import/qif-import.scm: don't load
	simple-obj.scm

	* src/guile/gw-gnc-spec.scm: remove printing g-wraps

	* src/gnome-utils/gw-gnome-utils-spec.scm: add printing g-wraps

	* src/engine/Account.c (xaccAccountSetSlots_nc): set core_dirty

	* src/app-utils/Makefile.am: add simple-obj.scm

	* src/app-utils/app-utils.scm: export simple-obj api

2001-10-24  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (sxed_delete_event): Added.
	(gnc_ui_scheduled_xaction_editor_dialog_create): Added support for
	delete-event [WM window close].
	(sxed_check_close): Added close-check, including register check.
	(editor_cancel_button_clicked): Renamed from
	editor_close_button_clicked; correctly handles a cancel WRT ledger
	changes.

	* src/gnome/glade/sched-xact.glade: Added as-yet-unused Start
	Date widgets to make-from-transaction dialog.

	* src/gnome/dialog-sx-from-trans.c (sxftd_add_template_trans): Use
	the user-friendly amount formating instead of a stringified
	gnc_numeric.  Copies the account data over into the template
	transaction.
	(sxftd_init): Added; supports using the Description of the
	transaction as the initial name of the SX.

2001-10-22  Joshua Sled  <jsled@asynchronous.org>

	* src/engine/SchedXaction.c (xaccSchedXactionInit): Fixed
	number-of-occurrences init problem.

	* src/gnome/dialog-scheduledxaction.c (schedXact_editor_populate):
	Fixed bug in populating the editor.

2001-10-22  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/window-main.c (gnc_ui_mainWindow_nextrun_cb):
	Removed obsolete dialog.

2001-10-22  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/Makefile.am: Removed obsolete dialog-nextrun.{c,h}

	* src/gnome/window-main.c (gnc_main_window_create_menus): Added
	both Scheduled Transaction-related items to "Scheduled
	Transactions" sub-menu of "Tools".
	(gnc_main_window_about_cb): Added self to GUI About dlg.

	* src/gnome/dialog-scheduledxaction.c: Renamed '_'-led functions.

	* src/gnome/dialog-sxsincelast.c: Changed from a loose
	confederation of multiple dialogs to the strong central authority
	of a GnomeDruid-based since-last-run UI.  Renamed '_'-led
	functions.

	* src/gnome/glade/sched-xact.glade: Fixed a non-unique-name
	problem between the GnomeNumberEntry "end_nentry" and it's
	GtkEntry "end_nentry".  Added Druid-based Since-Last-Run dialog.

	* src/gnome/dialog-scheduledxaction.c (schedXact_editor_populate),
	(editor_ok_button_clicked): Added support for now-uniquely-named
	"end_gnome_nentry".

	* src/engine/SchedXaction.c
	(xaccSchedXactionCreateSequenceState): Added.
	(xaccSchedXactionIncrSequenceState): Added.
	(xaccSchedXactionDestroySequenceState): Added.
	Added support for opaque state data when generating a sequence of
	SX instances to support number-of-occurrence-terminated SXes.

	* src/backend/file/gnc-freqspec-xml-v2.c (dom_tree_to_freqSpec):
	Added missing instance of GNCSession propagation.

	* src/backend/file/io-gncxml-v2.c
	(write_template_transaction_data): Added correct determination for
	writing out the template-transaction section [before: only if
	transactions existed in accounts; now: if any accounts exist] to
	prevent read errors from SXes with valid-and-referenced Accounts,
	but no Transactions in them.

	* src/gnome-utils/gnc-frequency.c (gnc_frequency_setup): Better
	error text when UIFreqType isn't recognized or appropriate.

	* src/gnome/dialog-scheduledxaction.c (editor_ok_button_clicked):
	Correctly sets SXes to have no occurrence data if that's the case.
	Better option variable naming, usage.

2001-10-16  Dave Peticolas  <dave@krondo.com>

	* src/engine/test-core/test-engine-stuff.c: work on test
	infrastructure for making changes to existing data

	* src/engine/gnc-book.c: keep backends up to date

	* src/engine/gnc-session.c: keep backends up to date

	* src/backend/postgres/test/db-control.sh: bring down postmaster
	on database create and destroy

	* src/backend/postgres/test/test-db.c: work on single-update
	test

	* src/backend/postgres/txn.c: fix bug -- when deleting splits
	from the database that aren't in the engine, can't use
	xaccSplitLookup.

2001-10-14  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (delete_button_clicked):
	Fixed multiple bugs in deletion selection-handling.
	(schedXact_editor_populate), (schedXact_editor_create_ledger):
	Added code for respecting the user's Preferences.

	* src/gnome/dialog-scheduledxaction.c
	(gnc_ui_scheduled_xaction_dialog_create): Added support for only a
	single SX list to be up at any one time; if one already exists,
	show and raise that window instead of creating a new one.

	* src/gnome/dialog-scheduledxaction.c
	(gnc_ui_scheduled_xaction_editor_dialog_create): Only one editor
	for any Scheduled Transaction open at a time; if one already
	exists, show and raise it's window.

	* src/gnome/dialog-scheduledxaction.c
	(schedXact_editor_create_ledger): Add [read: steal from
	window-register.c] register toolbar, suitably modified for SXes.

	* src/app-utils/prefs.scm: Updates to wording, defaults for
	Scheduled Transaction preferences.

2001-10-14  Rob Browning  <rlb@defaultvalue.org>

	* src/backend/file/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/app-utils/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/tax/us/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/tax/us/us.scm (gnucash): added use-modules.

	* src/scm/printing/print-check.scm: remove gnc:support and
	gnc:depend calls.

	* src/scm/gnumeric/gnumeric-utilities.scm: remove gnc:support and
	gnc:depend calls.

	* src/scm/xml-generator.scm: remove gnc:support call.

	* src/scm/substring-search.scm: remove gnc:support call.

	* src/scm/startup.scm: comment out everything -- if this works, we
	should remove this file soon.

	* src/scm/price-quotes.scm: make it a guile module -- add exports,
	use-modules, etc.

	* src/scm/path.scm (gnc:locale-prefixes): () -> '().

	* src/scm/main.scm (gnc:startup): change gnc:depend calls to
	load-from-path.
	(gnc:main): add second arg to eval call to comply with standard.

	* src/scm/main-window.scm: remove gnc:support call.

	* src/scm/extensions.scm: remove gnc:support call.

	* src/scm/doc.scm: remove gnc:support call.

	* src/scm/command-line.scm
	(gnc:*arg-defs*): use gnc:use-module-module-here!.

	* src/scm/bootstrap.scm.in: remove slib compatibility stuff.
	Add many exports for stuff that used to be "global".
	Load main.scm from here now.
	(gnc:use-guile-module-here!): new function.

	* src/scm/Makefile.am (gncscmmod_DATA): move bootstrap.scm here.

	* src/report/utility-reports/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/report/utility-reports/welcome-to-gnucash.scm: added use-modules.

	* src/report/utility-reports/view-column.scm: added use-modules.

	* src/report/utility-reports/utility-reports.scm: added use-modules.

	* src/report/utility-reports/iframe-url.scm: added use-modules.

	* src/report/utility-reports/hello-world.scm: added use-modules.
	(hello-world-renderer): use share-dir config var, not bare binding.

	* src/report/stylesheets/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/report/stylesheets/stylesheets.scm: added use-modules.

	* src/report/stylesheets/stylesheet-plain.scm: added use-modules.

	* src/report/stylesheets/stylesheet-fancy.scm: added use-modules.

	* src/report/standard-reports/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/report/standard-reports/transaction.scm: added use-modules.

	* src/report/standard-reports/standard-reports.scm: added use-modules.

	* src/report/standard-reports/register.scm: added use-modules.

	* src/report/standard-reports/price-scatter.scm: added use-modules.

	* src/report/standard-reports/portfolio.scm: added use-modules.

	* src/report/standard-reports/pnl.scm: added use-modules.

	* src/report/standard-reports/payables.scm: added use-modules.

	* src/report/standard-reports/net-barchart.scm: added use-modules.

	* src/report/standard-reports/category-barchart.scm: added use-modules.

	* src/report/standard-reports/balance-sheet.scm: added use-modules.

	* src/report/standard-reports/account-summary.scm: added use-modules.

	* src/report/standard-reports/account-piecharts.scm: added use-modules.

	* src/report/report-system/report-system.scm: added use-modules.

	* src/report/locale-specific/us/test/Makefile.am
	(TESTS_ENVIRONMENT): add paths.

	* src/report/locale-specific/us/taxtxf.scm: added use-modules.

	* src/import-export/qif-io-core/qif-io-core.scm: added
	use-modules.

	* src/import-export/qif-import/qif-import.scm: added use-modules.

	* src/guile/gnucash.c.in
	(GNC_BOOTSTRAP_SCM): now in gnucash module dir.
	(gnc_gw_init): remove gw_init_module_gw_gnc call.
	(gnucash_main_helper): don't mess with startup, just run gnc:main.

	* src/guile/Makefile.am (gnucash): new symlink target.
	(g-wrapped): new symlink target.

	* src/gnc-module/gnc-module.c (gnc_module_system_init): add some
	error checking -- may need a way to return errors.

	* src/engine/test/Makefile.am (TESTS_ENVIRONMENT): add paths.

	* src/engine/engine.scm: added use-modules.

	* src/app-utils/guile-util.h:
	(gnc_depend): deleted.
	(gnc_scm_lookup): new prototype.

	* src/app-utils/guile-util.c
	(gnc_depend): deleted.
	(gnc_scm_lookup): new cross-guile function -- disabled until we
	can test it.

	* src/app-utils/app-utils.scm: added use-modules.

2001-10-13  Dave Peticolas  <dave@krondo.com>

	* src/guile/Makefile.am (libgncguile_la_LIBADD): remove gncgnome.la
	dependency

	* src/engine/test-core/test-engine-stuff.c (get_random_timespec):
	add flag to always set nsec to 0.
	(get_random_transaction_with_currency): new func
	(add_random_transactions_to_session): new func

	* src/backend/postgres/test/db-control.sh: add 'connect' argument
	to start psql connection

	* src/backend/postgres/test/test-db.c: add random transactions
	to the mix

	* src/backend/postgres/account.c (pgendStoreAccountNoLock): expound
	on commodity table comment

2001-10-12  Rob Browning  <rlb@defaultvalue.org>

	* src/scm/printing/print-check.scm: use number-to-words module.

	* src/scm/printing/number-to-words.scm: make a guile module.

	* src/scm/printing/Makefile.am
	(gncscmmoddir): added.
	(gncscmmod_DATA): number-to-words.scm now a guile module.
	(gncscm_DATA): removed number-to-words.scm.
	(EXTRA_DIST): handle number-to-words.scm move.

	* src/guile/Makefile.am
	(libgncguile_la_SOURCES): libgncguile is now a shared lib.
	(libgncguile_la_LIBADD): libgncguile is now a shared lib.
	(libgncguile_la_LDFLAGS): libgncguile is now a shared lib.
	(libgw_gnc_la_SOURCES): libgw-gnc is now a shared lib.
	(libgw_gnc_la_LIBADD): libgw-gnc is now a shared lib.
	(libgw_gnc_la_LDFLAGS): libgw-gnc is now a shared lib.

	* src/guile/.cvsignore: add files for shared libs.

	* src/gnome/Makefile.am
	(lib_LTLIBRARIES): libgncgnome is now a shared lib.
	(libgncgnome_la_SOURCES): libgncgnome is now a shared lib.

	* src/gnome/.cvsignore: add files for shared libs.

	* src/engine/Makefile.am
	(libgw_glib_la_LDFLAGS): use ${G_WRAP_LINK_ARGS}.
	(libgw_engine_la_LDFLAGS): use ${G_WRAP_LINK_ARGS}.
	(libgw_kvp_la_LDFLAGS): use ${G_WRAP_LINK_ARGS}.

	* src/Makefile.am (gnucash_LDADD): link gncguile and gncgnome as
	shared libs now.

	* .cvsignore: add stamp-h1 (where does this come from?).

	* configure.in (GNC_ADD_ON_SRFIS): compute needed SRFIs.

	* lib/srfi/Makefile.am: determine SRFI list via autoconf.

2001-10-12  Dave Peticolas  <dave@krondo.com>

	* src/test-core/test-stuff.c (get_random_string_without): new func

	* src/engine/test-core/test-engine-stuff.c
	(get_random_kvp_frame_depth): fix bug
	(get_random_session): new func

	* src/engine/Account.c (xaccAccountEqual): more warnings, use
	gnc_commodity_equal

	* src/engine/Group.c (xaccGroupEqual): more warnings

	* src/engine/Transaction.c: use gnc_commodity_equal

	* src/engine/gnc-book.c (gnc_book_equal): compare commodity tables

	* src/engine/gnc-commodity.c (gnc_commodity_equal): new func
	(gnc_commodity_table_equal): new func

	* src/engine/gnc-session.c (gnc_session_begin): destroy old backend

	* src/backend/postgres/test/.cvsignore: ignore test files

	* src/backend/postgres/test/Makefile.am: add file backend .la
	to get symbols for gdb

	* src/backend/postgres/test/run-tests.sh: remove test files
	before starting test

	* src/backend/postgres/test/test-db.c: when books differ, write
	out xml files

	* src/backend/file/test/test-xml-account.c (test_add_account):
	fix for strong commodity equal test

2001-10-11  Rob Browning  <rlb@defaultvalue.org>

	* configure.in: require at least g-wrap 1.3.1.

2001-10-11  Dave Peticolas  <dave@krondo.com>

	* src/register/register-core/table-allgui.c
	(gnc_table_traverse_update): remove assert

	* src/import-export/binary-import/druid-commodity.c: use g_assert

	* src/guile/gnucash.c.in (gnc_main): use g_assert

	* src/gnome-utils/gnc-account-tree.c: remove asserts

	* src/gnome/dialog-fincalc.c (normalize_period): remove asserts

	* src/gnome/dialog-find-transactions.c: remove asserts

	* src/gnome/dialog-scheduledxaction.c: remove asserts

	* src/gnome/reconcile-list.c: remove asserts

	* src/gnome/window-register.c: remove asserts

	* src/engine/Account.c: remove asserts

	* src/engine/Group.c: remove asserts

	* src/engine/Query.c:remove asserts

	* src/engine/TransLog.c: remove asserts

	* src/engine/Transaction.c: remove asserts

	* src/engine/gnc-engine-util.h: don't include assert.h

	* src/engine/gnc-engine.c: remove asserts

	* src/engine/gnc-numeric.c: remove asserts

	* src/engine/gnc-pricedb.c (gnc_price_unref): remove asserts

	* src/engine/messages.c: remove asserts

	* src/backend/file/test/test-xml-account.c: fix text handling

	* src/backend/file/test/test-xml-commodity.c: fix text handling

	* src/backend/file/test/test-xml-transaction.c: fix text handling

	* src/backend/file/gnc-freqspec-xml-v2.c: fix text handling

	* src/backend/file/gnc-pricedb-xml-v2.c: fix text handling

	* src/backend/file/gnc-schedxaction-xml-v2.c: fix text handling

	* src/backend/file/gnc-transaction-xml-v2.c: fix text handling

	* src/backend/file/io-gncxml-v1.c: fix text handling

	* src/backend/file/sixtp-dom-parsers.c: fix text handling

	* src/backend/file/sixtp-to-dom-parser.c (dom_chars_handler): don't
	ignore whitespace. This fixes text handling for strings like "< <"

	* src/app-utils/gnc-ui-util.c: remove asserts

	* src/app-utils/option-util.c: remove asserts

2001-10-11  Dave Peticolas  <dave@krondo.com>

	* src/test-core/test-stuff.c: allow option of including funky
	characters in random strings

	* src/engine/Transaction.c (xaccTransEqual): add warning strings

	* src/backend/postgres/test/.cvsignore: ignore test-escape

	* src/backend/postgres/test/test-escape: test string escaping

	* src/backend/postgres/test/Makefile.am: add test-escape

	* src/backend/postgres/builder.c (sqlBuild_Where_Str): don't
	escape string twice

	* src/backend/postgres/escape.c (sqlEscapeString): check for
	already-escaped string

	* src/backend/postgres/kvp-sql.c: escape path strings

	* src/backend/file/test/test-xml-transaction.c (test_add_transaction):
	test in reverse order, first orig, then new.

2001-10-10  Rob Browning  <rlb@defaultvalue.org>

	* src/test-core/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/tax/us/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/tax/us/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/report/utility-reports/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/report/utility-reports/iframe-url.scm: use slib and require
	format.

	* src/report/utility-reports/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/report/stylesheets/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/report/stylesheets/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/report/standard-reports/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/report/standard-reports/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/report/report-system/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/report/report-system/report-system.scm:
	(use-modules (g-wrapped gw-glib))

	* src/report/report-system/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/report/locale-specific/us/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/report/locale-specific/us/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/register/register-gnome/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/register/register-gnome/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/register/register-core/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/register/register-core/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/register/ledger-core/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/register/ledger-core/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/optional/swig/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/network-utils/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/network-utils/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/network-utils/.cvsignore: add .libs.

	* src/import-export/qif-io-core/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/import-export/qif-io-core/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/import-export/qif-io-core/.cvsignore: add .deps.

	* src/import-export/qif-import/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/import-export/binary-import/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/import-export/binary-import/Makefile.am : support new g-wrap
	.scm module files.
	(pkglib_LTLIBRARIES): move libgw-binary-import.la here.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/import-export/binary-import/.cvsignore: add .libs and
	gw-binary-import.scm.

	* src/guile/Makefile.am: support new g-wrap .scm module files.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/guile/.cvsignore: add gw-gnc.scm.

	* src/gnome-utils/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/gnome-utils/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/gnome-utils/.cvsignore: add .libs.

	* src/gnome/window-register.c
	(print_check_cb): coerce away guile 1.3.4 warning.
	(report_helper): coerce away guile 1.3.4 warning.

	* src/gnome/window-help.c
	(gnc_help_window_load_topics): coerce away guile 1.3.4 warning.

	* src/gnome/top-level.c
	(gnc_get_remaining_argv): coerce away guile 1.3.4 warning.
	(gnc_set_remaining_argv): coerce away guile 1.3.4 warning.

	* src/gnome/argv-list-converters.c
	(gnc_argvarr_to_scheme_list): coerce away guile 1.3.4 warning.

	* src/gnome/Makefile.am: use INTLTOOL_DESKTOP_RULE.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/gnc-module/test/mod-foo/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/gnc-module/test/mod-baz/Makefile.am
	(CFLAGS): add GUILE_INCS.

	* src/gnc-module/test/mod-bar/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/gnc-module/test/test-scm-init: convert to shell script that
	invokes contents as guile script.

	* src/gnc-module/test/test-scm-dynload: adjust dynamic-link call
	based on guile version.

	* src/gnc-module/test/test-dynload.c
	(guile_main): call lt_dlinit();

	* src/gnc-module/test/Makefile.am
	(CFLAGS): add GUILE_INCS.

	* src/gnc-module/gnc-module.scm
	(gnc:module-system-init): adjust dynamic-link call based on guile
	version.

	* src/gnc-module/Makefile.am: support new g-wrap .scm module files.
	(CFLAGS): add GUILE_INCS.
	(pkglib_LTLIBRARIES): move libgw-gnc-module.la here.

	* src/gnc-module/.cvsignore: add gw-gnc-module.scm.

	* src/experimental/cgi-bin/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/engine/test-core/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/engine/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.

	* src/engine/engine.scm: (use-modules (g-wrapped gw-runtime)).

	* src/engine/Makefile.am: support new g-wrap .scm module files.
	(pkglib_LTLIBRARIES): move libgw-glib.la, libgw-engine.la, and
	libgw-kvp.la here.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/engine/.cvsignore: add gw-engine.scm, gw-glib.scm, and
	gw-kvp.scm.

	* src/calculation/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/backend/rpc/Makefile.am:
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/backend/postgres/test/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/backend/postgres/test/.cvsignore: add .deps.

	* src/backend/postgres/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/backend/net/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/backend/file/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/backend/file/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/app-utils/test/Makefile.am
	(TESTS_ENVIRONMENT): fix for guile 1.3.4 and new g-wrap.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/app-utils/option-util.c
	(gnc_option_db_register_change_callback): coerce away guile 1.3.4
	warning.

	* src/app-utils/guile-util.c
	(gnc_depend): coerce away guile 1.3.4 warning.
	(gnc_split_scm_set_memo): coerce away guile 1.3.4 warning.
	(gnc_split_scm_set_memo): coerce away guile 1.3.4 warning.
	(gnc_split_scm_set_action): coerce away guile 1.3.4 warning.
	(gnc_trans_scm_set_num): coerce away guile 1.3.4 warning.
	(gnc_trans_scm_set_description): coerce away guile 1.3.4 warning.
	(gnc_trans_scm_set_notes): coerce away guile 1.3.4 warning.
	(gnc_get_debit_string): coerce away guile 1.3.4 warning.

	* src/app-utils/gnc-ui-util.c
	(gnc_ui_account_get_tax_info_string): coerce to suppress warning
	for guile 1.3.4.

	* src/app-utils/app-utils.scm: must load "gnucash/engine" module.

	* src/app-utils/Makefile.am: support new g-wrap .scm module files.
	(pkglib_LTLIBRARIES): move libgw-app-utils.la here.
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/app-utils/.cvsignore: add gw-app-utils.scm.

	* src/app-file/gnome/Makefile.am
	(CFLAGS): move INCLUDES bits to CFLAGS.

	* src/app-file/gnc-file.c
	(gnc_book_opened): coerce to suppress warning for guile 1.3.4.
	(gnc_file_new): coerce to suppress warning for guile 1.3.4.
	(gnc_post_file_open): coerce to suppress warning for guile 1.3.4.
	(gnc_file_save): coerce to suppress warning for guile 1.3.4.
	(gnc_file_quit): coerce to suppress warning for guile 1.3.4.

	* src/app-file/Makefile.am: support new g-wrap .scm module files.
	(CFLAGS): move INCLUDES bits to CFLAGS.
	(pkglib_LTLIBRARIES): move libgw-app-file.la here.

	* src/app-file/.cvsignore: add gw-app-file.scm.

	* macros/autogen.sh: update for intltool.

	* configure.in: update for intltool.  Update LIBTOOL macros to
	match libtool docs.  Require at least g-wrap 1.1.12.  Add
	src/backend/net/Makefile to output.

	* src/Makefile.am (CFLAGS): move INCLUDES bits to CFLAGS.

	* macros/autogen.sh: update for intltool.

	* acinclude.m4: added AM_ACLOCAL_INCLUDE so it would work from
	configure.in under the new auto* tools.

	* .cvsignore: add intltool files.

2001-10-10  Dave Peticolas  <dave@krondo.com>

	* src/engine/test-core/test-engine-stuff.c
	(get_random_kvp_frame_depth): use set kvp max elements number

	* src/engine/Account.c (xaccAccountEqual): add warning strings

	* src/engine/Group.c (xaccGroupEqual): add warning strings

	* src/engine/gnc-book.c (gnc_book_equal): add warning strings

	* src/engine/kvp_frame.c: treat empty frames as NULL

	* src/backend/postgres/test/run-tests.sh: enable test

	* src/backend/postgres/test/test-db.c (main): enable test

	* src/backend/file/test/test-kvp-frames.c (test_kvp_xml_stuff):
	print more debugging output

	* src/backend/file/sixtp-dom-generators.c (add_kvp_value_node):
	fix bug generating kvp string values (they weren't being escaped)

2001-10-09  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/Transaction.{ch} (xaccTransGetVoidTime): new function.

2001-10-08  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/test/test-transaction-voiding.c (run_test): remove
	diagnostic stuff needed for initial debugging, fix bug in test.

	* src/engine/Transaction.c: removed transaction void debugging
	stuff.

	* src/engine/test/Makefile.am: enable transaction voiding test.

2001-10-05  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/test/test-transaction-voiding.c: new file.

	* src/engine/Transaction.c: debugging stuff for transaction
	voiding (will be removed later).

2001-10-03  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/de.po, txt-to-pot.sh: Several updates from the
	stable branch.

	* po/glossary/es.po: Added Spanish translation by Raúl Miró
	<cotin@geocities.com>

2001-10-03  Robert Graham Merkel  <rgmerk@mira.net>

	* */Makefile.am: changes for automake 1.5 compatibility (still not
	perfect).

	* configure.in: changes for automake 1.5 compatibility

	* src/engine/transaction.c: store values as well as amounts in
	voided splits' kvp frames

	* src/engine/gw-engine-spec.scm: wrap voiding functions

	* src/report/report-system/report-utilities.scm: added some
	convenience functions for adding voiding checks to queries and
	checking the voiding status of splits.

	* src/report/standard-reports/*: fixed up queries to exclude voids
	as appropriate.

2001-10-01  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/Transaction.{ch} (xaccTransVoid),
	(xaccTransGetVoidStatus), (xaccTransGetVoidReason),
	(xaccSplitVoidFormerAmount): new functions.

	* src/engine/kvp_doc.txt: add new entries related to transaction
	voiding.

	* src/engine/Query.{ch}: add support for filtering queries on
	voided state.

2001-09-30  Josh Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c: Displays
	auto-created-and-notification-requested scheduled transactions in
	a GL rather than a clist.

	* src/register/ledger-core/split-register-model.c
	(gnc_template_register_model_new): Added date-cell entry/io-flags
	handler for template register, making date cell inactive, and
	stating "Scheduled" instead of a date.

	* src/gnome/dialog-sxsincelast.c (_create_transactions_on): Now
	does appropriate cleanup in the case it needs to create a
	temporary toCreateTuple for transaction-creation.
	(_create_each_transaction_helper): Cleanup failed
	transaction-creation appropriately.  Support for returning a list
	of the GUIDs of created transactions.

2001-09-28  Robert Graham Merkel  <rgmerk@mira.net>

	* src/app-utils/date-utilities.scm ((gnc:deltasym-to-delta)): new
	function to convert datedelta symbols to the actual deltas.

	* src/app-utils/app-utils.scm: export gnc:deltasym-to-delta

	* src/report/standard-reports/net-barchart.scm (etc.): replace
	eval usage with gnc:deltasym-to-delta

2001-09-21  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.c: fix split account bugs.

	* src/gnome/dialog-sx-from-trans.c: fix freqspec bugs.

2001-09-14  Dave Peticolas  <dave@krondo.com>

	* src/register/register-gnome: add new headers

	* src/register/register-gnome/gncmod-register-gnome.c: initialize
	gnome-specific cells and table

	* src/register/register-gnome/pricecell-gnome.c
	(gnc_price_cell_gnome_new): new func.

	* src/register/register-gnome/quickfillcell-gnome.c
	(gnc_quickfill_cell_gnome_new): new func

	* src/register/register-gnome/table-gnome.c: new code to
	initialize table with gnome-specific callbacks

	* src/register/register-core/Makefile.am: add test subdir

	* src/register/register-core/pricecell.c: remove gui-specific stuff

	* src/register/register-core/quickfillcell.c: remove gui-specific stuff

	* src/register/register-core/table-allgui.c: implement gui cursor
	refresh as a callback.

	* src/gnome/window-register.c: fix menu names and help strings

	* src/backend/file/gnc-schedxaction-xml-v2.c
	(gnc_schedXaction_end_handler): open account for editing
	before destroying it.

	* src/backend/file/gnc-schedxaction-xml-v2.c (tt_act_handler):
	open account for editing and leave it open.

	* src/backend/file/io-gncxml-v2.c
	(add_template_transaction_local): commit the template account
	group after all transactions have been added.

	* configure.in: configure new test Makefile

2001-09-13  Dave Peticolas  <dave@krondo.com>

	* src/guile/gw-gnc-spec.scm: remove some unused wrappings

	* src/gnome-utils/Makefile.am: enable test dir

	* src/gnome-utils/dialog-commodity.c: re-factor help handler

	* src/gnome-utils/gnc-account-tree.c: re-factor account group handler

	* src/gnome-utils/gnc-html.c: re-factor help url handler

	* src/gnome/glade/commodity.glade: name help button

	* src/gnome/top-level.c: add in new handlers

	* src/gnome/window-main.c: remove toplevel api

2001-09-06  Dave Peticolas  <dave@krondo.com>

	* src/engine/Makefile.am: install public headers

	* src/engine/SX-ttinfo.h: add fixme, reformat to 80 columns

2001-09-05  Dave Peticolas  <dave@krondo.com>

	* src/Makefile.am: identify new scripts as built sources

	* configure.in: configure a gnucash-specific header directory

	* src/gnucash-run-script.in: new helper script for running gnucash
	guile scripts with the right directories set up.

	* src/Makefile.am: add new files

	* src/gnucash-make-guids.in: replace old gnucash-make-guid
	with a guile script

	* src/engine/gw-engine-spec.scm: wrap new function

	* src/engine/GNCId.c (xaccGUIDNewReturn): new function suitable
	for g-wrapping.

2001-09-06  Christian Stimming  <stimming@tuhh.de>

	* src/engine/messages.[hc]: Added support for i18n messages with
	qualifying prefix; adapted from code by Zbigniew Chyla
	<cyba@piast.t19.ds.pwr.wroc.pl>.

2001-09-05  James LewisMoss  <jimdres@mindspring.com>

	* src/register/ledger-core/split-register-model-save.c
	(gnc_split_register_save_template_cells): Add missing comma.

2001-09-05  Robert Graham Merkel  <rgmerk@mira.net>

	* src/register/ledger-core/split-register-model-save.c: replace
	kvp-frame key string literal with #defines from schedXaction.h

	* src/gnome/window-register.c: rename "recur" commands "schedule".

2001-09-04  Robert Graham Merkel  <rgmerk@mira.net>

	* several SX-related .c files: replaced use of
	kvp_frame_{set,get}_slot, with {set,get}_slot_path, replaced
	literals with #defines.

	* src/engine/SchedXaction.h: #define names for kvp_frame keys.

	* src/engine/dialog-sx-from-trans.h: fix freqspec and date/time
	setting bugs.

	* src/gnome/glade/sched-xact.glade: rename several items in editor
	dialog to match UI code.

2001-09-02  Dave Peticolas  <dave@krondo.com>

	* src/backend/file/sixtp-dom-generators.c (add_kvp_value_node):
	fix warning in case of empty kvp sub-frame

	* src/backend/file/io-gncxml-v2.c (clear_up_account_commodity):
	fix scu values

	* src/engine/Account.c (xaccInitAccount): initialize scu to 0

2001-09-02  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/average-balance.scm: Ben Stanley
	<bds02@uow.edu.au>'s report fix.

2001-08-31  Dave Peticolas  <dave@krondo.com>

	* src/engine/Scrub.c: don't create accounts with no currency

2001-08-30  Robert Graham Merkel  <rgmerk@mira.net>

	* src/gnome/dialog-sx-from-trans.{ch}: New files, providing easy way
	to turn existing transactions into SX's.

	* src/engine/SX-ttinfo.{ch}: provide data structure for easy building
	of template transactions for SX.

	* src/engine/GNCId.h: changed include guards to fix in with policy.

	* src/engine/SchedXaction.{ch}: added function to turn structures in
	SX-ttinfo.c into real template trans, fixed bugs.

	* src/engine/kvp-doc.txt: updated docs.

	* src/gnome/glade/sched-xact.glade: added dialog for SX-from-trans

	* src/gnome/dialog-commodity.h: fixed include guards (previously, name
	started with underscore).

	* src/gnome/window-register.c: added code to let user activate
	SX-from-trans dialog

2001-08-25  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/gnc-html-guppi.c: activate the [xy]_axis_label
	options.

2001-08-22  Dave Peticolas  <dave@krondo.com>

	* src/gnome/query-user.c
	(gnc_choose_radio_option_dialog_parented): add a cancel button

	* src/guile/gw-gnc-spec.scm: fix api naming

	* src/report/locale-specific/us/taxtxf.scm: fix api naming

2001-08-20  Dave Peticolas  <dave@krondo.com>

	* others: xaccGetAccountRoot->xaccAccountGetRoot

	* src/engine/messages.h: move this file here

	* src/engine/test/test-group-vs-book.c: new file. test group/book
	references

	* src/engine/test-core/test-engine-stuff.c (get_random_group): new
	func

	* src/engine/gnc-book.c: (gnc_book_set_group): update group's book

	* src/engine/Group.c (xaccGroupGetBook): new func
	(xaccGroupSetBook): new func

	* src/engine/GroupP.h: add a reference to the group's book

	* src/app-utils/global-options.[ch]: cleanup

	* src/app-utils/option-util.[ch]: cleanup

	* src/gnome/top-level.c: take out reverse balance implementations

	* src/app-utils/gnc-ui-util.c: take out deprecated api
        implementations. implement reverse balance api calls.

	* src/register/ledger-core/SplitLedger.[ch]: take out reverse
	balance callback. just use app-utils version.

	* src/app-utils/gnc-ui-util.h: remove deprecated api

	* src/engine/gnc-book-p.h: add const

	* src/engine/gnc-book.c: strdup error message for backend

	* src/backend/file/gnc-backend-file.c: fix bugs

2001-08-19  Christian Stimming  <stimming@tuhh.de>

	* po/gnc-glossary.txt, po/glossary/gnc-glossary.txt,
	po/glossary/txt-to-pot.sh, po/glossary/de.po: Moved from the
	concept of one big ASCII table to the concept of one po file for
	each translation of the glossary. Hence, created this
	subdirectory.

2001-08-18  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/FreqSpec.c: i18n xaccFreqSpecGetFreqStr.

	* src/gnome/dialog-sxsincelast.c: fix bug in close callback.

2001-08-17  James LewisMoss  <jimdres@mindspring.com>

	* src/gnc-module/gnc-module.c (gnc_module_system_setup_load_path):
	add in void for empty argument list.

	* src/gnc-module/Makefile.am (libgw_gnc_module_la_SOURCES): add
	-lgncmodule to link link and libgncmodule.la to dependencies.

	* src/register/register-gnome/Makefile.am
	(libgncmod_register_gnome_la_LDFLAGS): add GNOMEUILIBS to module
	link line.

	* src/guile/Makefile.am: remove file-utils.[ch] &
	argv-list-encoders.[ch]

	* src/gnome/Makefile.am (SUBDIRS): add file-utils.[ch] &
	argv-list-encoders.[ch]

2001-08-16  Bill Gribble  <grib@billgribble.com>

	* move report system into gnc-modules. This required a new
	module of application framework stuff, src/app-utils.

	* src/report/report-system/: the report-html-generation code
	and the various report utilities and infrastructure

	* src/report/standard-reports/: non-locale-specific financial
	reports

	* src/report/utility-reports: non-financial reports

	* src/report/locale-specific: reports that only apply to specific
	locales.

	* src/report/stylesheet: report style sheet definitions

2001-08-16  James LewisMoss  <jimdres@mindspring.com>

	* src/guile/argv-list-converters.c (print_argv): remove unused
	function.

2001-08-16  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/FreqSpec.c: Take out day and month name arrays - use
	strftime instead.  i18n Date formatting.  Replace magic numbers.

	* src/gnome/glade/sched-xact.glade: Add "select all" and "unselect all"
	buttons to obsolete-sx dialog.

	* src/gnome/dialog-sxsincelast.c: Remove string literals and magic
	numbers.  (freq_type_to_string) remove.  (_create_transactions_on):
	catch errors a bit better. (sx_obsolete_row_{un}sel): remove unnecessary
	warnings.  (sx_obsolete_{un}select_all_clicked): add callbacks for
	"select all" and "unselect all" buttons.

2001-08-15  James LewisMoss  <jimdres@mindspring.com>

	* Makefile.am: remove TAGS.stamp stuff.

2001-08-15  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/window-acct-tree.c, window-register.c,
	window-reconcile.c, po/gnc-glossary.txt: Changed the term 'to
	scrub' to 'to check and repair'.

2001-08-15  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.c(xaccSchedXactionFree): fix
	bug.

	* src/gnome/dialog-sxsincelast.c: add "obsolete
	transactions" dialog.  Extensive changes.

	* src/gnome/glade/sched-xact.glade: add obsolete SX dialog
	stuff.

	* src/scm/report-utilities.scm (gnc:amount->string): fix
	bug.

2001-08-14  James LewisMoss  <jimdres@mindspring.com>

	* src/backend/file/gnc-schedxaction-xml-v2.c: add null stuff to
	end of struct.

2001-08-13  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gw-engine-spec.scm (((mod (gw:new-module
	"gw-engine")))): move some funcs to kvp-spec.

	* src/scm/report/balance-sheet.scm (optname-show-parent-balance):
	wrap all var usages with N_'ed vars with (_ ... )

2001-08-14  Dave Peticolas  <dave@krondo.com>

	* all others: update for api/reorganization

	* src/register/register-core/table-control.[ch]: encapsulate
	table control object.

	* src/register/ledger-core/split-register-util.c: split out
	general split register utilities

	* src/register/ledger-core/split-register-control.[ch]: split
	out split register control functionality

2001-08-13  Dave Peticolas  <dave@krondo.com>

	* all other files: update for change below

	* src/register/register-core/table-layout.[ch]: make cursors part
	of the table. allow them to be added dynamically.

2001-08-11  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/md5.c: include string.h to get bcopy def.

2001-08-11  Christian Stimming  <stimming@tuhh.de>

	* src/FileDialog.c (show_book_error): fix message.

2001-08-11  Dave Peticolas  <dave@krondo.com>

	* src/register/register-core/table-allgui.[ch]: update for
	api changes. Move some layout code to table-layout.c.

	* src/register/register-core/splitreg.[ch]: update for api changes

	* src/register/register-core/cellblock.[ch]: move cursor
	changed functions here

	* src/register/register-core/Makefile.am: add new files

	* src/register/ledger-core/SplitLedger.c: update for api changes

	* src/register/register-core/table-layout.[ch]: new file.
	table layout object encapsulates table structure.

	* src/scm/main.scm: add lib path to LD_LIBRARY_PATH

2001-08-10  Christian Stimming  <stimming@tuhh.de>

	* po/gnc-glossary.txt: Updated explanation for "to scrub" to clear
	up some big misunderstandings here.

2001-08-10  Dave Peticolas  <dave@krondo.com>

	* src/register/register-core/cell-factory.c
	(gnc_cell_factory_add_cell_type): fix bug

2001-08-09  Dave Peticolas  <dave@krondo.com>

	* src/register/register-gnome/table-gnome.c
	(gnc_table_save_state): tweak cell width saving

2001-08-08  Dave Peticolas  <dave@krondo.com>

	* src/register/ledger-core/SplitLedger.c: fix bugs

	* src/register/register-gnome/pricecell-gnome.c: better 'return'
	handling.

2001-08-08  Bill Gribble  <grib@billgribble.com>

	* fix Makefile.am in various places to clean up libtool
	problems.  These changes may still need fine tuning to make
	everything work with both libtool 1.4 and 1.3.5

2001-08-08  Dave Peticolas  <dave@krondo.com>

	* src/engine/engine-helpers.[ch]: remove cruft

	* src/guile/gnc-helpers.c: fix warnings

	* src/import-export/qif-import/gncmod-qif-import.c: include api
	header

	* src/register/register-gnome/gncmod-register-gnome.c: include api
	header

	* src/register/register-core/gncmod-register-core.c: include api
	header

	* src/register/ledger-core/gncmod-ledger-core.c: include api header

	* src/backend/postgres/gncmod-backend-postgres.c: include api header

	* src/backend/rpc/gncmod-backend-rpc.c: include api header

	* src/backend/file/gnc-pricedb-xml-v1.c: fix warning

	* src/backend/file/Makefile.am (SUBDIRS): fix includes

	* src/backend/file/gncmod-backend-file.c: include api header

	* src/engine/gncmod-engine.c: include api header

	* src/gnc-module/test/test-dynload.c: fix warning

	* src/gnc-module/test/misc-mods/agedver.c: include api header

	* src/gnc-module/test/misc-mods/incompatdep.c: include api header

	* src/gnc-module/test/misc-mods/futuremodsys.c: include api header

	* src/gnc-module/test/mod-baz/gnc-mod-baz.c: include api header

	* src/gnc-module/test/mod-bar/gnc-mod-bar.c: include api header

	* src/gnc-module/test/mod-bar/Makefile.am: fix includes

	* src/gnc-module/test/mod-foo/gnc-mod-foo.c: include api header

	* src/gnc-module/test/mod-foo/Makefile.am: fix includes

	* src/gnc-module/gnc-module-api.h: new file. public module api

	* src/gnc-module/Makefile.am: add headers

2001-08-06  Bill Gribble  <grib@billgribble.com>

	* Added module/plugin system (src/gnc-module/*)

	* reshuffled source code from src/engine, src/register, and some
	from src/guile, src/scm, src/gnome (see src/README.modules).
	engine, backends, register, qif importer are now "modules".

	* unfinished new QIF import/export module (the old one's still
	there and still works)

	* really too many files touched to get into it.

2001-08-06  Dave Peticolas  <dave@krondo.com>

	* src/register/table-html.[ch]: remove

	* src/register/Makefile.am: add table-model.[ch],
	remove table-html.[ch]

	* src/MultiLedger.c: same as below

	* src/register/table-allgui.[ch]: same as below

	* src/register/table-model.[ch]: separate table model out from
	table code.

	* src/register/pricecell.c: fix bugs

	* src/engine/sql/upgrade.h: fix warning

	* src/engine/gnc-pricedb.[ch] (gnc_price_equal): new func

	* src/engine/FreqSpec.c: add comment

2001-08-05  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-register.c: move close button to left
	to be more consistent with main window

	* src/SplitLedger.c (sr_split_auto_calc): fix bug

2001-08-04  Dave Peticolas  <dave@krondo.com>

	* src/scm/main-window.scm: handle errors in creating
	~/.gnucash/books

	* src/scm/path.scm (gnc:make-dir): new func

	* src/scm/options.scm: same as below

	* src/scm/html-style-sheet.scm: handle file opening error

2001-08-03  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-sxsincelast.c: same as below

	* src/gnc-exp-parser.[ch]: seperate->separate

	* src/engine/gnc-book.c: fix warnings

	* doc/sgml/C/xacc-sxeditor.sgml: fix warning

2001-08-02  James LewisMoss  <jimdres@mindspring.com>

	* src/scm/prefs.scm (((current-value gnc:*debugging?*))): add
	devel mode setting.

	* src/scm/command-line.scm (gnc:*arg-defs*): add devel mode
	command line option.

2001-08-02  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.c (xaccSchedXactionSetEndDate): Reject
	bad data, log warning. (xaccSchedXactionSetRemOccur): ditto.
	(xaccSchedXactionSetSplits): remove already-#if'd out function.

	* src/engine/gnc-schedxaction-xml-v2.c: #define more tags.

2001-08-01  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.{ch}: modified indenting to 2 spaces.

	* src/engine/SchedXaction.{ch}: Added member for recording if
	SX has changed since last save.
	(xaccSchedXactionSetDirtyness) provide API for modifying that field.
	All setter functions changed to set member appropriately.
	(xaccSchedXactionSetSlot, XaccSchedXactionGetSlot): New functions

	* src/engine/gnc-book-p.h (struct gnc_book_struct): Added field
	for recording whether sx list had changed.

	* src/engine/gnc-book.c: (gnc_book_marked_save): mark the SX-related
	stuff as saved.
	(gnc_book_not_saved): look up the SX-related stuff as well.

	* src/engine/gnc-schedxaction-v2.c: once a scheduled transaction is
	loaded by the backend, mark it as not saved.

2001-07-30  Christian Stimming  <stimming@tuhh.de>

	* src/scm/html-utilities.scm: Fixed bug with sub-balances in
	account tables with non-default account selection.

2001-07-30  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Query.c: move test code to a test-queries in test
	directory.

	* src/engine/io-gncbin-r.c: remove #if 0'ed code.

2001-07-30  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/glade/sched-xact.glade: Added seperate reminders
	dialog from since-last-run dialog.  Removed reminders
	frame/section from since-last-run dialog.  Added alternative SX
	Editor UI [not presently used].

	* src/gnome/dialog-sxsincelast.c: Changes for
	reminders-as-seperate-dialog; selected reminders then update
	since-last-run dialog [whether it's open or not]; the dialogs
	[mostly] deal with their closing conditions correctly.  Support
	for ad-hoc variables in template-transaction-split formulas.

	* src/engine/gnc-schedxaction-xml-v2.c
	(gnc_schedXaction_end_handler): Added support for restoring
	in-development pre-template-account-stored-in-SX change.
	(tt_act_handler): Added support for restoring in-devel pre-CIT
	.gml2/XMLv2 files.

	* src/gnc-exp-parser.c (gnc_exp_parser_parse_seperate_vars): Added
	for Scheduled-Transaction-related since-last-run/split-formula
	parsing.

	* src/gnome/dialog-sxsincelast.c: Added support for variable entry
	before creation/formulas in template transactions.

2001-07-28  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.{ch}: Store template account in the
	SchedXaction structure, get rid of splitlist from structure.

	* src/engine/gnc-schedxaction-xml-v2.c: replaced tag literals
	with #define'd constants.
	(gnc_schedXaction_dom_tree_create, sx_templ_act_handler): added
	code for saving/restoring template account ID.

	* doc/sgml/C/xacc-sxeditor.sgml: new file.

2001-07-27  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-schedxaction-xml-v2.c: remove include of removed
	file.

	* src/engine/gnc-freqspec-xml-v2.c: remove include of removed
	file.

	* src/engine/gnc-pricedb-xml-v1.c: remove include of
	sixtp-writers.h and remove func xml_add_gnc_pricedb (no longer
	used anywhere)
	(gnc_pricedb_parser_new): reorder functions.
	remove include of removed file.

	* src/engine/io-gncxml-v1.c: move v1 kvp parser code to this
	file.

	* src/engine/sixtp-parsers.h: remove old v1 parser decls to
	io-gncxml-v1.c

	* src/engine/gnc-schedxaction-xml-v2.c
	(gnc_schedXaction_dom_tree_create): remove usage of
	xml_add_gint32.

2001-07-26  James LewisMoss  <jimdres@mindspring.com>

	* configure.in: comment out AC_ARG_PROGRAM called.  Presumably
	called by one of the AM macros.

2001-07-26  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.c (xaccSchedTransactionInit):
	change declaration to static, uncommented g_free usage.

	* src/engine/SchedXaction.c: Moved a couple of functions
	about.

	* src/engine/FreqSpec.c (xaccFreqSpecInit): change
	declaration to static.  Moved a couple of functions
	about.

	* src/engine/FreqSpec.h, SchedXaction.h: remove "Init"
	function prototypes

2001-07-25  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/SchedXaction.c
	(sxprivtransactionListMapDelete): renamed function.

2001-07-24  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-sxeditor.sgml: New file.

	* doc/sgml/C/Makefile.am, gnucash.sgml: updates for new file

	* src/gnome/glade/sched-xact.glade: add help button

	* src/gnome/dialog-schedxaction.c: add callback for help button.

	* src/gnome/gnc-ui.h: pointer to help file.

2001-07-22  Dave Peticolas  <dave@krondo.com>

	* src/test/gnc-test-stuff.[ch] (get_random_price): new func.

	* src/register/splitreg.[ch]: remove null cell

	* src/engine/Transaction.h: update docs

2001-07-21  Dave Peticolas  <dave@krondo.com>

	* src/register/cell-factory.[ch]: a new object for creation of
	register cells. allows new cell types to be added dynamically.

	* src/register/gnome/gnucash-style.c: fix for removal of
	label from cellblock cells.

	* src/register/table-allgui.[ch]: fix for changed flag and
	callback changes.

	* src/register/splitreg.[ch]: remove fixed cells, use a dynamic
	list. Fix code appropriately.

	* src/register/register-common.[ch]: add wrapper for a global cell
	factory.

	* src/register/gnome/datecell-gnome.c: same as below

	* src/register/gnome/combocell-gnome.c: same as below

	* src/register/textcell.[ch]: same as below

	* src/register/recncell.[ch]: same as below

	* src/register/quickfillcell.[ch]: same as below

	* src/register/pricecell.[ch]: same as below

	* src/register/numcell.[ch]: same as below

	* src/register/datecell.h: same as below

	* src/register/combocell.h: make destructor private.
	constructor returns 'BasicCell *'.

	* src/register/cellblock.[ch]: remove 'label' members -- no longer
	used.

	* src/register/basiccell.[ch]: 'virtualize' destructor.
	simplify changed flags.

	* src/register/Makefile.am (SUBDIRS): add cell-factory.[ch]

	* src/gnome/gnc-html.c: fix includes

	* src/SplitLedger.c: update for api changes

	* src/MultiLedger.c: update for api changes

2001-07-20  James LewisMoss  <jimdres@mindspring.com>

	* src/gnome/top-level.c (gnucash_ui_init): remove the \n's from
	the ENTER and LEAVE calls.

2001-07-19  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-book.c (gnc_book_save): use all_sync if available
	else sync separately.
	(gnc_book_save): extract out duplicate error handling code.

2001-07-19  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/payables.scm: add column totals, add some
	clarifying comments.

2001-07-18  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.c (balance_helper): fix bug

2001-07-17  Dave Peticolas  <dave@krondo.com>

	* src/engine/Scrub.c (xaccGroupScrubCommodities): use group
	begin/commit to speed up processing

	* src/engine/Group.[ch] (xaccAccountGroupBeginEdit): make public

2001-07-18  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/payables.scm: Make creditor display
	order configurable.

	* src/guile/gnc.gwp: wrap safe_strcmp.

	* src/gnome/dialog-print-check.c: revert inadvertent change
	(sorry . . .).

2001-07-17  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/C/xacc-features.sgml: Matt Krai's doc patch

	* doc/sgml/C/xacc-about.sgml: Matt Krai's doc patch

	* AUTHORS: credits

	* doc/sgml/C/xacc-about.sgml: credits

	* src/gnome/gnc-dateedit.c: Matt Kraai's date accelerator bug fix

	* src/engine/io-gncbin-r.c: fix bug with price import (use
	posted date, not entered date).

	* src/engine/gnc-pricedb.[ch]: fix bugs with setting currency and
	commodity and with converting from legacy commodities.

	* src/engine/Transaction.c (xaccTransAppendSplit): make sure
	split's value conforms to the transaction common currency.

2001-07-12  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-register.c: same as below

	* src/scm/report/taxtxf.scm: use split amount

2001-07-13  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/payables.scm: New file - an
	"Accounts payable by creditor" report.

	* src/scm/date-utilities.scm: Added a couple
	more datedeltas.

	* src/scm/Makefile.am: update for new file.

2001-07-12  Dave Peticolas  <dave@krondo.com>

	* src/register/splitreg.[hc]: same as below

	* src/SplitLedger.c: remove share balance cells, they are now
	redundant

	* accounts/*/*: currency->commodity

	* src/scm/engine-interface.scm: quantity->amount

	* src/guile/guile-util.[ch]: quantity->amount

	* src/guile/gnc.gwp: quantity->amount

	* src/SplitLedger.c: quantity->amount

	* src/gnc-ui-util.[ch]: quantity->amount

	* src/scm/report/transaction.scm: remove old api

	* src/scm/report-utilities.scm: remove old api

	* src/scm/commodity-utilities.scm: remove old api

	* src/scm/engine-interface.scm: remove old api

	* src/scm/extensions.scm: remove old api

	* src/scm/report-utilities.scm: remove old api

	* src/gnome/reconcile-list.c: remove old api

	* src/scm/report/register.scm: remove old api

	* src/engine/Scrub.c: remove old api

	* src/engine/sql/txn.c: remove old api

	* src/engine/rpc/RpcUtils.c: remove old api

	* src/guile/gnc.gwp: remove cruft

	* src/scm/extensions.scm: remove cruft

	* src/guile/gnc-helpers.[ch]: remove old api

	* src/engine/io-gncbin-r.c: remove old api

	* src/guile/gnc-helpers.c: remove old api

	* src/SplitLedger.c: remove old api

	* src/engine/Transaction.[ch]: remove share api and older api

	* src/engine/Transaction-xml-parser-v1.c: remove old api

	* src/gnome/druid-stock-split.c: remove share api

	* src/engine/Account.[ch]: remove 'share' api and other
	unused api.

	* src/scm/qif-import/qif-to-gnc.scm: remove share api

	* src/guile/gnc.gwp: remove share api

	* src/gnome/window-reconcile.c: remove share api

	* src/gnome/window-register.c: remove share api

2001-07-11  Dave Peticolas  <dave@krondo.com>

	* src/engine/io-gncxml-v2.c: same as below

	* src/engine/io-gncbin-r.c: same as below

	* src/engine/io-example-account.c: same as below

	* src/engine/Ledger-xml-parser-v1.c: remove autocode

	* src/engine/Group.[ch]: remove autocode api. This hasn't
	really been used in a while, and account codes are generally
	assigned based on account function, not just hierarchy position.

	* src/engine/Account.[ch]: remove autocode api

	* src/guile/gnc.gwp: remove auto code api

	* src/scm/commodity-utilities.scm: fix function calls

	* src/test/test-xml-transaction.c: CIT (currency-in-transaction)

	* src/test/test-xml-account.c: CIT

	* src/test/gnc-test-stuff.c: CIT

	* src/scm/report/taxtxf.scm: CIT

	* src/scm/qif-import/qif-to-gnc.scm: CIT

	* src/scm/qif-import/qif-dialog-utils.scm: CIT

	* src/scm/text-export.scm: CIT

	* src/scm/price-quotes.scm: CIT

	* src/scm/main-window.scm: CIT

	* src/scm/engine-interface.scm: CIT

	* src/guile/gnc.gwp: CIT. remove unused api

	* src/gnome/glade/transfer.glade: remove currency account list

	* src/gnome/glade/account.glade: remove security gui

	* src/gnome/window-reconcile.c: CIT

	* src/gnome/window-main-summarybar.c: CIT

	* src/gnome/window-acct-tree.c: CIT

	* src/gnome/druid-stock-split.c: CIT

	* src/gnome/druid-qif-import.c: CIT

	* src/gnome/druid-hierarchy.c: CIT

	* src/gnome/druid-commodity.c: CIT

	* src/gnome/dialog-transfer.c: CIT. don't use currency accounts

	* src/gnome/dialog-commodities.c: CIT

	* src/gnome/dialog-account.c: CIT

	* src/gnome/account-tree.c: CIT

	* src/engine/sql/txn.c: fix for CIT

	* src/engine/sql/account.c: remove old currency/security cruft

	* src/engine/sixtp-dom-parsers.[ch]: allow parsing kvp data into
	an existing frame

	* src/engine/kvp_doc.txt: document new keys used for storing
	old currency/security fields

	* src/engine/io-gncxml-v2.c: CIT

	* src/engine/io-gncxml-r.c: CIT

	* src/engine/io-gncbin-r.c: CIT

	* src/engine/io-example-account.c: CIT

	* src/engine/gnc-transaction-xml-v2.c: CIT

	* src/engine/gnc-schedxaction-xml-v2.c: load kvp data
	into existing frame

	* src/engine/gnc-commodity.[ch]: add new lookup api, fixes
	for NULL pointers

	* src/engine/gnc-book.c: don't scrub (moved elsewhere)

	* src/engine/gnc-account-xml-v2.c: store transaction currency
	and account commodity.

	* src/engine/Transaction.[ch]: add a transaction currency

	* src/engine/TransLog.c: CIT

	* src/engine/Scrub.[ch]: add api for fixing up
	account and transaction commodities.

	* src/engine/SchedXaction.c: CIT

	* src/engine/Ledger-xml-parser-v1.c: CIT

	* src/engine/Group.[ch]: don't cache a group balance

	* src/engine/Account.[ch]: CIT. remove currency, security
	fields, add commodity fields. Store old currency/security
	in kvp_data.

	* src/engine/Account-xml-parser-v1.c: fix for CIT

	* src/gnc-ui-util.[ch]: fix for CIT

	* src/gnc-component-manager.c: remove deleted api

	* src/SplitLedger.c: fix for currency-in-transaction (CIT)

2001-07-11  James LewisMoss  <jimdres@mindspring.com>

	* configure.in (GNOME_XML_CFLAGS): add Richard Braakman's xml
	version patch.

	* src/engine/sql/PostgresBackend.c (pgend_session_begin): used
	backend arg directly.

	* src/engine/BackendP.h (struct _backend ): add Backend arg to
	book_begin.

	* src/engine/rpc/RpcBackend.c (rpcendInit): use xaccInitBackend to
	set everything in the backend to default values.
	(rpcend_book_begin): use backend var directly.

	* src/engine/sql/PostgresBackend.c (pgendInit): use
	xaccInitBackend to set everything to default values.

	* src/engine/gnc-book.c (gnc_book_destroy): use destroy backend
	method to free backend if it's set.

2001-07-09  Dave Peticolas  <dave@krondo.com>

	* configure.in: check for ghttp_ssl.h

	* src/gnome/gnc-http.c: conditionally include ghttp_ssl.h

	* doc/sgml/C/xacc-whats-new.sgml: fix spelling

	* doc/sgml/C/xacc-about.sgml: fix version

	* src/Makefile.am: link intl libs with gnucash-make-guids

	* src/register/QuickFill.c: same as below

	* src/register/quickfillcell.c: conditionally include wctype.h

	* configure.in: check for wctype.h

2001-07-07  Dave Peticolas  <dave@krondo.com>

	* src/test/gnc-test-stuff.c (get_random_query): not so many terms

	* src/test/Makefile.am: add test-scm-query

	* src/test/.cvsignore: add test-scm-query

	* src/test/test-scm-query.c: new test -- check query<->scm
	conversion

	* src/guile/gnucash.h: new func api

	* src/guile/gnucash.c.in (gnc_gw_init): new func

	* src/guile/gnc-helpers.c: fix bugs

	* src/engine/Query.c: fix bugs

2001-07-06  Dave Peticolas  <dave@krondo.com>

	* src/gnome/glade/sched-xact.glade: tweak

	* src/test/gnc-test-stuff.c (get_random_boolean): new func.
	(get_random_query): new func.

2001-07-06  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction.scm: Add new sort option "register
	order", make it the default for secondary sorting.

	* po/ChangeLog: removed from CVS.

2001-07-06  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-schedxaction-xml-v2.c: Support for new
	SchedXaction options [create/remind-days-in-advance; auto-create,
	notify-on-creation].

	* src/gnome/dialog-scheduledxaction.c (putSchedXactionInClist):
	Fix for next-occurrence processing.

	* src/engine/SchedXaction.c (xaccSchedXactionGetNextInstance):
	Better handling of start date/last-occur date/current dates when
	generating the next occurrence date.  Gotta remember to clear those
	g_dates, lest the come up 'valid' due to stack trash... :(

	* src/gnome/gnc-sxlastrun.{h,c}: Added; newer/better
	since-last-occur dialog.

	* src/gnome/window-main.c: Added Scheduled Transaction stuff to
	"Tools" menu.

	* src/scm/prefs.scm: Added initial cut at Scheduled Transaction
	preferences.

2001-07-06  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-balancreport.sgml: minor updates

	* doc/sgml/C/image/regwin*.png, appr-income.png, bal-graph.png,
	  report-hierachical.png: no longer used, so removed.

	* doc/sgml/C/image/*tax*.png: resaved as compressed png.

	* doc/sgml/C/image/report-folio.png: reshot for 1.6.

	* doc/sgml/C/image/Makefile.am: updated for removed files.

2001-07-05  Dave Peticolas  <dave@krondo.com>

	* src/engine/Query.c (xaccQueryEqual): new func.

	* doc/sgml/C/xacc-common-report-options.sgml: fix my fix

	* doc/sgml/C/xacc-price-sources.sgml: fix warnings

	* src/guile/gnc.gwp: wrap new func

	* src/gnome/druid-stock-split.c: use new func

	* src/gnome/window-register.c: use new func

	* src/gnome/window-reconcile.c: use new func

	* src/gnome/reconcile-list.c: use new func

	* src/gnc-ui-util.c (gnc_account_print_info): new func. this
	replaces 'quantity' and 'value' print info for the currency-
	in-transaction switch. Delete the 'quantity' version.

2001-07-04  Dave Peticolas  <dave@krondo.com>

	* AUTHORS: credits

	* doc/sgml/C/xacc-about.sgml: credits

	* src/scm/report/transaction.scm: Michael T. Garrison Stuber's
	transaction report patch.

	* doc/sgml/C/xacc-common-report-options.sgml: fix warning

2001-07-05  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-depreciation.sgml: Minor updates.

	* doc/sgml/C/xacc-price-sources.sgml: Updated for 1.6

	* doc/sgml/C/image/ticker-{a,b}.png: Removed.

	* src/gnome/druid-qif-import.c: fix syntax bug.

	* doc/sgml/C/image/<lots.png>: new and updated screenshots.

	* doc/sgml/C/image/Makefile.am: include new files.

	* doc/sgml/C/{lots}.sgml: update for new screenshots.

2001-07-04  Bill Gribble  <grib@billgribble.com>

	* src/gnome/druid-qif-import.c: fix cut-n-paste error in
	default_acct_back handler; fixes bug #106.

	* src/gnome/glade/qif.glade: add some explanatory text about
	what the "back" button does where it's not obvious

	* (later) actually fix #106... first patch didn't do it

2001-07-04  Dave Peticolas  <dave@krondo.com>

	* Makefile.am: add gnc-glossary.txt to the dist

	* src/engine/sixtp.c (sixtp_handle_catastrophe): fix bug -- don't
	destroy last stack frame

2001-07-03  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/register.scm: add exported functions and needed
	modules

	* AUTHORS: credits

	* doc/sgml/C/xacc-about.sgml: credits

	* src/scm/date-utilities.scm: Nicholas Lee's bug fix

	* src/.cvsignore: adjust for new program

	* rpm/gnucash.spec.in: adjust for new program

	* src/Makefile.am: adjust for new program

	* src/gnucash-make-guids.c: new program to aid in GUID creation

	* src/engine/sql/putil.h: Alex Zepeda's patch converting atol->strtoll.

	* src/scm/commodity-utilities.scm: fix bug -- use srfi-1 to
	make sure we get the right 'last'

	* src/scm/Makefile.am: same as below

	* src/scm/report/Makefile.am: fix bugs -- put modulized scm
	files back into dist and strings targets

	* src/scm/report/taxtxf.scm: fix bug, eliminate use of append

	* src/MultiLedger.c: same as below

	* src/register/table-allgui.c: same as below

	* src/register/splitreg.c: same as below

	* src/register/splitreg.h: same as below

	* src/register/table-allgui.h: rename TableView to TableModel.
	Put cell data handlers into the model.

2001-07-02  Dave Peticolas  <dave@krondo.com>

	* many header files: apply Ben Stanley's script to
	convert __HEADER_H__ to HEADER_H. All names starting
	with '_' are reserved.

	* src/gnome/gnc-dateedit.c: sync with datecell-gnome.c

	* src/register/gnome/datecell-gnome.c: use GDate to do
	date manipulations.

	* src/scm/bootstrap.scm.in: instead of the scheme command,
	just tell the user to run gnucash once as root.

2001-07-01  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.[ch]: implement towupper and iswlower
	if they are missing

	* src/register/quickfillcell.c: include gnc-ui-util.h

	* src/register/QuickFill.c: include gnc-ui-util.h

	* configure.in: check for towupper

2001-06-29  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-frequency.c: Added functions for dealing with
	widget changes in the year-subset freq. panels [quarterly,
	tri-yearly, semi-yearly, yearly].

	* src/gnome/gnc-frequency.c (gnc_frequency_save_state): Some
	improvement regarding saving the state of scheduled transactions.
	(gnc_frequency_setup): Much improvement regarding the setup of
	scheduled transactions.
	(year_range_sels_changed): Added to simplify modifications to
	year-range scheduled transactions.

2001-06-29  Dave Peticolas  <dave@krondo.com>

	* src/engine/gnc-account-xml-v2.c: Alex Zepeda's patch
	adding a missing include.

2001-06-28  James LewisMoss  <dres@ioa.com>

	* src/engine/gnc-book.c (xaccAddEndPath): new func.
	(xaccUserPathPathGenerator): new func.
	(xaccDataPathGenerator): new func.
	(xaccCmdPathGenerator): new func.
	(xaccResolveFilePath): refactor and use new funcs.

2001-06-27  Dave Peticolas  <dave@krondo.com>

	* src/register/QuickFill.c: same as below

	* src/register/quickfillcell.c: use wide character conversion
	functions

	* AUTHORS: credits

	* doc/sgml/C/xacc-about.sgml: credits

	* po/fr.po: Paul Poulain's French translations

2001-06-26  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-book.c (gnc_book_begin): convert strncmp ->
	g_strncasecmp (strncmp isn't universally available)

2001-06-26  Dave Peticolas  <dave@krondo.com>

	* src/engine/sixtp-dom-parsers.c: same as below

	* src/engine/gnc-commodity-xml-v2.c: same as below

	* src/engine/gnc-account-xml-v2.c: don't use node content member
	directly -- if libxml was configured to use buffers, this won't
	work.

	* src/register/gnome/gnucash-sheet.c
	(gnucash_sheet_key_press_event): allow shift-pgup and shift-pgdn
	to go to top & bottom of register respectively.

	* src/register/gnome/datecell-gnome.c (DateDirect): allow '-'
	hotkey to work if there is a full date there, or the cell is
	blank.

	* src/gnome/gnc-html.c: don't handle key presses, let the gtkhtml
	object do it.

2001-06-25  Dave Peticolas  <dave@krondo.com>

	* src/engine/sql/kvp-sql.c: include gnc-engine-util.h for stpcpy

	* src/engine/gnc-engine-util.c (gnc_stpcpy): add func

	* src/engine/gnc-engine-util.h: add definition of gnc_stpcpy.
	if stpcpy is not available, define stpcpy as gnc_stpcpy.

	* src/gnc-ui-util.c: remove gnc_stpcpy

	* src/gnome/window-main-summarybar.c: fix bug in euro profit
	calculation. use share prices in calculating totals.

	* AUTHORS: credits

	* doc/sgml/C/xacc-about.sgml: credits

	* src/scm/report/balance-sheet.scm: Daniel Hagerty's patch
	to add an unrealized gain/loss line to the balance sheet.

2001-06-24  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/account-piecharts.scm: fix sign bug

	* src/engine/sql/kvp-sql.c: same as below

	* src/engine/sql/txn.c: same as below

	* src/engine/sql/price.c: same as below

	* src/engine/sql/checkpoint.c: use strtoll instead of atoll

2001-06-24  Kevin Finn  <kevinfinn@mediaone.net>

	* src/gnome/dialog-transfer.[ch]: reformatted my previous changes
	to 80 cols.  Added interface to specify whether description
	quickfill will be based on From or To account splits.  Enhance
	quickfill to also select the appropriate account in the account
	tree for the matched transaction.

	* src/gnome/window-reconcile.c: reformatted my previous changes to
	80 cols.  Change the auto interest xfer dialog so that it
	quickfills based on the reconcile account, rather than always on
	the From account.

2001-06-24  Dave Peticolas  <dave@krondo.com>

	* AUTHORS: credits

	* doc/sgml/C/xacc-about.sgml: credits

	* configure.in: Alex Zepeda's postgres configure patch

2001-06-23  Kevin Finn  <kevinfinn@mediaone.net>

	* src/gnome/window-reconcile.c: fix for display of auto end value
	updates.

2001-06-23  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/C/xacc-about.sgml: credits

	* AUTHORS: credits

	* configure.in: Bill Nottingham's guile configuration patch

2001-06-20  Dave Peticolas  <dave@krondo.com>

	* configure.in: better error messages. remove cruft.

2001-06-19  Dave Peticolas  <dave@krondo.com>

	* src/engine/gnc-numeric.c: use C comments.

	* src/engine/SchedXaction.[ch]: use C comments.

	* src/gnome/gnc-frequency.[ch]: use C comments. fix warnings

2001-06-19  Bill Gribble  <grib@billgribble.com>

	* src/scm/qif-import/qif-parse.scm: convert to gnc-numeric when
	parsing, using string length as the precision

	* src/scm/qif-import/qif-to-gnc.scm: use gnc-numeric
	math routines where necessary

	* src/scm/qif-import/qif-file.scm: pass an equality test
	predicate to check-and-parse-fields

	* src/scm/report/*: fix module reports to use-modules on
	srfi-1 and slib where needed.

2001-06-19  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-nextrun.h: add guards

	* src/gnome/dialog-nextrun.c: use C comments.

2001-06-19  Bill Gribble  <grib@billgribble.com>

	* src/scm/qif-import/qif-objects.scm: initialize fields to ""
	rather than #f

	* src/scm/qif-import/qif-to-gnc.scm: fix cut-n-paste error

2001-06-19  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-scheduledxaction.c: use C comments. fix warning

2001-06-18  Dave Peticolas  <dave@krondo.com>

	* src/test/test-stuff.[ch]: fix warning

2001-06-18  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-transaction-xml-v2.c
	(gnc_transaction_end_handler): use dom_tree_to_transaction.

	* src/engine/gnc-account-xml-v2.c (gnc_account_end_handler): use
	dom_tree_to_account.

2001-06-18  Rob Browning  <rlb@cs.utexas.edu>

	* src/scm/report/report-list.scm: switch to use-modules for
	some reports.

	* po/.cvsignore: add ChangeLog.

	* src/scm/report/transaction-report.scm: renamed to transaction.scm

	* src/scm/report/transaction.scm: renamed from
	transaction-report.scm and converted to guile module.

	* src/scm/report/taxtxf.scm: convert to guile module.

	* src/scm/report/register.scm: convert to guile module.

	* src/scm/report/price-scatter.scm: convert to guile module.

	* src/scm/report/portfolio.scm: convert to guile module.

	* src/scm/report/pnl.scm: convert to guile module.

	* src/scm/report/net-barchart.scm: convert to guile module.

	* src/scm/report/iframe-url.scm: convert to guile module.

	* src/scm/report/hello-world.scm: convert to guile module.

	* src/scm/report/category-barchart.scm: convert to guile module.

	* src/scm/report/balance-sheet.scm: convert to guile module.

	* src/scm/report/average-balance.scm: convert to guile module.

	* src/scm/report/account-summary.scm: convert to guile module.

	* src/scm/report/account-piecharts.scm: convert to guile module.

	* src/scm/report/Makefile.am (gncscmmoddir): dir for report modules.
	(gncscmmod_DATA): add reports that have been modularized.
	(gncscm_DATA): remove reports that have been modularized.

	* src/scm/bootstrap.scm.in (gnc:load): don't silently succeed on
	load errors -- fail.

	* src/scm/report-html.scm: make (ice-9 slib) dependency explicit.

	* src/scm/depend.scm (gnc:depend): add optional timing facility.

	* src/gnome/gnc-frequency.c: fixed some type problems.

	* src/gnome/dialog-scheduledxaction.c: fixed some type problems.

	* src/gnome/dialog-nextrun.c: fixed some type problems.

2001-06-18  Dave Peticolas  <dave@krondo.com>

	* src/engine/gnc-schedxaction-xml-v2.c: same as below

	* src/MultiLedger.c: same as below

	* src/SplitLedger.c: same as below. fix indentation. please
	use the indentation style already present in the file.

	* src/engine/gnc-freqspec-xml-v2.c: same as below

	* src/engine/FreqSpec.[ch]: fix warnings. use standard C comments

	* doc/sgml/C/xacc-about.sgml: update credits

2001-06-17  Joshua Sled  <jsled@asynchronous.org>

	* src/engine/gnc-account-xml-v2.c (dom_tree_to_account): Added.

	* src/engine/gnc-transaction-xml-v2.c (dom_tree_to_transaction):
	Added.

	* src/FileDialog.c: Added support for copying
	scheduled-transaction-related GNCBook fields.

	* src/engine/FreqSpec.{h,c}: Added.

	* src/engine/SchedXaction.{h,c}: Added.

	* src/engine/gnc-{freqspec,schedxaction}-xml-v2.c: Added

	* src/engine/gnc-book.c: Added the template group [template
	transaction belong to the template group] and the Scheduled
	Transaction list.

	* src/gnome/glade/sched_xact.glade: Added.

	* src/gnome/dialog-nextrun.{h,c}: Added.

	* src/gnome/dialog-scheduledxaction.{h,c}: Added.

	* src/gnome/gnc-frequency.{h,c}: Added.

	* src/SplitLedger.c, src/MultiLedger.c: Added support for a
	Template Ledger.

	* src/guile/gnc.gwp: Added wrapping for
	dialog-{scheduledxactions,nextrun}-creation functions.

	* src/register/splitreg.c: Added formula credit and debit cells,
	and flags for template-register support.

	* src/register/formulacell.h: Added.

	* src/gnome/gnc-dateedit.h: Added explanatory comment from dave_p
	in IRC.

	* src/gnome/query-user.h: Added prototype of
 	gnc_verify_dialog_parented(...), so I could use it the SX UI
	stuff.

2001-06-17  Kevin Finn  <kevinfinn@mediaone.net>

	* src/gnome/window-reconcile.c: Implemented automatic interest
	transfer as a stripped-down transfer dialog.  This allows the user
	to automatically enter an interest charge or payment for bank or
	credit accounts prior to starting reconciliation, subject to both
	a global and per-account preference.

	* src/gnome/dialog-transfer.c,h: Add interfaces to allow the
	dialog-transfer to be manipulated as necessary to create the auto
	interest transfer dialog.

	* src/scm/prefs.scm: added new Reconcile boolean: Automatic
	Interest Transfer

	* src/engine/Account.c,h: Add access functions
	for per-account auto interest xfer kvp

	* src/engine/kvp_doc.txt: Document new kvps.

2001-06-17  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-commodity-xml-v2.c (set_commodity_value): strip
	string before setting things.

	* src/engine/io-gncxml-v2.c (gnc_book_write_to_xml_file_v2): check
	return of fclose.

2001-06-17  Dave Peticolas  <dave@krondo.com>

	* src/gnome/cursors.c (gnc_set_busy_cursor): fix warning

	* src/scm/date-utilities.scm: use gnc:print-date instead of
	strftime

	* src/scm/report/hello-world.scm: fix docs

	* src/scm/report/transaction-report.scm: fix date printing

	* src/scm/report/register.scm: remove cruft

	* src/register/gnome/gnucash-style.c (gnucash_font_load): new func
	If gdk_fontset_load doesn't work, try gdk_font_load.
	(gnucash_style_set_register_font_name): use gnucash_font_load
	(gnucash_style_set_register_hint_font_name): use gnucash_font_load

	* src/FileDialog.c (gncFileSave): save the window state on a save
	(gncFileQuerySave): don't provide cancel option when the ui can't

	* src/scm/main-window.scm (gnc:main-window-save-state): new func
	don't save state when the ui can't

	* src/gnome/window-main.c
	(gnc_main_window_can_cancel_exit): new func
	(gnc_main_window_can_save): new func
	(gnc_main_window_has_apps): new func

	* src/gnc-ui.h: add new api

	* src/gnome/top-level.c (gnc_ui_can_cancel_exit): new func

2001-06-16  Dave Peticolas  <dave@krondo.com>

	* src/guile/gnc.gwp: update for api change

	* src/scm/main.scm: update for api change

	* src/gnome/glade/newuser.glade: new file for new user glade xml

	* src/gnome/glade-support.[ch]: remove generated files

	* src/gnome/new-user-*.[ch]: remove old files

	* src/gnome/dialog-new-user.c: new file for new user dialog code.

	* src/gnome/druid-hierarchy.c: new file for account hierarchy
	creation druid code. Rename api calls to reflect the more
	general use of the druid.

2001-06-16  Robert Graham Merkel <rgmerk@mira.net>

	* po/POTFILES.in : remove references to deleted files.

2001-06-15  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-book.c (gnc_book_write_to_file): remove useless
	line.
	(make_backup): new func for duplicate functionality
	(copy_file): new func to copy file.
	(gnc_book_backup_file): use make_backup
	(gnc_book_write_to_file): use make_backup

2001-06-15  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-account-picker.c: use libglade

	* src/gnome/dialog-print-check.c: use libglade

	* src/gnome/dialog-find-transactions.c: use libglade

	* src/guile/gnc.gwp: remove budgeting api

	* src/gnome/dialog-budget.[ch]: remove

	* src/gnome/dialog-fincalc.c: use libglade

	* src/gnome/dialog-commodity.c: use libglade

	* src/gnome/dialog-account.c: use libglade

	* src/gnome/dialog-userpass.c: fix bloop

	* src/gnome/druid-commodity.c: use libglade

2001-06-14  Dave Peticolas  <dave@krondo.com>

	* src/gnome/druid-qif-import.c: use libglade

2001-06-14  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/Transaction.c (get_corr_account_split): Fix
	bug - lookup split values rather than balances.

2001-06-14  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-transfer.c: use libglade

	* rpm/gnucash.spec.in: fix bug

2001-06-13  Dave Peticolas  <dave@krondo.com>

	* src/experimental/cgi-bin/Makefile.am: add .cvsignore to dist

	* src/scm/report/account-summary.scm: fix string

	* src/guile/gnc-helpers.c (gnc_scm_list_to_glist): fix bug

	* src/scm/extensions.scm: fix bug

	* src/gnome/dialog-progress.c: use libglade

	* src/gnome/window-help.c: use libglade

	* src/gnome/dialog-utils.c (gnc_glade_lookup_widget): new func

	* src/gnome/dialog-tax-info.c: use libglade

	* src/gnome/dialog-style-sheet.c: use libglade

2001-06-13  James LewisMoss  <jimdres@mindspring.com>

	* configure.in (CFLAGS): add test-files makefiles to list.

	* src/test/Makefile.am: add SUBDIRS test-files.

	* src/test/test-load-xml2.c (main): add test for file ending so we
	don't get the Makefiles

	* doc/sgml/de_DE/Makefile.am: remove empty SUBDIRS setting.

2001-06-13  Dave Peticolas  <dave@krondo.com>

	* src/gnome/glade/stocks.glade: new file for old stock split druid

	* src/gnome/druid-stock-split.c: use libglade

	* src/gnome/glade/userpass.glade: new file for old
	username/password dialog

	* src/gnome/dialog-userpass.c: use libglade

	* src/gnome/dialog-column-view.c: more libglade work

2001-06-13  Bill Gribble  <grib@billgribble.com>

	* src/sc/qif-import/qif-guess-map.scm: fix bug in
	account name guessing

2001-06-13  Herbert Thoma <herbie@hthoma.de>

	* po/de.po: updated German translation for transfer dialog.

	* doc/build-suse.txt: updated for gnucash 1.6 / SuSE 7.2

2001-06-12  Dave Peticolas  <dave@krondo.com>

	* src/gnome/glade/report.glade: new file for old report dialogs

	* src/gnome/dialog-column-view.c: use libglade

2001-06-12  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-price-editor.c: fix bug

	* src/gnome/glade/price.glade: new file for old price dialogs

	* src/gnome/dialog-price-editor.c: use libglade

	* src/gnome/reconcile-list.c: obey new option below

	* src/scm/prefs.scm: add option wrt checking off cleared
	transactions when reconciling

	* src/register/table-allgui.[ch]: move function to .c file

	* src/scm/tip-list.scm: update tip

	* src/register/register-common.h: move function defs to
	register-common.c

	* src/register/register-common.c: new file

	* src/gnome/glade/Makefile.am: new file

	* src/gnome/glade/commodity.glade: new file. glade file for
	commodity dialog

	* src/gnome/dialog-commodities.c: use libglade

	* src/gnome/dialog-utils.c (gnc_glade_xml_new): new func
	(gnc_glade_xml_new_widget): new func

	* rpm/gnucash.spec.in: add glade dir

	* configure.in: move libglade check to glade section.
	add configured glade file dir.

	* src/gnome/Makefile.am: add glade flags & glade dir

	* src/Makefile.am: add glade libs

	* src/scm/report/account-piecharts.scm: same as below

	* src/scm/report/category-barchart.scm: remove hint text

	* src/engine/gnc-book.c (gnc_book_get_file_lock): some file systems
	don't support hard links. If the error code indicates this, go
	ahead and grant the lock. Is there a better way?

2001-06-11  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-date-picker.c
	(gnc_date_picker_key_event): fix bug

	* src/scm/Makefile.am: same as below

	* src/scm/price-quotes.scm: same as below

	* src/scm/process.scm: re-modulize process.scm

2001-06-10  Christian Stimming  <stimming@tuhh.de>

	* de.po: updated German translation.

	* configure.in, doc/sgml/Makefile.am, doc/sgml/de_DE/*: Added
	German translation of a few manual pages, including a Whats-New
	table for the translated words.

2001-06-10  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/C/xacc-print.sgml: fix docs

	* src/engine/gnc-engine-util.c: change debug levels to warning

2001-06-10  Bill Gribble  <grib@billgribble.com>

	* src/scm/report/welcome-to-gnucash.scm: fix bug in "welcome to
	gnucash" report

	* src/gnome/dialog-column-view.c: remove printout

2001-06-09  Dave Peticolas  <dave@krondo.com>

	* configure.in: fix bug

	* doc/sgml/C/xacc-about.sgml: update credits

	* src/gnome/window-main.c (gnc_main_window_about_cb): update
	credits

	* AUTHORS: update credits

	* src/gnome/reconcile-list.c (gnc_reconcile_list_refresh): fix
	bugs

	* src/gnome/dialog-utils.c (gnc_clist_add_check): fix bugs

	* doc/sgml/pt_PT/Makefile.am: remove adjust balance docs

	* doc/sgml/C/Makefile.am: remove adjust balance docs

	* doc/sgml/de_DE/xacc-quickstart.sgml: fix docs

	* doc/sgml/pt_PT/xacc-quickstart.sgml: fix docs

	* doc/sgml/C/xacc-quickstart.sgml: fix docs

	* src/scm/help-topics-index.scm: work on index

	* src/gnome/window-help.c (gnc_help_show_topic): first check
	current location for match

	* src/SplitLedger.c (xaccSRDuplicateCurrent): fix bug

	* src/gnc-ui-util.c (gnc_find_or_create_equity_account): allow
	group to be specified
	(gnc_account_create_opening_balance): search in given account's
	group

2001-06-08  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.c (gnc_find_or_create_equity_account): first
	search for untranslated name, then translated name.

	* src/gnome/new-user-callbacks.c
	(on_chooseAccountTypesPage_prepare): suspend & resume gui
	refreshes while loading accounts.
	add more suspend & resume calls for other big changes

	* src/gnome/new-user-funs.c (gnc_create_newUserDialog): make clist
	column titles passive

	* src/gnome/new-user-callbacks.c
	(on_chooseAccountTypesPage_prepare): use pointer<->int conversion
	macros
	(gnc_get_ea_locale_dir): take out debugging messages
	(on_newAccountTypesList_unselect_row): fix bug
	(on_newAccountTypesList_select_row): fix bug
	(add_each_gea_to_clist): fix mem leak
	(on_newAccountCurrencyChoosePage_prepare): use pointer<->int
	conversion macros

	* src/SplitLedger.c (xaccSRGetEntryHandler): handle reconcile
	cell string as appropriate for translate flag.

	* src/register/table-allgui.c (gnc_table_get_entry): return
	translated version
	(gnc_table_get_entry_internal): return untranslated version

	* src/register/table-allgui.h: add 'translate' argument to
	entry handler api.

2001-06-08 Christian Stimming <stimming@tuhh.de>

	* configure.in, accounts/Makefile.am, accounts/de_DE/*: add
	account template files for German locale.

	* src/gnome/gnucash.desktop, po/de.po: updated German translation.

2001-06-08  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/engine.texinfo: update docs

	* src/doc/design/gnucash-design.texinfo: update docs

2001-06-08  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-file-operations.sgml, xacc-quickstart.sgml,
	xacc-regwin.sgml: updates and corrections.

2001-06-07  Dave Peticolas  <dave@krondo.com>

	* src/scm/price-quotes.scm: same as below

	* src/scm/Makefile.am: same as below

	* src/scm/process.scm: un-modulize process.scm. Let's experiment
	with this after 1.6.

	* src/gnome/new-user-callbacks.c (gnc_get_ea_locale_dir): if first
	check fails, see if 2-letter prefix succeeds

2001-06-07  James LewisMoss  <jimdres@mindspring.com>

	* doc/README.translator.txt (variables): add instructions for
	manual and account hierarchy files.

	* src/gnome/new-user-callbacks.c: fix test for commodity added by
	setting data on druid rather than a global variable (bad jim.
	global variable bad).
	(on_chooseAccountTypesPage_prepare): remove old comment.
	(on_chooseAccountTypesPage_prepare): set object data that account
	lists loaded.
	(on_chooseAccountTypesPage_prepare): use new func to determine
	locale dir.
	(gnc_get_ea_locale_dir): new func to determine locale correct dir
	to read account files from.

	* src/gnome/new-user-funs.c (gnc_get_new_user_dialog): new func.

	* src/gnome/new-user-callbacks.c (set_first_startup): simplify
	using the global-options.h func gnc_set_boolean_option.

	* src/FileDialog.c (gncFileNew): lookup pref and do or don't run
	new account list druid.

	* doc/sgml/C/image/Makefile.am (image_DATA): add new user images.

	* src/gnome/new-user-callbacks.c
	(on_newAccountCurrencyChoosePage_prepare): remove old comment.

	* doc/sgml/C/xacc-quickstart.sgml: add link to
	account-hierarchy-creator.

	* doc/sgml/C/Makefile.am (GNUCASH_SGML_FILES): add account
	hierarchy sgml file to list.

2001-06-07  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/gnucash-design.texinfo: update docs

	* src/doc/design/engine.texinfo: update docs

2001-06-06  Dave Peticolas  <dave@krondo.com>

	* src/scm/report-html.scm: remove unneeded (require 'printf).
	This is invoked as part of testing for slib > 2c4. For slib
	< 2c4, printf is loaded from slib-backup.scm.

2001-06-07  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-regwin.sgml: Chris "Wilddev" Lyttle's
	register documentation update.

	* doc/sgml/C/image/MakeFile.am, autosplitledger.png,
	basicledger-transfer.png, basicledger.png editaccount.png,
	transactionjrnl.png: Wilddev's screenshots.

	* doc/sgml/C/xacc-toplevel.sgml, xacc-calculator.sgml,
	xacc-file-operations.sgml: more new docs.

	* doc/sgml/C/xacc-quickstart.sgml, xacc-mainwin.sgml,
	xacc-reports.sgml, gnucash.sgml: updates.

	* doc/examples/reg_doc_example.xac: add register doc
	example file.

	* AUTHORS: added Chris Lyttle.

	* src/scm/help-topics-index.scm: Updates to reflect doc work.


2001-06-06  Dave Peticolas  <dave@krondo.com>

	* src/gnome/gnc-dialogs.glade: fix string

	* src/scm/report.scm: fix i18n bug

2001-06-06  James LewisMoss  <jimdres@mindspring.com>

	* README.patches: remove warning at top.  Up version number to
	1.6.

	* README: fix dependencies.  Spell check.

2001-06-06  Dave Peticolas  <dave@krondo.com>

	* src/test/test-real-data.sh: Josh Sled's bug fix

	* src/doc/design/engine.texinfo: document prices and their API

	* src/doc/design/gnucash-design.texinfo: update docs

	* macros/gnome.m4: Chris J (Oakton) Leach's macro patch

	* AUTHORS: update credits

	* doc/sgml/C/xacc-about.sgml: update credits

2001-06-05  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-fincalc.c: grey out the frequency menu
	when compounding is continuous.

	* src/engine/sql/Makefile.am: add checkpoint.h

2001-06-05  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/category-barchart.scm, average-balance.scm,
	net-barchart.scm: changed price source default to
	weighted-average.

	* src/scm/prefs.scm: fix string.

	* src/scm/options-utilities.scm: added date interval Quarter, Half
	Year.

	* src/scm/date-utilities.scm: added QuarterDelta, HalfYearDelta

	* po/de.po: Updated German transl

2001-06-05  James LewisMoss  <jimdres@mindspring.com>

	* doc/sgml/C/xacc-gpl.sgml: more cleanups.

	* doc/sgml/C/xacc-locatingtxns.sgml: promote sect3's to sect2's.

	* doc/sgml/C/xacc-gpl.sgml: remove sect1.  cleanup.

	* doc/sgml/C/xacc-print.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-gpl.sgml: remove sect1.  promote rest of
	sections.

	* doc/sgml/C/xacc-y2k.sgml: wrap content in sect1

	* doc/sgml/C/xacc-stock-price-report.sgml: remove section title.

	* doc/sgml/C/xacc-txf-export.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-txf-export-anomalies.sgml: wrap content in
	sect1.

	* doc/sgml/C/xacc-txf-categories.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-trans-report.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-tax-report.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-reports.sgml: remove sectionness of first section.

	* doc/sgml/C/xacc-regwin-kbd.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-regwin.sgml: remove sectionness of first
	section.

	* doc/sgml/C/xacc-quickstart.sgml: remove sect1.  promote sect2's
	to sect1's.

	* doc/sgml/C/xacc-qif-import.sgml: remove sect1.  promote sect2's
	and sect3's one up.

	* doc/sgml/C/xacc-print-check.sgml: remove sect1.  promote sect2's
	to sect1's.

	* doc/sgml/C/xacc-portfolio-report.sgml: remove section title.

	* doc/sgml/C/xacc-pnl.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-net-worth-barchart.sgml: remove section title.

	* doc/sgml/C/xacc-multicolumn-view-reports.sgml: remove section
	title.

	* doc/sgml/C/xacc-mainwin.sgml: wrap content in sect1.

	* doc/sgml/C/xacc-locatingtxns.sgml: remove sect1. promote sect2's
	to sect1's.

	* doc/sgml/C/xacc-income-expense-piecharts.sgml: remove section
	title.

	* doc/sgml/C/xacc-income-expense-barcharts.sgml: remove section
	title.

	* doc/sgml/C/xacc-gnucash-web-browser.sgml: remove section title.

	* doc/sgml/C/xacc-gnome-mdi.sgml: remove first section's
	sectionness.

	* doc/sgml/C/xacc-dateinput.sgml: remove section title.

	* doc/sgml/C/xacc-euro.sgml: remove top level sect1 and promote
	all sect2's to sect1's.

	* doc/sgml/C/xacc-currencyhandling.sgml (LINKEND): remove first
	section.

	* doc/sgml/C/xacc-common-report-options.sgml: remove section
	title.

	* doc/sgml/C/xacc-commodity.sgml: insert section around
	everything.

	* doc/sgml/C/xacc-balancesheet.sgml: remove section title.

	* doc/sgml/C/xacc-balancereport.sgml: insert section around
	everything.

	* doc/sgml/C/xacc-depreciation.sgml: remove sectionness of first
	bit.  leave para's as top level.

	* doc/sgml/C/xacc-apar.sgml: remove sectionness of first bit.
	leave para's as top level.

	* doc/sgml/C/xacc-adjbalwin.sgml: remove section title.

	* doc/sgml/C/xacc-newacctwin.sgml: remove section title.

	* doc/sgml/C/xacc-asset-liability-piecharts.sgml: remove section
	title.

	* doc/sgml/C/xacc-asset-liability-barcharts.sgml: remove section
	title.

	* doc/sgml/C/xacc-accountedit.sgml: Remove title for section so
	"Editing an Account" doesn't appear twice.

	* doc/sgml/C/xacc-acctypes.sgml: Remove title for section so
	"Account Types" doesn't appear twice.

2001-06-05  Dave Peticolas  <dave@krondo.com>

	* src/gnome/druid-commodity.c: use new func

	* src/gnome/new-user-funs.c: use new func

	* src/gnome/druid-qif-import.c: use new func

	* src/gnome/druid-utils.c (gnc_druid_set_colors): new func

	* doc/sgml/C/xacc-about.sgml: update credits

	* AUTHORS: update credits

2001-06-04  Dave Peticolas  <dave@krondo.com>

	* src/gnome/new-user.glade: tweak gui. fix strings.

	* src/gnome/window-main.c: fix mem leak

	* doc/sgml/C/xacc-about.sgml: update credits

	* AUTHORS: update credits

	* lib/srfi/srfi-19.scm: fix bug.

2001-06-04  Rob Browning  <rlb@cs.utexas.edu>

	* lib/srfi/srfi-19.scm: updated to include guile-core bug fixes.
	Removed syncase dependency.
	(priv:open-input-string): removed -- check for open-input-string
	and define that if not found.
	(:optional): removed - just as easy to handle by-hand -- all funcs
	that called :optional have been adjusted.
	(priv:read-tai-utc-data): remove priv: from open-input-string.
	(string->date): remove priv: from open-input-string.
	(date): change constructor name to make-date.
	(priv:decode-julian-day-number): add inexact->exact after
	truncate.
	(time-utc->date): add inexact->exact and int-secs.
	(priv:locale-reader): use reverse! on result rather than reverse.

	* src/scm/Makefile.am (gnc_regular_scm_files): remove process.scm.
	(gncscmmoddir): new directory for gnucash guile modules --
	i.e. for files available via (use-modules (gnucash foo)).
	(gncscmmod_DATA): first gnucash guile module (gnucash process).

	* src/scm/price-quotes.scm: use (gnucash process) module.

	* src/scm/process.scm: now a guile module (gnucash process).
	(gnc:cleanup-sub-process): fix several missing waitpid pid args.

2001-06-04  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-commodity.c (node_and_commodity_equal): use
	string_to_gint64 rather than string_to_integer.

	* src/engine/sixtp-utils.c: (string_to_gint64) return FALSE if the
	content is NULL.

	* src/engine/gnc-commodity-xml-v2.c (set_commodity_value): use
	string_to_gint64 rather than string_to_integer.

	* src/engine/io-gncxml-v2.c (gnc_counter_end_handler): use
	string_to_gint64 rather than string_to_integer.

	* src/engine/sixtp-dom-parsers.c (string_to_integer): remove
	func.  duplicates string_to_gint64

2001-06-04  Dave Peticolas  <dave@krondo.com>

	* src/SplitLedger.c: fix spelling errors

	* src/register/gnome/gnucash-item-edit.c: same as below

	* src/register/gnome/gnucash-sheet.c: check change confirmation
	before popping up combo list.

	* src/register/table-allgui.c (gnc_table_confirm_change): new func

2001-06-03  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Massive update of the German translation according to
	the finalized glossary. Should be ready for 1.6 by now, pending a
	spell check by other translators.

	* po/gnc-glossary.txt: Four more entries added, that's it for now.

2001-06-02  Dave Peticolas  <dave@krondo.com>

	* src/gnome/top-level.c (gnc_ui_start_event_loop): remove
	debugging comment

	* src/scm/report/register.scm: fix bugs

	* src/scm/html-utilities.scm: fix bugs

	* src/gnome/window-register.c: fix bugs

	* src/scm/report/price-scatter.scm: same as below

	* src/scm/prefs.scm: same as below

	* src/gnc-ui-util.c: same as below

	* src/gnome/druid-qif-import.c: same as below

	* src/gnome/dialog-price-editor.c: same as below

	* src/gnome/dialog-fincalc.c: same as below

	* src/SplitLedger.c: use gnc_default_currency instead
	of gnc_locale_default_currency.

	* src/scm/options-utilities.scm: use new func

	* src/scm/report/transaction-report.scm: handle splits with no
	account

	* src/gnome/dialog-account.c: use new func

	* src/gnome/window-main-summarybar.c: use new func

	* src/guile/gnc.gwp: wrap new func below

	* src/guile/global-options.c (gnc_default_currency): new func
	to return user-set default currency

	* src/engine/gnc-book.c (gnc_book_backup_file): use g_free
	instead of free.

2001-06-02  Christian Stimming  <stimming@tuhh.de>

	* po/gnc-glossary.txt: Updated glossary, 15 new terms, and lots of
	explanations. Feedback welcome.

2001-06-02  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-date-picker.c (gnc_date_picker_new):
	fix bug

	* src/SplitLedger.c: fix mem leak

	* src/gnome/top-level.c: handle X errors ourselves

2001-06-01  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.c: use new scanf macro below

	* src/engine/sixtp-dom-parsers.c (string_to_integer): use new
	scanf macro below

	* src/engine/sixtp-utils.c: use new scanf macro below

	* src/engine/gnc-numeric.c: use new scanf macro below

	* src/engine/gnc-engine-util.h: define GNC_SCANF_LLD macro to use
	for scanf long long int conversion. This is needed since there is
	not a common solution between Linux, Solaris, and FreeBSD. Thanks
	to Matthew Condell for finding the problem and to Matt and Alan
	Orndorff for testing it.

	* configure.in: invoke conversion test below

	* acinclude.m4: add test for %lld scanf conversion

	* README: update info

2001-06-01  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/commodity-utilities.scm: exchange functions
	now return unchanged quantity if the two currencies are
	identical.

2001-06-01  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/engine.texinfo: document commodity table API

	* src/doc/design/gnucash-design.texinfo: update docs

2001-05-31  Dave Peticolas  <dave@krondo.com>

	* src/engine/sixtp-dom-parsers.c (string_to_binary): fix sanity
	checks
	(dom_tree_to_gnc_numeric): fix mem leak

	* src/test/test-dom-converters1.c (test_dom_tree_to_gnc_numeric):
	fix bug

	* src/engine/sixtp-utils.c (string_to_gint32): use intermediate
	variable in case int != gint32.

	* src/test/test-dom-converters1.c: fix spelling

	* src/engine/sixtp-dom-generators.c (int_to_dom_tree): cast
	gint64 to long long int for %lld.

2001-05-31  James LewisMoss  <jimdres@mindspring.com>

	* src/scm/tip-of-the-day.scm ((gnc:current-tip-number)): reset
	number if greater.  tips read before config file so this number
	gets reset by config file too high.

2001-05-31  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/gnucash-design.texinfo: update docs

	* src/doc/design/engine.texinfo: document commodities & their API

	* doc/sgml/C/xacc-price-editor.sgml: fix warnings

2001-05-31  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-ticker.sgml: renamed xacc-price-sources.sgml
	in preparation for rewriting - some material to be excised.

	* doc/sgml/C/xacc-price-editor.sgml: new file.

	* doc/sgml/C/gnucash.sgml: updated for new/changed file names.

	* doc/sgml/C/*.sgml: change xacc-ticker references to
	xacc-price-sources, or remove them entirely.

2001-05-30  Dave Peticolas  <dave@krondo.com>

	* src/test/Makefile.am: add missing link lib

	* src/engine/sixtp.c: include sys/types.h for ssize_t under
	freebsd

	* src/engine/sixtp-utils.c (timespec_secs_to_given_string): use
	gnc_timezone

	* src/engine/date.c (gnc_timezone): new func
	(gnc_iso8601_to_timespec): use gnc_timezone
	(gnc_timespec_to_iso8601_buff): use gnc_timezone

2001-05-29  Dave Peticolas  <dave@krondo.com>

	* configure.in: call new macro below

	* acinclude.m4: add macro to check for tm_gmtoff struct tm member

	* src/engine/date.c: handle all uses of nl_langinfo.

2001-05-30  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/date.c (printDate): Workaround for
	missing nl_langinfo.

	* src/engine/Query.c: moved sys/types.h before
	regex.h.

	* acinclude.m4 (HAVE_LANGINFO_D_FMT): add check
	for working nl_langinfo(D_FMT).

	* configure.in: use check for nl_langinfo(D_FMT).

2001-05-29  Robert Graham Merkel  <rgmerk@mira.net>

	* src/gnome/dialog-options.{ch} (gnc_options_dialog_new):
	provide the ability to (optionally) set a title for
	the options dialog box.  API changed.

	* src/gnome/dialog-column-view.c, dialog-style-sheet.c,
	window-acct-tree.c :modify to use changed API.

	* src/gnome/window-report.c: use new API to title report
	options dialogs.

2001-05-28  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/pt_PT/*: add Duarte Loreto's updated translations

	* src/engine/gnc-pricedb.c (compare_prices_by_date): stabilize
	sort using guids

	* src/engine/gnc-pricedb-xml-v1.c (price_parse_xml_sub_node): fix
	mem leak

2001-05-27  Christian Stimming  <stimming@tuhh.de>

	* src/scm/tip-list.scm: edited some tips after consultation with
	Robert Graham Merkel.

	* po/sv.po: by Pablo Saratxaga <pablo@mandrakesoft.com>: changed
	DOS end of lines to Unix end of lines.

2001-05-26  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-fincalc.c: Kevin Foss's bug fix

	* src/engine/sql/kvp-sql.h: add /* */ around #endif comment

	* src/gnc-component-manager.c (gnc_cm_event_handler): ignore
	price events

2001-05-26  James LewisMoss  <jimdres@mindspring.com>

	* src/gnome/new-user-funs.c (gnc_new_user_dialog_is_new_user): new
	func to test is new user.
	(gnc_ui_show_new_user_window): add arg for new user or not.
	(gnc_ui_show_new_user_choice_window): call
	gnc_ui_show_new_user_window with one argument saying it is a new
	user call.

	* src/gnome/new-user-callbacks.c (cancel_everything_out): new func
	extracting out shared functionality.
	(on_accountChooseDruidPage_cancel): add check to only pop up
	cancel dialog for new user stuff.

	* src/FileDialog.c (gncFileNew): call gnc_ui_show_new_user_window
	with one argument saying it isn't new user call.

	* src/gnome/new-user-callbacks.c
	(on_newAccountTypesList_select_row): deal with change in the text
	setting to a label rather than a gtktext.
	(on_newAccountTypesList_unselect_row): same.

	* Makefile.am (TAGS): ignore debian dir.

2001-05-26  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-acct-tree.c: fix label alignment

	* src/gnome/window-report.c: fix label alignment

	* src/gnome/window-main.c: put child menu after tools menu

2001-05-25  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-column-view.c (gnc_column_view_edit_size_cb):
	fix bug

	* src/scm/report/transaction-report.scm: default to sign-reverse
	credit accounts. fix i18n bug.

	* src/doc/design/engine.texinfo: update docs

	* configure.in: add Norwegian to list of translations

	* AUTHORS: add credits

	* doc/sgml/C/xacc-about.sgml: add credits

2001-05-25  Christian Stimming  <stimming@tuhh.de>

	* po/no.po: Kjartan Maraas' Norwegian updated translation.

	* src/gnome/gnc-html-guppi.c (gnc_has_guppi_version): generalized
	this function for arbitrary Guppi versions. Tried to enable
	barchart axis-labels for CVS Guppi but this gives nothing but
	segfaults. Shit.

2001-05-25  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/account-summary.scm: fix bug

	* src/gnome/window-main.c: add close window button to toolbar

	* doc/sgml/C/xacc-about.sgml: fix warnings

	* doc/sgml/C/xacc-quickstart.sgml: fix warnings

2001-05-24  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/C/xacc-features.sgml: fix docs

	* doc/sgml/C/xacc-account-summary.sgml: fix spelling

	* src/gnome/new-user-funs.c (gnc_ui_show_new_user_choice_window):
	jump to new user quickstart help when appropriate

	* src/gnc-ui.h: add new help file

2001-05-25  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/average-balance.scm: catch all-zero-data
	case, display warning message rather than let the graphing
	code catch it.

	* src/scm/html-utilities.scm: display report title
	string in gnc:html-no-account-warning and
	gnc:html-make-empty-data-warning.  API changed.

	* src/scm/report/*.scm: update to use changed
	functions described above.

	* src/scm/tip-list.scm: fix spelling mistake.

2001-05-24  Christian Stimming  <stimming@tuhh.de>

	* po/gnc-glossary.txt: added file for all our translators.

	* src/scm/report/average-balance.scm: made strings more
	consistent.

	* src/scm/options-utilities.scm: adjusted the upper bound for plot
	size.

	* src/gnome/dialog-column-view.c: use menu-name in report-list.

	* src/scm/report.scm (gnc:report-menu-name),
	(gnc:report-template-menu-name/name): added functions.

2001-05-24  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/gnucash.sgml: add references to new files.

	* doc/sgml/C/xacc-quickstart.sgml: New file, new user
	documentation.

	* doc/sgml/C/xacc-features.sgml: New file, describing
	the features of GnuCash.

	* doc/sgml/C/Makefile.am: update for new files.

	* lib/srfi/srfi-19.scm: revert to older version.

	* src/scm/tip-list.scm: more tips.

2001-05-23  Christian Stimming  <stimming@tuhh.de>

	* po/pt_PT.po: Duarte Loreto's updated translation.

	* src/scm/prefs.scm, options-utilities.scm: fix string.

2001-05-23  Rob Browning  <rlb@cs.utexas.edu>

	* configure.in (AC_OUTPUT): remove src/scm/srfi/Makefile (again?).

	* src/scm/report/transaction-report.scm: add use-modules
	for syncase.

	* lib/srfi/srfi-19.scm: update to new guile-core version.  (Grab
	my fixes).

2001-05-23  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/gnucash-design.texinfo: update docs

	* src/doc/design/engine.texinfo: update docs

	* src/gnome/window-reconcile.c (startRecnWindow): fix bug

	* src/scm/bootstrap.scm.in: fix test for slib

2001-05-22  Christian Stimming  <stimming@tuhh.de>

	* src/register/splitreg.c (configAction): fix comments for i18n.

2001-05-22  Dave Peticolas  <dave@krondo.com>

	* src/gnome/druid-qif-import.c: fix scrollbar bug. raise qif
	window to top

2001-05-21  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-main.c: remove cruft

	* src/gnome/new-user-callbacks.c: use gncp_new_user_finish

	* src/gnome/new-user-funs.c: finish new user choices dialog.
	(gncp_new_user_finish): new func

	* src/scm/main.scm: use new 'new user' call

	* src/guile/gnc.gwp: change new user api

	* src/guile/gnucash.h: change new user api

	* doc/sgml/C/xacc-balancesheet.sgml: fix warning

2001-05-20  Dave Peticolas  <dave@krondo.com>

	* src/gnome/new-user-funs.h: add api & glade work for new
	user choices dialog.

2001-05-21  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-whats-new.sgml: New file.

	* doc/sgml/C/xacc-multicolumn-view-reports.sgml: preliminary
	description.

	* doc/sgml/C/xacc-report.sgml, xacc-balancesheet.sgml,
	xacc-asset-liability-piecharts.sgml : more updates.

	* src/scm/tip-list.scm: more tips.

2001-05-19  Dave Peticolas  <dave@krondo.com>

	* src/engine/sixtp.c (gnc_is_our_xml_file): fix mem leak

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): fix
	mem leak

	* src/gnome/window-acct-tree.c: fix mem leak

	* src/doc/design/engine.texinfo: update docs

	* src/gnome/window-acct-tree.c: fix mem leaks

	* src/engine/io-gncxml-v2.c (gnc_counter_end_handler): fix mem
	leak

	* src/engine/gnc-account-xml-v2.c (account_parent_handler): fix
	mem leak

	* src/engine/Group.c (xaccFreeAccountGroup): set parent's child
	pointer to NULL
	(xaccAccountRemoveGroup): set parent's child pointer to NULL

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_integer): fix mem
	leak

2001-05-18  James LewisMoss  <jimdres@mindspring.com>

	* src/FileDialog.c (gncFileNew): create new user dialog on new
	file new.

2001-05-18  Dave Peticolas  <dave@krondo.com>

	* src/engine/io-gncxml-w.c: remove

	* src/engine/Group.h: fix prototype

	* src/doc/design/engine.texinfo: update docs

	* src/gnome/dialog-price-editor.c: add button to remove
	prices before a user-entered date.

	* src/gnome/file-history.c: fix for menu changes

	* src/scm/report.scm: move reports menu to top-level

2001-05-17  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Makefile.am (libgncengine_la_SOURCES): remove
	io-gncxml-w.c.

2001-05-17  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/engine.texinfo: update docs

	* src/engine/Account.c (xaccAccountRecomputeBalance): include
	frozen splits in reconciled balance. Fix variable names.

	* accounts/C/*: tweak detailed descriptions

	* doc/sgml/C/xacc-reports.sgml: fix warnings

	* doc/sgml/C/xacc-net-worth-barchart.sgml: fix warnings

	* doc/sgml/C/xacc-gnucash-web-browser.sgml: fix warnings

	* doc/sgml/C/xacc-gnome-mdi.sgml: fix warnings

	* doc/sgml/C/xacc-common-report-options.sgml: fix warnings

	* doc/sgml/C/Makefile.am: add new file to Makefile.am

	* src/doc/design/gnucash-design.texinfo: update docs

	* src/doc/design/engine.texinfo: update docs

	* src/engine/Account.c: same as below

	* src/engine/Account.h: use GNCAccountType instead of 'int'

2001-05-17  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-gnucash-web-browser.sgml: New file.

	* doc/sgml/C/Makefile.am: add new file.

	* doc/sgml/C/gnucash.sgml, xacc-gnome-mdi.sgml,
	xacc-asset-liability-piecharts.sgml: more updated/new content.

	* ChangeLog: fix wrong path in (my) previous changelog
	entry.

2001-05-16  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/gnucash-design.texinfo: update docs

	* src/doc/design/engine.texinfo: update docs

	* src/engine/Account.c (xaccCloneAccountSimple): remove
	redundant initialization
	(xaccAccountGetSlots): handle NULL

	* src/engine/Account.h: fix docs

	* src/engine/AccountP.h: fix spelling errors in comments

2001-05-16  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/html-utilities.scm ((gnc:html-make-empty-data-warning)):
	update message.

	* doc/sgml/C/{gnucash.sgml, xacc-account-summary.sgml,
	xacc-asset-liability-barcharts.sgml, xacc-reports.sgml}: more new
	material.

	* src/scm/xacc-stock-price-report.sgml: new file.

2001-05-15  Christian Stimming  <stimming@tuhh.de>

	* src/scm/commodity-utilities.scm: added another case to
	gnc:case-exchange-time-fn. Needs more work.
	(gnc:exchange-by-euro): new function. Added this function to all
	other exchange function so that exchange of EURO currencies works
	auto-magically in some more places. Doesn't work often enough,
	though. Darn.

	* src/scm/report/price-scatter.scm: Catch all cases that would
	cause Guppi's scatterplot to barf.

2001-05-15  Rob Browning  <rlb@cs.utexas.edu>

	* doc/sgml/C/Makefile.am (GNUCASH_SGML_FILES): remove entries
	listing missing files -- build was broken.

	* src/scm/report/transaction-report.scm (addto!): make a
	let-syntax since you apparently can't define-syntax before other
	defines in a nested let.

	* src/scm/report/register.scm (addto!): make a let-syntax since
	you apparently can't define-syntax before other defines in a
	nested let.

	* src/scm/gnumeric/gnumeric-utilities.scm: use srfis as modules.

	* src/scm/srfi/: moved to lib/srfi.

	* src/scm/srfi/.cvsignore: moved to lib/srfi.

	* src/scm/srfi/Makefile.am: moved to lib/srfi.

	* src/scm/srfi/README: moved to lib/srfi.

	* src/scm/srfi/srfi-1.r5rs.scm: merged to lib/srfi/srfi-1.scm.

	* src/scm/srfi/srfi-1.unclear.scm: merged to lib/srfi/srfi-1.scm.

	* src/scm/srfi/srfi-19.scm: moved to lib/srfi.

	* src/scm/srfi/srfi-8.guile.scm: merged to lib/srfi/srfi-8.scm.

	* src/scm/srfi/srfi-8.scm: merged to lib/srfi/srfi-8.scm.

	* src/scm/utilities.scm (flatten): improved via grib's version.

	* src/scm/text-export.scm: use srfis as modules.

	* src/scm/main.scm: use srfis as modules.

	* src/scm/date-utilities.scm: use srfi-19 as a module.

	* src/scm/Makefile.am (SUBDIRS): remove srfi.

	* src/gnome/window-main.c
	(gnc_main_window_restore): fix prototype (const-wise).

	* src/gnome/window-main.h
	(gnc_main_window_restore): fix prototype (const-wise).

	* Makefile.am (TAGS): add a msg to suggest --enable-tags.

	* lib/Makefile.am (SUBDIRS): add srfi.

	* configure.in: add lib/srfi/Makefile to AC_OUTPUT.

	* lib/srfi/srfi-2.scm: new file.

	* lib/srfi/srfi-9.scm: new file.

	* lib/srfi/srfi-11.scm: new file.

	* lib/srfi/srfi-8.scm: moved from src/scm/srfi/.

	* lib/srfi/srfi-19.scm: moved from src/scm/srfi.

	* lib/srfi/README: moved from src/scm/srfi/.

	* lib/srfi/srfi-1.scm: moved from src/scm/srfi/.

2001-05-15  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-account.c (node_and_account_equal): add equals
	tests for currency and security scu.

	* src/test/gnc-test-stuff.c (equals_node_val_vs_int): new func.

	* src/engine/gnc-account-xml-v2.c (gnc_account_end_handler):
	reorder some things: cleanup.

	* src/test/test-xml-account.c (node_and_account_equal): return
	strduped strings now.
	(test_account): make sure to free string.
	(test_real_account): free string.

	* src/engine/gnc-account-xml-v2.c (gnc_account_dom_tree_create):
	use new func.

	* src/engine/gnc-commodity-xml-v2.c
	(gnc_commodity_dom_tree_create): use new func.

	* src/engine/sixtp-dom-generators.c (int_to_dom_tree):new func.

2001-05-14  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-account-xml-v2.c (gnc_account_dom_tree_create):
	add currency and security scus.
	(account_currency_scu_handler): new func.
	(account_security_scu_handler): new func.
	Add refs to new funcs to parsing structure.

2001-05-15  Robert Graham Merkel  <rgmerk@mira.net>

	* doc/sgml/C/xacc-reports.sgml, xacc-about.sgml,
	xacc-dateinput.sgml, xacc-account-summary.sgml,
	xacc-balancesheet.sgml, xacc-common-report-options.sgml
	xacc-mainwin.sgml: update documentation for new features.

	* doc/sgml/C/xacc-asset-liability-barcharts.sgml: new file.
	Placeholder at this stage.

	* doc/sgml/C/xacc-asset-liability-piecharts.sgml, xacc-gnome-mdi.sgml,
	xacc-income-expense-barcharts.sgml, xacc-income-expense-piecharts.sgml,
	xacc-multicolumn-view-reports.sgml: ditto.

2001-05-15  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/engine.texinfo: update docs

2001-05-15  Christian Stimming  <stimming@tuhh.de>

	* src/scm/commodity-utilities.scm, report/portfolio.scm: major
	code cleanup. (gnc:pricealist-lookup-nearest-in-time) code moved
	from report/portfolio.scm to commodity-utilities.scm.

2001-05-14  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/category-barchart.scm: fix bug.

2001-05-14  Dave Peticolas  <dave@krondo.com>

	* src/gnome/druid-qif-import.c: fix bug

	* src/engine/Account.c (xaccAccountGetChildren): fix bug

	* src/engine/sixtp-dom-generators.c (add_kvp_value_node): use
	xmlNewTextChild.

	* src/scm/report/register.scm: reverse balance where appropriate.
	put total in proper column.

	* src/scm/report/price-scatter.scm: use a commodity option
	so stocks/mutuals can be selected.

	* src/engine/gnc-book.c (gnc_book_begin_file): check for missing
	directory

	* src/gnome/file-history.c (gnc_history_add_file): fix bug

2001-05-13  Kevin Finn  <kevinfinn@mediaone.net>

   * src/gnome/window-register.c:  flag summarybar as NEVER_VERTICAL

2001-05-13  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/portfolio.scm: Added price-source option. Added
	code to use prices from transactions.

	* src/scm/commodity-utilities.scm: fix warnings.

2001-05-13  Dave Peticolas  <dave@krondo.com>

	* src/FileDialog.c (gncPostFileOpen): fix bug -- current_book
	might be changed by book-opened-hook.

	* src/scm/tip-list.scm: fix tip

	* src/engine/Account.c (finder_help_function): fix warning

2001-05-13  Kevin Finn  <kevinfinn@mediaone.net>

	* src/SplitLedger.c, src/engine/Account.c, src/engine/Account.h:
	moved function gnc_find_trans_in_account_by_desc from SR to become
	new functions xaccAccountFindTransByDesc and
	xaccAccountFindSplitByDesc so they could be used outside of the
	register code.

	* src/gnome/dialog-transfer.c: Added quickfill/autocomplete
	functionality to the transfer dialog, based on the Description.

2001-05-13  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-main.c: write commodities with accounts

	* src/engine/io-gncxml-v2.c (write_commodities): make public

	* src/gnome/new-user.glade: tweak gui

	* src/gnome/window-main.c: the "destroy" handler does not
	return a result. add menu item & functionality for account
	hierarchy export.

	* src/scm/report/welcome-to-gnucash.scm: take out the ugly :)

2001-05-12  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/category-barchart.scm, net-barchart.scm,
	average-balance.scm: Added price-source option. Uses new function
	gnc:make-exchange-nearest-function to offer time-varying exchange
	rates.

	* src/scm/report-utilities.scm
	(gnc:acccounts-get-all-subaccounts): added.

	* src/scm/commodity-utilities.scm
	(gnc:make-exchange-nearest-function): Added this and many more
	functions to enable time-variant currency exchange.

	* src/scm/report/price-scatter.scm: Add warnings if data is empty.

2001-05-12  Bill Gribble  <grib@billgribble.com>

	* src/gnome/dialog-options.c: fix destructor bug

	* src/gnome/window-report.c: add options dialog to edited list
	even if opened by a URL click.

	* src/gnome/window-main.c: handle close of last window safely.
	Still don't save MDI info correctly with WM close, though.

2001-05-12  Dave Peticolas  <dave@krondo.com>

	* src/FileDialog.c (gncFileSaveAs): don't use a default filename

	* src/scm/report/hello-world.scm: put under utility menu

	* src/scm/report/welcome-to-gnucash.scm: don't show in menu

	* src/scm/report/iframe-url.scm: put under utility menu

	* src/scm/report.scm: add 'utility reports' menu

	* src/gnome/new-user-funs.c: add support for opening balances

	* src/gnome/gnc-amount-edit.c (gnc_amount_edit_evaluate): allow
	empty string as zero

	* src/gnome/new-user-callbacks.c: add support for opening balances

	* src/gnome/dialog-account.c (gnc_account_list_fill): fix warning
	(gnc_account_window_destroy_cb): destroy callback has no return
	(gnc_ui_to_account): reverse opening balance appropriately

	* src/engine/Account.c: change return type to const

2001-05-12  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/pnl.scm, account-piecharts.scm,
	account-summary.scm: Added price-source option. Use new function
	gnc:case-exchange-fn.

	* src/scm/date-utilities.scm (gnc:get-end-cur-fin-year): added
	function.

	* src/scm/options-utilities.scm (gnc:options-add-date-interval!):
	changed the order of relative dates - which order is best?

	* src/scm/report/balance-sheet.scm: use new function
	gnc:case-exchange-fn.

	* src/scm/commodity-utilities.scm (gnc:case-exchange-fn): add
	function.

	* src/scm/report/price-scatter.scm: adapted helper function name
	to other reports.

	* src/scm/report/price-scatter.scm: Extended option to use the
	pricedb as a price source.

	* src/scm/commodity-utilities.scm: Added functions for getting
	sorted commodity splits, for total-average-prices of a
	commodity-list, for instantaneous prices, for instantaneous prices
	of a commodity-list, and for cooking your morning coffee :)

	* src/scm/report-utilites.scm, html-utilities.scm: create new
	function (gnc:accounts-get-commodities), use it in
	html-utilities.scm.

	* src/scm/html-scatter.scm: add workaround for rgba color.

2001-05-12  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/main-window.scm: create .gnucash if it doesn't exist
	when saving a book config file.

2001-05-11  Dave Peticolas  <dave@krondo.com>

	* src/engine/Account.c (xaccCloneAccountSimple): use
	xaccAccountSetCurrency -- it does more than just set the pointer!

	* src/gnome/new-user-funs.c (clone_account): don't use engine
	private functions.

	* src/engine/io-example-account.c (add_account_local): fix up
	currency & security for new example accounts

	* src/engine/io-utils.c: add emacs mode comment to cancel
	XML comment

	* src/gnome/new-user-callbacks.c: fix compiler warning

	* src/engine/gnc-book.c (gnc_book_set_group): fix bug

	* src/engine/sql/Makefile.am: add files for make dist

2001-05-11  Bill Gribble  <grib@billgribble.com>

	* src/scm/main-window.scm: force-output when saving param files.
	otherwise they don't get written until program exit, which can
	cause problems.  Add newlines to acct tree output.

2001-05-11  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/engine.texinfo: update docs

2001-05-11  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/account-piecharts.scm: add checks for empty
	data.

2001-05-10  Dave Peticolas  <dave@krondo.com>

	* src/scm/main-window.scm ((gnc:main-window-book-open-handler
	book-url)): restore the main window even if we can't get a
	conf-file-name.

	* src/scm/main.scm (gnc:load-account-file): if we have a file to
	open, only run book-opened-hook if file open returns false.

	* src/FileDialog.c (gncPostFileOpen): once book-closed-hook has
	been run, run book-opened-hook if opening the file fails for some
	reason.

	* src/guile/gnc.gwp: update ui-open-file api.

	* src/gnome/top-level.c (gnucash_ui_open_file): return TRUE/FALSE
	for success/failure. use gboolean instead of int for boolean
	returns.

2001-05-10  Bill Gribble  <grib@billgribble.com>

	* src/gnome/dialog-column-view.c: change handling of component
	reports.  now we explicitly handle the case of the column view,
	which is the only report that needs to save/restore its children.

	* src/gnome/gnc-html-guppi.c: add printing support for graphs.
	Doesn't really work on my system ATM.  I'll follow up on it.

	* src/gnome/window-main.c: move save/restore forms out of gnome
	MDI config string.  rename some functions.

	* src/gnome/window-report.c: save the initial report in a window
	for special treatment.  It's the one that gets saved and restored,
	and whose title appears in the tab.

	* src/scm/*: remove instances of report-add-child and friends.
	The concept is unnecessary.

	* src/scm/main-window.scm: save report and account data to a new
	file named after the book in the directory ~/.gnucash/books.

	* src/scm/options.scm: run option-changed callbacks in the order
	they were added.  Add gnc:options-touch to dirty the options
	without changing anything.

	* src/scm/report.scm: add new optional fields for the
	define-report form: 'options-cleanup-cb and 'options-changed-cb.
	'options-cleanup-cb is called before book save to allow you to
	clean up any mess that you don't want saved.  'options-changed-cb
	is called after any report option is changed.  Both are optional.

	Also get rid of the concept of 'display-lists' for reports and
	let the displays update themselves with callbacks.  Get rid of
	parents and children for the reports.

	* src/scm/report/view-column.scm: revamp to handle options
	processing, saving, and rendering better.

2001-05-10  James LewisMoss  <jimdres@mindspring.com>

	* src/scm/main.scm ((gnc:main)): remove the main window startup
	with new user startup (moved to end of new user stuff).

	* src/engine/sql/PostgresBackend.c (pgendGetAllAccountKVP): same
	as below.

	* src/engine/rpc/RpcUtils.c (rpcend_build_gncacctlist):
	xaccGroupForEachAccountDeeply -> xaccGroupForEachAccount(...TRUE)
	(rpcend_build_gncacct_verslist): same.

	* src/engine/gnc-book.c (gnc_book_set_group): free account group
	when setting new one.

	* src/engine/Group.c (xaccGroupForEachAccount): change from
	xaccGroupForEachAccountDeeply and add argument on whether it
	should do things deeply.

	* src/engine/Account.c (xaccCloneAccountSimple): new func.
	(xaccAccountEnumAsString): change arg to GNCAccountType.

	* src/gnc-ui-util.c (gnc_ui_account_get_balance):
	xaccGroupForEachAccountDeeply -> xaccGroupForEachAccount(...TRUE)

	* src/engine/Account.c (xaccAccountGetChildren): Add children
	group if ->children == NULL.

2001-05-10  Dave Peticolas  <dave@krondo.com>

	* src/guile/File.c (gncFindFile): handle NULL arg
	(gncReadFile): use glib mem routines

	* src/doc/design/engine.texinfo: update docs

	* src/scm/command-line.scm: fix bugs

	* src/engine/kvp_frame.c: handle NULL args

2001-05-10  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/account-summary.scm, balance-sheet.scm, pnl.scm:
	moved foreign currency display option to display tab.

	* src/scm/html-utilities.scm
	(gnc:html-acct-table-comm-row-helper!): fixed display bug.

	* src/engine/gnc-pricedb.c (gnc_pricedb_lookup_nearest_in_time):
	Fixed this function so that it works properly now.

	* src/scm/commodity-utilities.scm
	(gnc:get-match-commodity-splits): fix bug.

2001-05-09  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/engine.texinfo: update docs

	* src/engine/*.[ch]: add GPL headers

2001-05-09  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/price-scatter.scm: use the configurable report
	title.

2001-05-09  Dave Peticolas  <dave@krondo.com>

	* src/doc/design/user-preferences.texinfo: update docs

	* src/doc/design/reports.texinfo: update docs

	* src/doc/design/top-level.texinfo: update docs

	* src/doc/design/register.texinfo: update docs

	* src/doc/design/component-manager.texinfo: update docs

2001-05-09  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/price-scatter.scm: Added new option: get weighted
	average prices from the past, not only the instant prices.

	* src/scm/commodity-utilities.scm
	(gnc:get-commodity-totalaverage-prices): Added
	function. Eventually this could be an extension/alternative to
	prices from the pricedb.

2001-05-09  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/net-barchart.scm: check for empty data
	and empty account lists.

	* src/scm/report/category-barchart.scm: check for empty
	data, print a nice error message.

	* src/scm/html-piechart.scm: now produces a warning if an
	empty piechart is sent to it.

	* src/scm/html-barchart.scm: now checks for and warns
	against empty barcharts

2001-05-08  Christian Stimming  <stimming@tuhh.de>

	* src/scm/options-utilities.scm, src/scm/report/price-scatter.scm:
	moved gnc:options-add-marker-choice! from price-scatter.scm to
	options-utilities.scm.

2001-05-08  Dave Peticolas  <dave@krondo.com>

	* src/scm/price-quotes.scm: add currency quote support

	* src/gnome/dialog-account.c: add currency quote support

	* src/engine/Account.c: allow CURRENCY accounts to have price
	source set.

	* src/quotes/finance-quote-helper.in: add currency quote support

2001-05-07  Christian Stimming  <stimming@tuhh.de>

	* src/scm/commodity-utilities.scm: Always use the absolute value
	when building a weighted average.

2001-05-06  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/price-scatter.scm: add options for marker shape
	and color.

	* src/scm/report/transaction-report.scm: fix bug.

2001-05-05  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-main.c: fix bugs

2001-05-05  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/price-scatter.scm: More experiments with scatter
	plots which are working now. Doesn't look too nice though.

	* src/scm/commodity-utilities.scm
	(gnc:get-match-commodity-splits): new function.

	* src/scm/date-utilities.scm (gnc:date->timepair): new
	function. Code cleanup.

	* src/guile/gnc.gwp: more price handling functions.

2001-05-04  Dave Peticolas  <dave@krondo.com>

	* src/register/splitreg.c: set action cell to autosize

	* src/register/gnome/combocell-gnome.c (xaccComboCellSetAutoSize):
	new func.

	* src/register/gnome/gnucash-item-list.c (gnc_item_list_autosize):
	return the clist width

	* src/register/gnome/gnucash-item-edit.c (item_edit_show_popup):
	fix bug

	* src/scm/main.scm: run the book-opened hook before showing
	the new-user window.

	* src/guile/Makefile.am: remove references to gnc-autogen.h.
	Clean gnc.c and gnc.h.

2001-05-03  Dave Peticolas  <dave@krondo.com>

	* src/engine/date.c (timespec_normalize): fix bug

	* doc/sgml/C/xacc-about.sgml: update credits

	* src/gnc-ui-util.h (_GNCPrintAmountInfo): make commodity const

	* src/gnome/window-register.c: fix compiler warning

2001-05-04  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm : Add labels
	to subtotals.

2001-05-04  Conrad Canterford <conrad@mail.watersprite.com.au>

	* make-gnucash-patch.in: add --manifest option (allow use of a
	manifest file. Also, change --file option to allow multiple files.
	Fix bug in previous change.

	* README.patches: Updated to reflect new capabilities.

2001-05-03  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/*/xacc-hierarchical-report.sgml: remove file

	* doc/sgml/pt_PT/xacc-txf-categories.sgml: add missing </article>

	* doc/sgml/pt_PT/gnucash.sgml: add missing file

	* doc/sgml/es/xacc-txf-categories.sgml: add missing </article>

	* doc/sgml/es/gnucash.sgml: add missing file

	* doc/sgml/C/xacc-txf-categories.sgml: add missing </article>

	* src/engine/DateUtils.c: config.h goes first

	* make-gnucash-patch.in: fix bug

	* README.cvs: update info

2001-05-03  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/account-summary.scm: fix bug.

	* src/scm/html-document.scm: added handler for scatter plots.

	* src/scm/report/price-scatter.scm: Added file. This eventually
	should show prices over time. ATM it demonstrates scatter plots in
	a meaningless report.

	* src/scm/html-scatter.scm: Added file. Provides scatter plots for
	reports.

	* src/scm/options.scm (gnc:color->hex-string): added function.

2001-05-03  Robert Graham Merkel <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm: fix bug with secondary
	subheadings.

2001-05-03  Dave Peticolas  <dave@krondo.com>

	* many files: fix spelling errors

	* src/gnome/gnc-html-guppi.c: use unsigned int for color

2001-05-02  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-main.c: set the app's mdi mode from user prefs

	* README.cvs: add README about cvs write access

	* src/scm/report/net-barchart.scm: same as below

	* src/scm/report/category-barchart.scm: same as below

	* src/scm/report/average-balance.scm: same as below

	* src/scm/report/account-piecharts.scm: don't combine liabilities
	& equity together.

	* src/gnome/dialog-column-view.c: work on gui

	* src/gnome/dialog-utils.c (gnc_clist_columns_autosize): new func

2001-05-02  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm: Fix bug with subheading
	display.

2001-05-01  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-transfer.c: fix bugs

	* src/guile/gnucash.c.in: update last stable version

2001-05-01  Conrad Canterford <conrad@mail.watersprite.com.au>

        * make-gnucash-patch.in: add --file option to allow single file
	patches to be made.

	* README.patches (new file): Moved patch instructions from README
	file into this new file, and added detailed descriptions of all
	the options for make-gnucash-patch.

        * README: see above

2001-05-01  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/stylesheet-plain.scm: fix i18n bugs

	* src/scm/report/stylesheet-fancy.scm: work on colors,
	fix i18n bugs

	* src/gnome/dialog-style-sheet.c: fix i18n bugs

	* src/gnome/window-acct-tree.c: add popup menu to account tree

	* src/gnome/mainwindow-account-tree.c
	(gnc_mainwin_account_tree_attach_popup): add user_data argument
	for popup menu

	* src/gnome/window-register.c: same as below

	* src/gnome/window-main.c: same as below

	* src/gnome/window-register.c: obey gnome preferences for
	menubar & toolbar detachability

2001-05-01  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/average-balance.scm: moved from
	average-balance-2.scm. Fix bug.

2001-04-30  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/portfolio.scm: fix bug

	* src/scm/price-quotes.scm: handle 'nav' and 'price' types

	* src/gnome/dialog-price-editor.c: update for nav price type

	* src/quotes/finance-quote-helper.in: try 'nav' and 'price' if
	'last' fails.

2001-05-01  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/Query.{ch}: added date-granularity sorting functionality
	to queries.

	* src/engine/date.[ch] (timespecCanonicalDayTime): new function
	migrated from the scheme code.

	* src/guile/gnc.gwp: added wrappers for the above.

	* src/scm/date-utilities.scm (gnc:timepair-canonical-day-time):
	removed, replaced by new C function.

	* src/scm/report/*.scm: added checks for "no-accounts-selected".

	* src/scm/report/average-balance-2.scm: New (temporary) file.
	The average balance report with a rewritten calculation engine.

	* src/scm/report/register.scm: Modified to use global styles

	* src/scm/report/transaction-report.scm: use improved sorting ability,
	get report title from options.

	* src/scm/html-utilities.scm (gnc:html-make-no-account-warning): new
	function. (remove-last-empty-row): minor changes.

	* src/scm/report-utilities.scm: added the ability to get "numitems"
	out of a stats collector for debugging purposes.

2001-04-30  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/net-worth-timeseries.scm,
	income-expense-chart.scm: removed files.

2001-04-29  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.c (gnc_locale_default_currency): handle no
	default currency

	* src/gnome/dialog-transfer.c: fix bugs

2001-04-28  Christian Stimming  <stimming@tuhh.de>

	* src/scm/date-utilities.scm: Fixed a whole lot of bugs in the
	relative-date functions (did *nobody* ever test those???). Added
	relative dates end-cal-year, end-current-quarter, and
	end-this-month. Added comments.

	* src/scm/options-utilities.scm: Changed date-options to be combo
	options of both relative and absolute dates.

	* src/scm/report/portfolio.scm, taxtxf.scm: adapt to usual option
	conventions.

	* src/scm/report/account-summary.scm: Fix bug.

2001-04-27  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/balance-sheet.scm: Added workaround for gtkhtml
	column width.

2001-04-27  Dave Peticolas  <dave@krondo.com>

	* src/SplitLedger.c (xaccSRExpandCurrentTrans): if expanding
	a transaction, try to show all of it

	* src/register/table-gnome.c (gnc_table_show_range): new func

	* src/register/gnome/gnucash-sheet.c (gnucash_sheet_show_range):
	new func

2001-04-27  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/balance-sheet.scm: Added option to choose the
	source of prices. Adapted to changes in html-utilities.

	* src/scm/report/pnl.scm: Adapted to changes.

	* src/scm/report-utilities.scm (gnc:monetary->string): Fix bug.

	* src/scm/html-utilities.scm (gnc:html-make-exchangerates):
	Switched to different arguments. Fix bug.

	* src/scm/commodity-utilities.scm: fix bug

	* src/scm/options-utilities.scm (gnc:options-add-price-source!):
	added function.

	* src/engine/gnc-pricedb.c (gnc_pricedb_lookup_nearest_in_time):
	fix bug.

2001-04-26  Christian Stimming  <stimming@tuhh.de>

	* src/scm/commodity-utilities.scm
	(gnc:exchange-by-pricedb-{latest,nearest}): new functions.

2001-04-26  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-main.c: handle scm parsing errors

	* src/scm/report.scm: fix bug

	* src/guile/gfec.c: handle NULLs

2001-04-26  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/net-barchart.scm: New file, it is the merger of
	income-expense-graph.scm and net-worth-timeseries.scm.

	* src/scm/report/*.scm: adapt to changed gnc:make-report-anchor.

	* src/scm/html-utilities.scm (gnc:make-report-anchor):
	gnc:report-add-child-by-id! is now used inside here. API changed.

2001-04-25  Dave Peticolas  <dave@krondo.com>

	* src/scm/commodity-utilities.scm: fix fixme

	* src/engine/Group.c (xaccGroupGetAccount): remove pokey warning

	* src/engine/gnc-transaction-xml-v2.c: read & write split action
	field

	* src/gnome/druid-commodity.c: do gncFileNew after gncFileQuit

	* src/guile/gnc.gwp: remove pokey functions (not used anymore)

	* src/scm/main.scm: fix bug. don't do new user dialog if we
	have a file on the command line.

	* src/FileDialog.c (gncAddHistory): fix bug. check for NULL.

	* src/guile/gnucash.c.in: include string.h

	* src/gnome/window-main.c: don't restore state for old format files

2001-04-24  Dave Peticolas  <dave@krondo.com>

	* src/scm/options.scm: check for deleted accounts in account
	list option. fix bug.

	* src/scm/report/pnl.scm: filter out non income/expense accounts

	* src/scm/report/budget-report.scm: remove

	* src/scm/qif-import/qif-to-gnc.scm: remove cruft

	* src/engine/Account.c: take out pokey warnings

2001-04-25  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/html-utilities.scm:
	(gnc:html-table-append-ruler/markup!) new function.  Also modify
	(gnc:html-build-acct-table) and other functions to use global row
	styles.

	* src/scm/html-table.scm:(gnc:html-table-prepend-row/markup!)  fix
	bug.

	* src/scm/report/balance-sheet.scm: use new global row styles.

	* src/scm/report/stylesheet-*.scm: add new global row styles.

	* src/scm/report/transaction-report.scm: use new global row styles,
	fix bug with memo display.  Remove local color options.

2001-04-24  Bill Gribble  <grib@billgribble.com>

	* src/FileDialog.c: call book-opened-hook and book-closed-hook
	where appropriate

	* src/gnome/dialog-column-view.c: change to single-parent model

	* src/gnome/top-level.c: don't do MID state saving and restoring
	here... do it in the book save/load hooks.

	* src/gnome/window-main.c: the configstring stored in MDI is now a
	Scheme form which restores the window state.  save/restore it.
	Also, change the MDI session name to encode the book URL
	(have to encode it to escape some chars, notably /, which MDI
	doesn't like in section names)

	* src/scm/main-window.scm: new file.  get the main-window
	save/restore functions out of prefs.scm

	* src/scm/report/scm: only one parent per report; write save
	routines to save all parents and children.

2001-04-24  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-register.c: add additional warnings when
	deleting reconciled splits/transactions

2001-04-24  Christian Stimming  <stimming@tuhh.de>

	* src/guile/gnc.gwp: g-wrap all the euro-related functions.

2001-04-24  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-transfer.c: set price for euro currencies
	automatically

	* src/EuroUtils.c (gnc_euro_currency_get_rate): new func

2001-04-23  Dave Peticolas  <dave@krondo.com>

	* src/gnome/gnc-html-guppi.c: check for new guppi args before
	passing them

2001-04-23  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/transaction-report.scm: Make more sanity
	checks. Fix bugs.

2001-04-23  Dave Peticolas  <dave@krondo.com>

	* src/engine/Query.c (xaccQueryGetSplitsUniqueTrans): fix bug

	* src/engine/Account.c (xaccAccountSetPriceSrc): fix bug

2001-04-23  Kevin Finn  <kevinfinn@mediaone.net>

	* src/engine/Account.c src/engine/Account.h: added
	xaccAccountGetBalanceAsOfDate and
	xaccAccountGetShareBalanceAsOfDate, to determine the balance of an
	account on a given date.

	* src/gnome/window-reconcile.c: added appropriate callbacks so
	that changes to the startRecnWindow date entry will update the
	ending balance amount entry.  Once the user manually updates the
	ending balance amount, the automatic updates will no longer occur
	if the date entry is changed again.  Changed
	gnc_get_reconcile_info to use the *AsOfDate funcs if possible.

2001-04-22  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/transaction-report.scm: More work on subtotal
	options.

	* src/scm/report/net-worth-timeseries.scm: Add links to new
	reports on bars.

	* src/scm/options.scm, html-utilities.scm: Fix bugs with wrong
	report names.

2001-04-22  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-find-transactions.c: remove tags notebook page.

2001-04-22  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/income-expense-graph.scm: Add links to new
	reports on bars.

2001-04-22  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/transaction-report.scm: use new api for
	changing sensitivity

	* src/guile/gnc.gwp: wrap new function

	* src/guile/global-options.c (gnc_set_option_selectable_by_name):
	new func

	* src/guile/option-util.c
	(gnc_option_db_set_option_selectable_by_name): new func

	* src/gnome/dialog-options.c (gnc_set_option_selectable): new func

	* src/gnome/dialog-account.c (gnc_type_list_unselect_cb): fix bug

	* src/scm/report/register.scm: use query option to store query

	* src/gnome/window-register.c (report_helper): don't copy
	the query -- it's converted to scm now

	* src/guile/gnc-helpers.c: more work on scm<->query

2001-04-22  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/transaction-report.scm: Added new options for
	specifying whether a subtotal will be printed. Unfinished.

	* src/scm/report.scm, src/scm/report/*.scm: Defined more string
	constants for option names. Used them in the reports.

2001-04-21  Christian Stimming  <stimming@tuhh.de>

	* src/scm/options.scm (gnc:make-multichoice-callback-option):
	Added multichoice option with callback functions, just like the
	complex-boolean-option.

	* src/scm/report/transaction-report.scm: Fixed date bug.

2001-04-21  Dave Peticolas  <dave@krondo.com>

	* src/guile/gnc-helpers.c: more work on scm<->query.

2001-04-20  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-report.c: raise app of new report to top

	* src/register/recncell.c: add confirmation callback

	* src/SplitLedger.c: implement reconcile confirm cb

	* src/gnome/gnc-html.c: add missing include

	* src/gnome/dialog-transfer.c: fix spelling

2001-04-20  Bill Gribble  <grib@billgribble.com>

	* src/gnome/dialog-column-view.c: maintain the report window
	edited list when closing dialog.  raise an existing edit dialog.

	* src/gnome/gnc-html.c: make sure we know about options editors
	launched from gnc-options: urls

	* src/gnome/window-report.c: numerous changes to improve handling
	of options dialogs.

	* src/scm/report.scm: new function, gnc:report-edit-options.

2001-04-20  Dave Peticolas  <dave@krondo.com>

	* src/guile/gnc-helpers.c: remove cruft. work on converting
	Query objects to and from a scheme representation (unfinished)

	* src/guile/gnc.gwp: wrap more of the Query enums

	* src/engine/Query.c (xaccQueryAddAccountGUIDMatch): new func

	* src/scm/options.scm: add a query option type

	* src/scm/report/report-list.scm: don't bother hiding tax report

2001-04-19  Bill Gribble  <grib@billgribble.com>

	* src/gnome/top-level.c: add call to skeleton "welcome" report
	if user has not run 1.5/1.6 before

	* src/scm/html-document.scm: changes to make sure styles are
	set for component reports in multicolumn view

	* src/scm/report.scm: clean up rendering with/without headers

	* src/scm/report/stylesheet-plain.scm: get rid of <center> tag
	on <body>

	* src/scm/report/welcome-to-gnucash.scm: new report and function
	to set up welcome to gnucash report

2001-04-19  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-item-edit.c (item_edit_draw_info): fix
	some left-right scrolling glitches

	* src/gnome/dialog-tax-info.c: implement tax info api

	* src/gnome/account-tree.c: same as below

	* src/gnome/window-acct-tree.c: add tax info field

	* src/scm/report.scm: add an export callback for reports

	* src/guile/gnc.gwp: wrap radio chooser api

	* src/scm/report/taxtxf.scm: use export callback to choose
	between html & txf

	* src/gnome/window-report.c: implement export callback

2001-04-19  James LewisMoss  <jimdres@mindspring.com>

	* src/gnome/new-user-funs.c (gnc_new_user_get_clist): new func to
	remove duplicate code.

2001-04-18  Dave Peticolas  <dave@krondo.com>

	* src/SplitLedger.c: fix for api change below

	* src/gnc-ui.h: api change below

	* src/gnome/query-user.c
	(gnc_choose_radio_option_dialog_parented): use glist instead of
	pointer array for list of strings argument

2001-04-18  Bill Gribble  <grib@billgribble.com>

	* src/gnome/dialog-options.c: don't destroy options dialog twice.

	* src/gnome/window-main.c: hopefully last MDI fixes; rearrange
	menu and replace "New Window" with "Move to New Window."

2001-04-18  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.c (gnc_ui_account_get_balance): use current
	stock quotes to get balances for stock/mutual/currency accounts

	* src/gnome/window-main.c: check for NULL toolbar parents

	* src/engine/sixtp-xml-write-utils.c: use new func below

	* src/engine/sixtp-dom-generators.c (timespec_sec_to_string): use
	new func below.

	* src/engine/sixtp-utils.c (timespec_secs_to_given_string): new
	func. format timezone string by hand (solaris fix)

	* src/engine/gnc-account-xml-v2.c (gnc_account_end_handler): only
	begin editing the account if parsing was successful

	* src/test/test-xml-account.c (test_add_account): don't delete
	the account, because it's referenced by the parser after the
	callback.

2001-04-17  Bill Gribble  <grib@billgribble.com>

	* src/gnome/window-main.c: More changes for MDI.  I think we
	finally have toolbars handled right.  Also new windows for account
	trees.

2001-04-17  Rob Browning  <rlb@cs.utexas.edu>

	* src/scm/utilities.scm (string-split): used to be string-split-on
	in qif-utils.scm

	* src/scm/qif-import/qif-utils.scm: move string-split-on to
	utilities.scm as string-split to better match string-join.

	* src/scm/qif-import/qif-to-gnc.scm (qif-import:qif-to-gnc):
	string-split-on -> string-split.

	* src/scm/qif-import/qif-dialog-utils.scm
	(qif-import:get-all-accts): string-split-on -> string-split.

	* src/scm/price-quotes.scm (yahoo-get-historical-quotes): new
	function - retrieve lists of historical quote information.

	* src/scm/bootstrap.scm.in (%load-path): add new guile-modules
	directory so we can use-modules from there.

	* src/guile/Makefile.am (CLEANFILES): add gnucash.c so it goes
	away on "make clean" in addition to "make distclean".

	* src/engine/gnc-pricedb.c: minor doc updates.

	* src/engine/gnc-pricedb.h: much more documentation.

	* lib/guile-www: new directory - contains guile-www CVS module.
	Used by new historical quote function.  Several new files added.
	Installed to new install directory GNC_SHAREDIR/guile-modules such
	that it is available via (use-modules (www main)), etc.

	* lib/Makefile.am (SUBDIRS): add guile-www

	* configure.in (AC_OUTPUT): add lib/guile-www/Makefile

2001-04-17  Dave Peticolas  <dave@krondo.com>

	* src/gnome/file-history.c: fix bug

2001-04-17  Bill Gribble  <grib@billgribble.com>

	* fixes to MDI bugs: only one param editor for accounts and
	reports, make sure reports reference and created children

	* new report: 'Frame URL'.  Give it an URL and it will display the
	contents in an <iframe>... handy for putting that stock ticker
	graph from yahoo or wherever in a sidebar of a multicolumn view.

2001-04-17  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-load-example-account.c (main): ignore the README
	file.

2001-04-17  Dave Peticolas  <dave@krondo.com>

	* lots of files: handle NULL pointer printf problems,
	fix some mem leaks

2001-04-16  Dave Peticolas  <dave@krondo.com>

	* src/gnc-ui-util.c (gnc_account_get_balance_in_currency): new func

	* src/gnome/dialog-price-editor.c: button for online quotes

	* src/scm/price-quotes.scm: handle missing lib errors. i18n
	some strings

	* src/quotes/finance-quote-helper.in: return error symbol when
	libraries are missing.

	* src/guile/guile-util.c (gnc_book_to_scm): new func

2001-04-15  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-sheet.c: some more error checking

	* src/gnome/top-level.c: check for no children when creating default
	window

	* src/gnome/window-main.c: Kevin Finn's patch to shutdown gnucash
	when the main window is deleted. Handle remove_child events to
	prevent accessing deleted windows.

	* src/engine/sixtp-dom-parsers.c (string_to_integer): same as
	below

	* src/engine/sixtp-dom-generators.c (add_kvp_value_node): same as
	below

	* src/engine/sixtp-xml-write-utils.c: same as below

	* src/engine/sixtp-utils.c: same as below

	* src/engine/gnc-numeric.c: same as below

	* src/engine/TransLog.c: same as below

	* src/engine/kvp_frame.c: same as below

	* src/engine/sql/kvp-sql.c: same as below

	* src/engine/sql/builder.c (sqlBuild_Set_Int64): don't assume
	long long int == gint64

	* src/gnome/window-main.c: take out devel menu

	* src/gnome/dialog-price-editor.c (price_ok_clicked): fix bug

2001-04-15  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report.scm: Defined global identifiers for some option
	names.

	* src/scm/report/category-barchart.scm: Added menu tips, menu
	names. Use Reportname option for report title. Added an
	explanatory text (only for devel info, will be removed again in
	some weeks).

	* src/scm/html-barchart.scm: Fix bug.

	* src/gnome/gnc-html-guppi.c (guppi_bar_1_callback): Fix bug.

2001-04-14  Dave Peticolas  <dave@krondo.com>

	* src/scm/path.scm: version the .gnucash/config* files.

	* src/scm/: change several other files to use versioned config

	* src/gnome/window-main.c: show current filename in app titles

2001-04-13  Bill Gribble  <grib@billgribble.com>

	* Bug fixes and a couple of new features for MDI stuff.

	* src/scm/prefs.scm: new option to set MDI mode (prefs/general)

	* src/gnome/{window-acct-tree.c,window-report.c,window-main.c}:
	bug fixes to handle runtime MDI mode changes.

2001-04-13  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/*: update several reports to use
	the new date option api.

	* src/scm/options.scm: change date options to return
	the same values as they accept.

	* src/guile/option-util.c: update for new date option api.
	wrap scheme api for C.

	* src/gnome/dialog-options.c: update for new date option api.
	fix bugs.

	* src/gnome/query-user.c: fixes for no toplevel window

	* src/gnome/window-main.c (gnc_main_window_get_toplevel): check
	for NULL

2001-04-13  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/balance-sheet.scm: Cleanup code. Use new funcs
	from html-utilities.

	* src/scm/report/stylesheet-{plain,fancy}.scm: Added some styles
	for table-cells.

	* src/scm/html-utilities.scm (gnc:html-acct-table-cell),
	(gnc:html-acct-table-row-helper!),
	(gnc:html-acct-table-comm-row-helper!): Added functions i.e. moved
	them out of gnc:html-build-acct-table. Use table-cell-markup
	instead of direct markup-b.

	* Several reports: Added option page "Account" or "Display" so
	that every report has those.

2001-04-12  Bill Gribble  <grib@billgribble.com>

	* Lots and lots of changes to support Gnome MDI.  And I thought it
	would be an easy way to get that toolbar problem fixed.  Short
	story is lots of function prototypes changed to reflect the notion
	that there is no longer a single top-level gnucash window or
	account tree.  41 files changed, which is too many for me to
	itemize :)

	* src/gnome/window-acct-tree.{c,h}: new file; the "account tree
	window" is the contents of the former main window.  Now you can
	have as many of them open as you want.  account trees and reports
	are the 2 kinds of "main window children" which MDI manages.

	* src/gnome/window-main-summarybar.{c,h}: new file.  I moved the
	summary bar stuff out of the account tree because there's one
	summary bar per top-level window but possible many account trees
	per top-level window.

	* src/gnome/window-main.c: this is not what it used to be at all.
	the main gnucash ui element is now a 'GnomeMDI'.  The only menus
	and toolbar items here are ones that are always visible in any
	top-level window.

	* src/scm/prefs/scm: acct tree prefs are treated differently (one
	options obj per acct tree) and are auto-saved and restored.

	* src/scm/report.scm: report options are auto saved and restored.

	* src/scm/html-style-sheet.scm: so are style sheets.

2001-04-12  James LewisMoss  <jimdres@mindspring.com>

	* accounts/C/Makefile.am (EXTRA_DIST): move some of the files to
	the EXTRA_DIST rule for the moment (we don't want them installed
	at the moment)

	* accounts/C/acctchrt_*: Include Carol's documentation fixes.

2001-04-12  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-item-list.c: same as below

	* src/register/gnome/combocell-gnome.c (popup_post_show): fix for
	making the scrollbars appear under gtk+ 1.2.9.

	* src/gnome/dialog-commodity.c: add api to edit commodities

	* src/gnome/dialog-commodities.c: allow commodities to be edited

2001-04-12  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/account-piecharts.scm: Added menu tips, menu
	names. Use Reportname option for report title. Added an explanatory
	text (only for devel info, will be removed again in some weeks).

2001-04-12  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/Transaction.[ch] (xaccSplitGetCorrAccountFullName): new
	functions.  (xaccSplitCompareAccountNames): rename
	to xaccSplitCompareAccountFullNames and compare using full names.
	(xaccSplitCompareOtherAccountNames): renaming as above.

	* src/engine/Query.[ch]: rename sort enumeration values.

	* src/guile/gnc.gwp: update to match above changes.

	* src/scm/report-utilities.scm (gnc:split-get-corr-account-full-name):
	new function.

	* src/scm/report/transaction-report.scm: use above changes to sort
	and optionally display full account names.  Fix unrelated bugs with
	sorting options.

2001-04-11  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/hello-world.scm: add a menu tip as an example

	* src/scm/report.scm: add menu names and menu tips to reports

2001-04-11  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/average-balance.scm, category-barchart.scm,
	income-expense-graph.scm, net-worth-timeseries.scm, portfolio.scm:
	Added menu-path for reports.

	* src/scm/report/account-piecharts.scm: Report title is now
	fetched from Reportname option. Slices and legend now have
	different URLs.

2001-04-11  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-commodities.c: more work

	* src/engine/gnc-commodity.c (gnc_commodity_table_remove): new func

	* src/engine/gnc-commodity.h: add ASX namespace

	* src/gnome/dialog-commodity.c (gnc_ui_edit_commodity_modal): new
	func. unfinished. rename some functions to reflect that it's also
	an editing dialog now.

2001-04-11  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm (render-month-subheading):
	fix bug.

2001-04-11  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/account-piecharts.scm: Simplified anchors for
	other reports by using gnc:make-report-anchor.

	* src/scm/html-utilities.scm (gnc:make-report-anchor): New
	function.

	* src/scm/options.scm (gnc:options-copy-values): New function.

	* src/scm/report/account-piecharts.scm: Added anchors to yet other
	reports on the slices of the pie. Simplified creation of other
	report's options.

	* src/scm/report/category-barchart.scm: Simplified creation of
	other report's options.

	* src/scm/report/report-list.scm: Renamed file.

	* src/scm/report/account-piecharts.scm: Renamed to this filename
	(used to be: income-or-expense-pie.scm). Introduced some more
	generality such that this file also has an asset and a liability
	balance piechart.

	* src/scm/report/category-barchart.scm: Introduced some
	more generality such that this file also has a asset and liability
	balance barchart.

2001-04-10  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report-utilities.scm: Added function
	(gnc:account-get-type-string-plural). Changed
	gnc:decompose-accountlist to return AccountType symbols.

	* src/scm/html-utilities.scm,
	src/scm/report/net-worth-timeseries.scm, balance-sheet.scm:
	Adapted to changed gnc:decompose-accountlist.

2001-04-10  Dave Peticolas  <dave@krondo.com>

	* src/engine/date.c (__EXTENSIONS__): add a define for solaris

	* src/gnome/dialog-commodities.c: new file. commodity editor.
	unfinished.

2001-04-10  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/net-worth-timeseries.scm: Fixed date argument
	bug. Added auto label rotation.

	* src/scm/date-utilities.scm: Renamed gnc:dateloop to
	gnc:make-date-interval-list and gnc:dateloop-simple to
	gnc:make-date-list.

	* src/scm/report/category-barchart.scm, income-expense-graph.scm:
	Adapt to gnc:dateloop's namechange.

2001-04-10  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/net-worth-timeseries.scm: New file.  You guessed
	it,  a time series net worth barchart.

	* src/scm/report/date-utilities.scm: add gnc:dateloop-simple to
	generate simple timeseries for net worth barchart.

	* src/scm/report/{Makefile.am, report-list.scm}: add new barchart.

2001-04-10  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/io-utils.c (write_accounts): Pull out function from
	io-gncxml-v2.c.
	(write_account_group): same.
	(write_emacs_trailer): abstract out functionality.

2001-04-09  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_guid): handle new
	and guid types the same for the moment.

2001-04-09  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-price-editor.c: more work

2001-04-09  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/balance-sheet.scm (balance-sheet-renderer):
	use gnc:decompose-accounts to split up accounts.

	* src/scm/report-utilities.scm (gnc:decompose-accountlist):
	add credit accounts to the list of liability accounts.

2001-04-08  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-price-editor.c: more work

	* src/gnome/account-tree.c (gnc_account_tree_insert_row): speedup
	refreshing

	* src/gnome/account-tree.h: remove duplicate declaration

	* src/scm/report/taxtxf.scm: don't use deprecated calls

	* src/guile/gnc.gwp: wrap xaccAccountGetSplitList

	* src/engine/Query-xml-parser-v1.c
	(qrestore_datepred_start_handler): use g_new0 instead of bzero --
	more portable

2001-04-07  Dave Peticolas  <dave@krondo.com>

	* src/engine/md5.h: include stddef.h for size_t

	* src/engine/sql/PostgresBackend.c: include ctype.h for tolower

	* src/engine/guid.h: include stddef.h for size_t

	* src/engine/gnc-engine-util.h: include stddef.h for size_t

	* src/scm/report/taxtxf.scm: fix bug

	* src/scm/text-export.scm: fix for api change

	* src/scm/report-utilities.scm: fix for api change

	* src/scm/engine-utilities.scm: change gnc:group-map-accounts
	to gnc:group-map-all-accounts. make gnc:group-map-accounts do
	only the immediate children.

	* src/gnome/dialog-price-editor.c: more work

	* src/engine/gnc-pricedb.c: add an error check

	* ChangeLog: split changelog

2001-04-06  Rob Browning  <rlb@cs.utexas.edu>

	* src/scm/process.scm (gnc:run-sub-process): some process control
	fixes seen on guile-devel.

2001-04-06  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-price-editor.c: new file with price db
	editor. Unfinished.

	* src/engine/gnc-pricedb.c: connect prices to pricedbs

2001-04-05  Dave Peticolas  <dave@krondo.com>

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): fix
	for files with no pricedb section

2001-04-04  Dave Peticolas  <dave@krondo.com>

	* src/scm/prefs.scm: add price editor geometry options

2001-04-06  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/balance-sheet.scm: Major overhaul. Adapted to new
	options in gnc:html-build-acct-table. Cleaned up code. Corrected
	column alignment.

	* src/scm/html-utilities.scm (gnc:html-table-append-ruler!): New
	function.
	(gnc:html-build-acct-table): Added new arguments for how to show
	non-leaf accounts: with subtotal or not, with own balance or
	not. Removed some empty lines in the html-table.

	* src/scm/report/pnl.scm, account-summary.scm: Added support for
	new gnc:html-build-acct-tree options.

	* src/scm/report-utilities.scm (gnc:decompose-accountlist): Added
	equity accounts.

2001-04-05  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-transaction.c: guess what?

	* src/test/test-xml-commodity.c: genericify all over.

	* src/test/test-xml-account.c: genericify all over.

	* src/test/gnc-test-stuff.c (test_load_file): use new generic
	interface.
	(test_files_in_dir): same.

	* src/engine/io-gncxml-v2.h (struct sixtp_global_data_v2_struct):
	remove all the stuff made unnecessary by generification.

	* src/engine/io-gncxml-v2.c (gnc_counter_end_handler): same as below.
	(generic_callback): new func for generic callback.
	(gnc_book_load_from_xml_file_v2): use new generic callback
	mechanism.

	* src/engine/gnc-transaction-xml-v2.c
	(gnc_transaction_end_handler): same as below.

	* src/engine/gnc-pricedb-xml-v1.c (pricedb_v2_end_handler): same
	as below.

	* src/engine/gnc-commodity-xml-v2.c (gnc_commodity_end_handler):
	same as below.

	* src/engine/gnc-account-xml-v2.c (gnc_account_end_handler):
	genericify the callback mechanism.

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): move
	xaccLogDisable call.

2001-04-05  Christian Stimming  <stimming@tuhh.de>

	* src/scm/html-table.scm (gnc:html-table-remove-last-row!): Added
	function.

	* src/scm/html-utilities.scm (gnc:html-build-acct-table): Added
	removal of the last empty line above the total sum.

	* src/scm/html-document.scm: changed rendering of #f from one
	whitespace to equally arbitrary three whitespaces. FIXME: This
	should be configurable by a style-sheet.

	* src/scm/report/pnl.scm: deactivated column headers.

2001-04-05  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/balance-sheet.scm: Relabel summary rows, fix
	asset calculation bugs.

2001-04-04  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/balance-sheet.scm: calculate retained profits
	explicitly, display (liabilities + equity) to allow people
	to check balances.

2001-04-04  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-sheet.c
	(gnucash_register_goto_next_trans_row): new func.

	* src/gnome/window-register.c: make 'enter' toolbar button
	move to next transaction

	* src/gnome/dialog-tax-info.c: more work

	* src/gnome/dialog-account.c: allow opening balances to come
	from other accounts

	* src/gnome/dialog-totd.c (totd_close_cb): don't bother with the
	help dialog after disabling tips

2001-04-04  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/gnc-html-guppi.c, src/scm/html-barchart.scm: Added new
	option for barchart: legend-reversed.

2001-04-04  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/balance-sheet.scm: calculate retained profits
	explicitly, display (liabilities + equity) to allow people
	to check balances.

2001-04-04  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_timespec): use
	g_free rather than free (ben's find)
	(dom_tree_to_gnc_numeric): same.

2001-04-03  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-sheet.c: move cursor before showing
	popup menu

	* src/gnome/window-register.c: add a Transaction->Invoice item

	* src/engine/Query.c: add GUID predicate

	* src/gnome/dialog-commodity.c: add namespace picker getter.
	Show "CURRENCY" instead of "ISO4217" when displaying.

	* src/gnome/druid-commodity.c: use namespace picker getter

	* src/gnome/druid-qif-import.c: use namespace picker getter

	* src/scm/report/register.scm: more work

	* src/engine/gnc-commodity.c (reset_printname): take the namespace
	out of the printname

	* src/gnome/dialog-account.c: add opening balance support

	* src/gnc-ui-util.c (gnc_find_or_create_equity_account): new func.
	(gnc_account_create_opening_balance): new func.

	* src/gnome/gnc-dateedit.c: add some error checking

	* src/gnome/gnc-commodity-edit.c: add "changed" signal

	* src/scm/report/register.scm: fix bug

2001-04-03  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/html-table.scm (gnc:html-table-prepend-row!): Fix
	bug.

	* src/scm/report/html-utilities.scm (gnc:build-html-acct-table): Add
	show-col-headers option.

	* src/scm/report/balance-sheet.scm: New file.  Code for a balance
	sheet report.  Numbers should be correct, presentation is
	rudimentary as usual.

	* src/scm/report/account-summary.scm: modify for changed arguments
	to gnc:build-html-acct-table.

	* src/scm/report/pnl.scm: modify for changed arguments to
	gnc:build-html-account-table.

2001-04-02  Dave Peticolas  <dave@krondo.com>

	* Makefile.am: add po/README

	* src/gnome/window-main.c: hide developer menu

	* src/gnome/window-register.c: add invoice menu item

	* src/scm/prefs.scm: add user name & address option for invoice
	report. add option for whether reports appear in main window or
	open in new window

	* src/scm/report.scm: open reports based on new option

	* src/scm/report/transaction-report.scm: more work

	* src/scm/report/register.scm: more work

2001-04-01  Dave Peticolas  <dave@krondo.com>

	* src/FileDialog.c: update for api change

	* src/gnome/window-report.c: update for api change

	* src/gnome/gnc-html.c: update for api change

	* src/gnome/window-main.c: update for api change

	* src/gnome/cursors.c (gnc_set_busy_cursor): add extra arg
	to determine whether to update cursor immediately

	* src/gnome/druid-qif-import.c: update for api change

	* src/gnome/window-help.c: expand the top nodes initially
	(gnc_help_show_topic): show the topic in the tree when it
	can be found

	* src/gnome/gnc-html.c: set busy cursor before start request

2001-03-31  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-utils.c (gnc_get_gdk_imlib_image): new func

	* src/scm/report.scm: translate report name

	* src/gnome/window-main.c: fix some i18n bugs

2001-03-31  Christian Stimming  <stimming@tuhh.de>

	* src/scm/html-utilities.scm (gnc:html-build-acct-table): fix
	horizontal line width if foreign currencies are shown.

2001-03-31  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-account.c (node_and_account_equal): fix parent
	id test.  duh.

	* src/test/test-real-data.sh (EXIT_VALUE): check for empty FILES
	return.

	* src/test/test-xml-commodity.c (main): fix argc test.

	* src/test/test-xml-account.c (main): fix argc test.

	* src/test/test-xml-commodity.c (main): fix argc test

	* src/test/test-load-xml2.c (main): call xaccLogDisable

	* src/test/test-xml-transaction.c (main): call xaccLogDisable

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2):
	comment out load debug info.

	* src/test/test-real-data.sh (EXIT_VALUE): don't run on a
	directory.

	* src/test/gnc-test-stuff.c (test_files_in_dir): rename vars
	file_count -> argc, files -> argv to be more accurate.

2001-03-31  Dave Peticolas  <dave@krondo.com>

	* src/scm/options.scm: add a text option type

	* src/gnome/dialog-options.c: add support for text options

	* src/gnome/window-main.c (gnc_ui_about_cb): set parent

	* src/scm/report/register.scm: more work

	* src/scm/html-document.scm: fix bug

2001-03-30  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): add
	stuff from file format 1 ledger data start and end handlers to
	disable enable log, mark saved, and the rest.

	* src/engine/gnc-book.c (gnc_book_write_to_file): clean up
	writing.  Write only once.
	(gnc_book_write_to_file): extract out backup functionality.
	(gnc_book_backup_file): new func with extracted functionality.
	(gnc_book_backup_file): add more permanent backup for binary
	data.

	* src/engine/gnc-account-xml-v2.c (gnc_account_end_handler): add
	begin edit so that everything doesn't get recomputed till end.

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): add
	commit of all accounts at end.

	* src/engine/gnc-book.c (gnc_book_write_to_file): use v2 write.

2001-03-30  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/average-balance.scm: tweak default accounts

	* src/scm/html-utilities.scm (gnc:html-build-acct-table):
	put in a horizontal line before grand total.

	* src/gnome/dialog-tax-info.c: use form & description, not
	code & form, in clist. more work on display.

	* src/scm/report/txf-export.scm: fix bug

	* src/register/gnome/gnucash-sheet.c
	(gnucash_sheet_modify_current_cell): reset item edit position

	* src/register/gnome/gnucash-item-edit.c (item_edit_reset_offset):
	new func

	* src/gnome/gnc-currency-edit.c (add_item): don't use namespace
	in string

	* src/quotes/finance-quote-helper.in: check for non-standard
	Perl modules

	* src/quotes/Makefile.am: add update-finance-quote

	* src/quotes/update-finance-quote.in: new file

	* src/guile/guile-util.c: new funcs for wrapping price lists

	* src/guile/gnc.gwp: wrap more pricedb api. g-wrap price lists.

	* src/gnome/dialog-tax-info.c: more work

	* src/gnc-ui-util.c (gnc_push_locale): new func
	(gnc_pop_locale): new func

	* src/gnome/gnc-html-guppi.c: use C locale when parsing doubles

	* src/gnc-ui-util.c (gnc_lconv_set): strdup value to make
	sure changing the locale doesn't affect the cached value

	* src/gnome/window-register.c: make 'record' work like 'enter'

	* src/scm/prefs.scm: add internal prefs for tax window size

	* src/gnome/gnc-splash.c: make splash a regular window

2001-03-30  James LewisMoss  <jimdres@mindspring.com>

	* src/test/gnc-test-stuff.c (test_files_in_dir): use file list
	rather than dir so we can control the order of files tested (to
	allow parent accounts to be parsed first)

	* src/test/test-real-data.sh (EXIT_VALUE): make sure test fails if
	at least one of the tests fail.

2001-03-29  Dave Peticolas  <dave@krondo.com>

	* doc/sgml/C/xacc-incomeexpense.sgml: fix debit/credit distinction

	* src/scm/report/taxtxf.scm: more work

	* src/scm/report/category-barchart.scm: remove url FIXME

	* src/scm/html-barchart.scm: add bar & legend urls to render

	* src/gnome/top-level.c: Robert Stephenson's patch for
	gtkhtml & gconf

	* src/gnome/gnc-html-guppi.c: fix bugs

	* src/scm/html-text.scm: fix bug

	* src/scm/report/portfolio.scm: work on display

	* src/scm/report/stylesheet-plain.scm: add styles for totals

	* src/scm/html-document.scm: bug fix

	* src/scm/report/taxtxf.scm: more work

	* src/engine/gnc-commodity.c (count_coms): use
	GNC_COMMODITY_NS_ISO instead of the string const.

	* src/engine/rpc/Makefile.am: use GLIB_CFLAGS instead of
	hard-coded include dir.

	* src/engine/rpc/RpcUtils.c (rpcend_build_gnccommoditylist): use
	GNC_COMMODITY_NS_ISO instead of the string const. Fix compiler
	warning.

2001-03-29  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/io-gncxml-v2.c (write_counts): don't add an amount if
	it's == 0.

2001-03-29  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/report-list.scm, Makefile.am: Added new file.

	* src/scm/report/category-barchart.scm: Two new reports. Shows
	barchart of income (or expense) categories over time.

	* src/scm/report/income-expense-graph.scm: Use more
	option-utilities.scm. Fixed gnc:dateloop usage (last interval was
	wrong).

	* src/scm/html-barchart.scm: Added record components for bar- and
	legend-urls and their accessor/modifier functions. FIXME: They
	don't get rendered yet -- somebody has to add that.

	* src/scm/date-utilities.scm (gnc:dateloop): Fixed last interval
	not to be longer than the specified end date.

2001-03-29  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/io-gncxml-v2.c (write_counts): don't add an amount if
	it's == 0.

2001-03-29  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/portfolio.scm: New file.  Stock portfolio
	overview.

	* src/engine/date.[ch]: Added timespec_normalize,
	timespec_diff, and timespec_abs.

	* src/engine/gnc-pricedb.[ch]: added
	gnc_pricedb_lookup_nearest_in_time, courtesy Rob B.

2001-03-28  Dave Peticolas  <dave@krondo.com>

	* src/SplitLedger.c: fix bug

2001-03-28  James LewisMoss  <jimdres@mindspring.com>

	* src/test/gnc-test-stuff.c (get_random_split): set a share
	amount.

	* src/engine/gnc-transaction-xml-v2.c (spl_quantity_handler):
	should have been xaccSplitSetShareAmount not SetValue

2001-03-28  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-tax-info.c: more work

	* src/guile/gnc.gwp: wrap more of pricedb api

	* src/engine/gnc-pricedb.c (gnc_pricedb_get_prices): new func

2001-03-28  Bill Gribble  <grib@billgribble.com>

	* src/gnome/dialog-column-view.c: set the view dirty on edit

	* src/gnome/dialog-style-sheet.c: dirty every report using a
	stylesheet when it's edited.

	* src/gnome/window-report.c: Add display register/unregister for
	reports so the reports know which report-windows they are being
	displayed in.
	
	* src/scm/html-{bar,pie}chart.scm: Add a little space to work
	around a gtkhtml-0.8.3 bug in table display

	* src/scm/html-document.scm: move tree collapse and
	stringification to the html document rather than the report.  Add
	functions to render just the body elements of a document.

	* src/scm/html-table.scm: fix broken html-table-set-cell! 

	* src/scm/report.scm: add parents list to report struct.  Mark
	parents dirty when report is marked dirty.  reload windows showing
	a report on dirty.  Clean up rendering functions a little

	* src/scm/report/view-column.scm: Add a link to open each report
	in a window by itself.  Change rendering to allow children to be
	cached.
	
2001-03-28  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-tax-info.c: more work

	* src/engine/Transaction.c (DxaccSplitSetSharePriceAndAmount):
	do the double->numeric conversion directly.

	* src/guile/gnc.gwp: remove unused deprecated functions

	* src/engine/Transaction.c (xaccSplitsComputeValue): convert
	imbalance to base_currency fraction if possible

	* src/SplitLedger.c (LedgerDestroy): commit pending instead
	of rolling back.

2001-03-28  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Transaction.c (xaccSplitGetAccount): use
	xaccSplitSetAccount_Internal to set.  Don't want to NULL out data
	if xaccAccountLookup doesn't give us data (for testing).
	(xaccSplitSetAccount_Internal): new func that doesn't null out
	account guid data

	* src/engine/gnc-transaction-xml-v2.c
	(gnc_transaction_dom_tree_create): add test to not add trn:num
	item when it's an empty string.

	* src/test/Makefile.am (clean-local): add to remove .log files.

2001-03-27  James LewisMoss  <jimdres@mindspring.com>

	* doc-tools/Makefile.am (LDADD): remove all the unneccesary libs.

2001-03-27  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/average-balance.scm: Major rework: Uses
	option-utilities.scm. Added basic multi-currency handling. Fixed
	time interval handling.

	* src/scm/report/income-expense-graph.scm,
	income-or-expense-pie.scm: Use option-utilities.scm.

	* src/scm/options-utilities.scm: Added date interval multichoice
	option, report currency option, and plot size option.

2001-03-27  Dave Peticolas  <dave@krondo.com>

	* configure.in: add --enable-etags argument to turn on
	automatic TAGS creation

	* src/scm/report/register.scm: add notes field

	* src/scm/report/stylesheet-plain.scm: more reports centered
	by default

	* src/scm/html-document.scm: Christopher Browne's markup
	style extension.

	* src/gnome/window-main.c (gnc_report_in_main_window): show new
	page

	* doc/sgml/pt_PT/Makefile.am: remove demo html files

	* doc/sgml/es/Makefile.am: remove demo html files

	* doc/sgml/C/Makefile.am: remove demo html files

	* src/gnome/dialog-column-view.c: mark the options dialog
	changes as appropriate

	* src/gnome/dialog-options.c (gnc_options_dialog_changed): new
	public func

	* src/gnome/dialog-tax-info.c: more work

	* src/gnome/dialog-options.c: set apply button sensitivity
	appropriately

	* src/scm/report/average-balance.scm: use option-utilities

	* src/scm/report/transaction-report.scm: use option-utilities

	* src/scm/options-utilities.scm: remove superfluous (begin)'s

2001-03-26  Dave Peticolas  <dave@krondo.com>

	* src/gnome/gnc-html.c: fix compiler warning

	* src/scm/prefs.scm: add new liability/equity debit/credit labels

	* src/register/gnome/pricecell-gnome.c (PriceDirect): don't use
	key stroke if cell value doesn't change

	* src/register/pricecell.c (xaccSetPriceCellValue): return TRUE
	if cell value actually changed

2001-03-27  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/io-gncxml-v2.c (add_account_local): duh.  currency
	not commodity.  commodity is same as Security.  Old gets freed
	really hosing the data known_commodities structure.

2001-03-26  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-commodity.c (count_coms): new func.
	(gnc_commodity_table_get_size): Actually return size rather than
	namespace size.
	(gnc_commodity_table_get_number_of_namespaces): new func.  Used to
	be the get_size one.

	* src/test/test-commodities.c (test_commodity): Improve error
	output for size diffs.

2001-03-26  Bill Gribble  <grib@billgribble.com>

	* src/gnome/dialog-column-view.{c,h}: new files.  Options editor
	for the multicolumn report view.

	* src/gnome/dialog-options.{c,h}: add API to get notebook widget
	from standard options dialog

	* src/gnome/gnc-html.c: add handler for gnc-options:report-id=%d 
	url... pops up the options editor for that report. 

	* src/gnome/window-main.c: make the app main widget a notebook
	with side tabs.  When a report is run from the menu, it makes a
	new tab and put itself there (via gnc_report_in_main_window).

	* src/gnome/window-report.c: ask the report how to edit its
	options. Redo options dialog handling.  Add a "open in new window"
	option to the report toolbar/popup

	* src/scm/report.scm: add 'options-editor field to report template
	struct.  It's optional (there's a default).  Add a "Report name"
	option for all reports. Not used yet but will be soon.

	* src/scm/report/view-column.scm: a generic table layout for
	multiple reports.  Each report is in a table cell with a
	configurable rowspan and colspan.
	
2001-03-26  James LewisMoss  <jimdres@mindspring.com>

	* README (NOTE): Update how make-gnucash-patch works.

2001-03-26  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/transaction-report.scm: fix i18n bug

	* src/scm/report/register.scm: more work

	* src/SplitLedger.c: update for api change

	* src/gnome/window-register.c: update for api change

	* src/engine/Transaction.c (xaccSplitGetCorrAccountName): update
	name used for split transactions
	(xaccSplitGetOtherSplit): rename to be more consistent

	* src/gnome/gnc-dialogs.glade: use 'contains' instead of
	'matches' in search dialog

	* src/guile/gnc.gwp: update for api changes below

	* src/engine/Account.c: use US in api names and tags of
	US-specific tax info.

2001-03-25  Dave Peticolas  <dave@krondo.com>

	* src/test/test-exp-parser.c (test_parser): add / 0 test

	* src/scm/report/txf-export.scm: fix bugs

	* src/gnome/gnc-dialogs.glade: work on tax info dialog

	* src/gnome/dialog-tax-info.c: more work

	* src/engine/sixtp.c (gnc_is_our_xml_file): don't use
	g_return_if_fail for not finding a file -- avoid ** CRITICAL **
	warning.

2001-03-24  Dave Peticolas  <dave@krondo.com>

	* src/engine/gnc-pricedb-xml-v1.c (pricedb_v2_end_handler): fix bug

2001-03-23  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/txf-export.scm: redo data structure
	for txf info

	* src/guile/gnc.gwp: wrap tax info api getters

	* src/scm/report/income-or-expense-pie.scm: show total in subtitle

	* src/scm/html-utilities.scm (gnc:assign-colors): make the order
	of color assignment stable

	* src/engine/Account.c: add api for tax info

	* src/engine/kvp_frame.c: handle NULL pointers

	* src/engine/kvp_doc.txt: add tax kvp keys

	* doc/gnucash-gdb-cmds: remove, out of date

2001-03-23  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/income-or-expense-pie.scm: Included new option to
	summarize all subaccount balances below a certain level threshold.

2001-03-23  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-pricedb-xml-v1.c (gnc_pricedb_to_dom_tree): Don't
	return and empty tree.  Return NULL.

	* src/engine/io-gncxml-v2.c (write_pricedb): check for null return
	from pricedb tree generator and ignore.  It's ok to get NULL.

2001-03-22  Dave Peticolas  <dave@krondo.com>

	* src/Makefile.am: compile src/test after compile src/

	* src/guile/gnucash.c.in (gnc_main): change from main
	function so other executables can link with this lib

	* src/gnc-main.c: new file with gnucash main

	* src/test/test-stuff.c: add api to turn on success printing

	* src/test/test-exp-parser.c: new test file for testing
	expression parser

	* src/scm/report/income-or-expense-pie.scm: display totals
	in legend

	* src/gnome/druid-stock-split.c: check for proper currencies
	on income & asset accounts. allow price to be recorded.

	* src/gnome/account-tree.c: add api for setting selectability
	with a filter function

	* src/engine/Group.c (xaccGroupRemoveAccount): check for
	group/account mismatch

2001-03-21  Dave Peticolas  <dave@krondo.com>

	* src/scm/date-utilities.scm: set isdst to -1 before calling
	mktime

	* src/gnome/window-main.c: put summary info on left side

	* src/gnome/gtkselect.c: don't display button unless there is
	something to select. put button on left side

2001-03-22  Robert Graham Merkel <rgmerk@mira.net>

	* src/scm/date-utilities.scm (moddate): set is-dst to unknown to
	hopefully fix daylight-saving time errors.

2001-03-21  Dave Peticolas  <dave@krondo.com>

	* configure.in: take out --enable-gpg argument, is run-time dep

2001-03-21  Bill Gribble  <grib@billgribble.com>

	* gnc-network.{c,h}: new files.  Functions for user registration
	and authentication. 

	* gnc-gpg.c: fix bugs.  make gpg operations optionally
	asynchronous via gdk_input_add().

	* gnc-html.c: fix URL base name handling.  Rework processing of
	http requests. 

	* gnc-http.c: memory management in gnome_http.  Still some 
	memory leaks in there, I think.

	* gnc-html-actions.{c,h}: remove files.  Content moved into
	gnc-network.

	* prefs.scm: Add hidden preference for GnuCash Network user ID.

2001-03-21  Dave Peticolas  <dave@krondo.com>

	* src/scm/report-utilities.scm
	(gnc:accounts-get-comm-total-income): new func
	(gnc:accounts-get-comm-total-expense): new func

	* src/scm/report/income-expense-graph.scm: allow user to display
	both income & expense side-by-side

	* src/scm/report/pnl.scm: use sprintf to make title

	* src/guile/guile-util.c (gnc_get_debit_string): use g_strdup
	(gnc_get_credit_string): use g_strdup

	* src/gnome/gnc-html.c: add guid type to register anchor

	* src/scm/report/register.scm: work on display

	* src/engine/Query.c (xaccQueryGetSplitsUniqueTrans): fix bug

	* src/gnome/window-register.c: add arguments to report window
	for title & debit/credit strings

2001-03-21  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Account.c (xaccAccountInsertSplit): add test to not
	remove if the account is the same.
	(xaccAccountInsertSplit): add check to see if the split already
	exists in the account.

	* src/test/test-xml2-is-file.c (main): use simple_success_test.

	* src/test/test-xml-transaction.c (test_add_transaction):
	cleanup. use simple_success_test.

	* src/test/test-xml-commodity.c (test_add_commodity): use
	simple_success_test.

	* src/test/test-xml-account.c (test_add_account): use
	simple_success_test.

	* src/test/test-string-converters.c (test_string_converters): use
	success_with_error_args. 

	* src/test/test-kvp-frames.c (test_kvp_copy_compare): use
	simple_success_test.

	* src/test/test-dom-converters1.c
	(test_dom_tree_to_commodity_ref): user simple_success_test

	* src/test/test-load-xml2.c (main): use success_test_with_error_args

	* src/test/test-stuff.c (get_random_string_in_array): new func to
	get a random string from a string array.
	(get_random_commodity): move func here from test-xml-commodity.c
	(success_test_with_error_args): new func.
	(vfailure_args): new func. make failure_args call this.
	(vsuccess_args): new func. make success_args call this.

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): zero
	out totals as well.

	* src/engine/gnc-book.c (gnc_book_push_error): add new parameter
	the message string.
	(gnc_book_push_error): Change everything to use it (adding NULL
	everywhere) 
	(get_default_error_message): new func to return a message based on
	type of error.
	(gnc_book_get_error_message): new func to return error message.
	(gnc_book_pop_error): change to use clear error so the freeing
	behavior of the error message doesn't have to be copied.
	(gnc_book_clear_error): free the error message.

	* src/engine/io-gncxml-v2.c (gnc_is_xml_data_file_v2): use new
	func from sixtp.h

	* src/engine/sixtp.c (gnc_is_our_xml_file): extract out v2 xml is
	ours test code and create new func.
	(search_for): move here from io-gncxml-v2.c
	(eat_whitespace): likewise.

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): set
	count totals to 0.

	* src/gnome/cursors.c (set_cursor_helper): add NULL test for
	window.  I think this is a timing thing found by not having the
	window come up quickly enough.

2001-03-20  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report/income-expense-graph.scm,
	income-or-expense-pie.scm: Fixed account choosing, fixed default
	report currency, added currency exchange calculation. 

2001-03-20  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-progress.c
	(gnc_progress_dialog_set_activity_mode): new func

	* src/guile/gnc.gwp: add new progress dialog api

	* src/engine/date.h: remove unneeded includes

	* src/scm/report/income-or-expense-pie.scm: make 'other' slice
	a link to a new pie report

	* src/scm/report.scm (gnc:make-report-options): new func

	* src/register/splitreg.c (configLayout): don't show balance
	column in stock registers

	* src/gnc-ui-util.c (xaccSPrintAmount): put currency symbol
	after quantity for shares values

	* src/guile/option-util.c (gnc_commit_option): update GUI value

	* src/gnome/gnc-html-guppi.c: new func for shutting down guppi

	* src/gnome/top-level.c (gnc_ui_shutdown): shutdown guppi

	* src/scm/report/income-or-expense-pie.scm: use shorter names
	for reports

	* src/scm/report/income-expense-graph.scm: work on display

	* src/scm/html-utilities.scm (gnc:account-anchor-text): new func

	* src/gnome/gnc-html.c: check for null args

	* src/scm/report/income-or-expense-pie.scm: work on display

	* src/scm/html-utilities.scm: add function for assigning colors

2001-03-20  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Group.c (xaccGroupRemoveAccount): rename function
	from xaccRemoveAccount and add Group parameter to make it fit with
	the rest better.
	(xaccAccountRemoveGroup): rename function from xaccRemoveGroup to
	better fit naming conventions and add Account parameter.  Actually
	make the parameter just an Account.

	* src/test/test-xml2-is-file.c (main): same as below.

	* src/test/test-xml-transaction.c (main): same as below.

	* src/test/test-split-vs-account.c (main): same as below.

	* src/test/test-string-converters.c (main): add print_test_stats
	call. 

	* src/test/Makefile.am (STUFF): remove test-dom-parser1 because
	it's not automated.

	* src/test/test-dom-converters1.c (main): same as below.

	* src/test/test-date-converting.c (main): add print_test_stats
	call.

	* src/test/test-stuff.c (print_stats): new func.
	(success_args): print success only if set.
	(success_args): increment successes.
	(failure_args): increment failures.

	* src/engine/gnc-transaction-xml-v2.c (split_to_dom_tree): don't
	add a memo field with an empty string as the value.

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_text): don't return
	NULL if no children.  This just means there is no text and we
	should return a strduped "".

	* src/engine/gnc-transaction-xml-v2.c (trn_dom_handlers): make
	slots not required transaction item.

	* src/engine/gnc-account-xml-v2.c: make code and description not
	necessary. 
	(account_parent_handler): Add tests for NULL data.

2001-03-19  Dave Peticolas  <dave@krondo.com>

	* src/gnome/gnc-html-guppi.c: fix callback pointer

	* src/engine/Transaction.c (xaccSplitGetCorrAccountName): i18n
	(xaccSplitGetCorrAccountCode): i18n

	* src/guile/gnucash.c.in (gnucash_lowlev_app_init): update
	last stable version

	* src/scm/report.scm: more work on display

	* src/scm/report/register.scm: add api for printing a
	register report. more work on display

	* src/gnome/window-report.c (gnc_print_report): add api
	for printing reports

	* src/gnome/gnc-html.c: check for no urltype callback

	* src/scm/report/stylesheet-plain.scm: add some more space
	between table cells

	* src/gnome/window-register.c: add support for printing reports

	* src/guile/gnc.gwp: add print report api

	* src/gnome/gnc-html.c: use PWARN, not printf

	* rpm/gnucash.spec.in: add finance-quote-helper as executable

2001-03-19  Derek Atkins  <warlord@MIT.EDU>

	* src/engine/rpc/*: Gnucash RPC Subsystem (Backend and Server).
	  Still considered experimental.  Note that the RPC protocol may
	  change over time causing client/server incompatibilities between
	  various versions of client and server.

	* configure.in: Add option to --enable-rpc.  Hook in RPC Subsystem
	
	* src/engine/Account.c: Fix for initial balance on
	  stock/etc. accounts.  In particular, don't set to zero if there
	  are no splits.

	* src/engine/Backend.h: New RPC errors
	
	* src/engine/Query.{c,h}: Add function to obtain the internal
	  Query Predicate functions (for use in rebuilding Queries from
	  the RPC subsystem)
	
	* src/engine/Transaction.c: Be sure to call the backend in
	  xaccTransRollbackEdit()

	* src/engine/gnc-book.{c,h}: Added gnc_run_rpc_server() function.
		Added hooks to call RPC Backend

	* src/guile/gnc.gwp: added gnc_rpc_server() and new RPC Backend errors

	* src/scm/command-line.scm: added --rpc-server optio

	* src/engine/Makefile.am: Added RPC subdir

2001-03-19  Dave Peticolas  <dave@krondo.com>

	* src/gnome/gnc-dir.h.in: move to src/gnome. fix for make dist
	tarballs

	* src/gnome/Makefile.am: add gnc-dir.h target

	* src/Makefile.am: remove gnc-dir.h target

	* src/quotes/Makefile.am: add gnc-prices to dist

	* src/scm/report/transaction-report.scm (record): use number-cell
	style

	* src/scm/report/register.scm: use number-cell style

	* src/engine/gnc-pricedb.c (gnc_price_unref): unref quote source

2001-03-18  Dave Peticolas  <dave@krondo.com>

	* src/engine/gnc-pricedb.c (compare_prices_by_date): sort
	in descending order so the most recent quote is first.

	* AUTHORS: update author info

	* doc/sgml/C/xacc-about.sgml: update author info

	* src/gnome/top-level.c: add VERSION arg to gnome_init

2001-03-16  Rob Browning  <rlb@cs.utexas.edu>

	* src/scm/utilities.scm
	(item-list->hash!): new - fancy (possibly over-customizable)
	list->hash converter function.
	(filteroutnulls): simplify via SRFI-1.
	(flatten): speedup - avoid intermediate appends.
	(striptrailingwhitespace): speedup - avoid intermediate substrings.
	(string-join): speedup - (maybe), trade string-appends for conses.

	* src/scm/process.scm
	(gnc:run-sub-process): renamed from run-sub-process.
	(gnc:cleanup-sub-process): new - take various steps to make sure
	we don't leave a zombie lying around.

	* src/scm/price-quotes.scm: substantial rework - now much smarter,
	though still a bit too obfuscated.

	* src/scm/engine-utilities.scm: various cleanups, speedups, and
	new functions.
	(gnc:filename->book): deleted.
	(gnc:call-with-account-data-from-file): deleted.
	(gnc:url->loaded-book): new function.

	* src/scm/command-line.scm (gnc:*arg-defs*): add
	--add-price-quotes option.

	* src/quotes/finance-quote-helper.in: new file - renamed from
	price-quote-helper.in.

	* src/quotes/README: various updates.

	* src/quotes/Quote_example.pl: document that we *don't* use the
	"fetch" method in gnucash.

	* src/quotes/gnc-prices: new file -- replaces gnc-prices.in and is
	now just a wrapper for "gnucash --add-price-quotes".

	* src/quotes/Makefile.am: accomodated renaming of
	price-quote-helper to finance-quote-helper.  Also moved
	finance-quote-helper to GNC_SHAREDIR from pkgdatadir.
	(gncsharedir): grab GNC_SHAREDIR.
	(gncshare_SCRIPTS): put finance-quote-helper in GNC_SHAREDIR.

	* src/guile/gnc.gwp: wraped new quote timezone API.  Added new
	gnc-book wrappers and new pricedb wrappers -- still not finished.

	* src/gnome/gnc-dialogs.glade: add quote timezone menu.

	* src/gnome/dialog-utils.h: added prototypes for timezone menu
	funcs.

	* src/gnome/dialog-utils.c: 
	(known_timezones): new - list of quote timezones we support.
	(gnc_find_timezone_menu_position): new.
	(gnc_timezone_menu_position_to_string): new.
	(gnc_ui_quote_tz_menu_create): new.

	* src/gnome/dialog-account.c
	(struct _AccountWindow): add quote_tz_menu.
	(gnc_account_to_ui): support quote_tz_menu.
	(gnc_ui_to_account): support quote_tz_menu.
	(gnc_account_window_create): create quote_tz_menu.

	* src/gnc-ui-util.h: warn to update price-quotes.scm when
	PriceSourceCode changes.

	* src/engine/io-gncbin-r.c
	(cvt_potential_prices_to_pricedb_and_cleanup): Timespec* ->
	Timespec for price time function(s).

	* src/engine/gnc-pricedb.h: Timespec* -> Timespec for time
	functions.

	* src/engine/gnc-pricedb.c
	(gnc_price_clone): re-enable, and Timespec* -> Timespec
	(gnc_price_set_time): Timespec* -> Timespec
	(gnc_price_get_time): Timespec* -> Timespec
	(compare_prices_by_date): Timespec* -> Timespec
	(gnc_pricedb_lookup_at_time): Timespec* -> Timespec
	(gnc_price_print): minor fixes (still lame).
	(gnc_price_print_stdout): new (for lame guile side debugging).

	* src/engine/gnc-pricedb-xml-v1.c: change price time args/results
	from Timespec* to Timespec (to be more guile friendly).

	* src/engine/gnc-book.c (gnc_book_init): be more thorough.

	* src/engine/Backend.h: warn to update gnc.gwp on some mods.

	* src/engine/Account.h: support new funcs and update docs.

	* src/engine/Account.c
	(xaccAccountSetQuoteTZ): new.
	(xaccAccountGetQuoteTZ): new.

2001-03-16  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/transaction-report.scm: add line before
	grand total

	* src/scm/report/register.scm: more work

	* src/gnome/window-register.c: display shares & current value
	in stock registers.

	* src/engine/gnc-pricedb.h: fix spelling error

	* src/gnc-exp-parser.c (gnc_exp_parser_parse): check for
	bad numeric value

	* src/calculation/finvar.h: add new parser error type

	* src/gnome/dialog-transfer.c (gnc_xfer_dialog_create): don't
	set editable_enters for amount field

	* src/engine/gnc-numeric.c: check for invalid arg

2001-03-15  Dave Peticolas  <dave@krondo.com>

	* src/engine/sixtp-to-dom-parser.c (dom_chars_handler): use
	xmlNodeAddContentLen

	* src/gnome/gnc-dialogs.glade: tweak stylesheet dialog

	* src/gnome/dialog-style-sheet.c: tweak looks

	* src/scm/report/register.scm: new report

	* src/guile/gnc.gwp: g-wrap new query api

	* src/gnome/window-register.c: add report menu and toolbar items

	* src/engine/Query.c: handle NULL pointers, add api to get list
	of splits with unique transactions

2001-03-15  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-book.c (gnc_book_load_from_file): add xml v2
	loading.  Make use new funcs (below)
	(happy_or_push_error): new func.
	(gnc_book_determine_file_type): new func.
	
2001-03-14  Dave Peticolas  <dave@krondo.com>

	* rpm/gnucash.spec.in: simplify

	* configure.in: add 'da' to language list

	* src/gnome/dialog-totd.c (totd_close_cb): increment tip on
	close so we open with the next one

	* src/scm/tip-of-the-day.scm: make current tip number a preference
	so it is saved and restored

	* src/gnome/druid-commodity.c: same as below

	* src/gnome/druid-qif-import.c: same as below

	* src/gnome/dialog-commodity.c: prevent user from creating
	a new iso commodity

	* src/gnome/gnc-html.c: set busy cursor on html widget
	while request is being processed

	* src/gnome/window-main.c: hierarchy not heirarchy

	* src/gnome/window-help.c: specify the help window as the
	request dialog parent

	* doc/sgml/C/xacc-dochack.sgml: remove and fix broken links

2001-03-14  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/io-gncxml-v2.c (gnc_book_load_from_xml_file_v2): Add
	counter callback.
	(add_account_local): add call to countCallback
	(add_commodity_local): same
	(add_transaction_local): same.

2001-03-13  Dave Peticolas  <dave@krondo.com>

	* src/engine/io-gncxml-r.c (gnc_is_xml_data_file): don't print
	a warning just because we couldn't open the file

	* src/FileDialog.c (gncPostFileOpen): clear the non-iso
	commodities before loading the new file

	* src/SplitLedger.c (xaccSRGetEntryHandler): convert imbalance
	to transaction currency fraction

	* src/FileDialog.c (gncFileNew): clear the non-iso commodities

	* src/engine/gnc-commodity.c (gnc_commodity_table_remove_non_iso):
	new func

	* src/test/test-xml-commodity.c: remove duplicate string_to_integer

	* src/gnome/dialog-userpass.c: add missing #include

	* src/register/gnome/Makefile.am: add gnome & glib flags

	* src/engine/Makefile.am: add glib libs

	* src/engine/sql/Makefile.am: add glib flags

	* configure.in: fix includes used to check for sizes

	* acinclude.m4: fix guppi macro

	* macros/: update m4 files

2001-03-13  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-stuff.c (get_random_string): sometimes generate
	empty strings and NULL (10% each).
	(get_random_string): and 10% of the time generate a larger string.
	(get_random_character): Generate better characters.

	* src/engine/io-gncxml-v2.c (gnc_counter_end_handler): complete
	func. 
	(print_counter_data): new func.
	(gnc_book_load_from_xml_file_v2): call above func at end of
	parse. 

	* src/engine/sixtp-dom-parsers.c (string_to_integer): move here
	from gnc-commodity-xml-v2.c

	* src/engine/io-gncxml-v2.c (gnc_book_write_to_xml_file_v2): add
	transaction number output.

	* src/engine/Group.c (xaccGroupForEachTransaction): actually make
	this work.
	(xaccGroupVisitUnvisitedTransactions): actually make this work.
	Don't get accounts from group.  We already are looking at all of
	them by xaccGroupGetSubAccounts.
	(xaccGroupVisitUnvisitedTransactions_thunk): new func for
	xaccAccountForEachTransaction call.

	* src/test/test-string-converters.c (test_string_converters): add
	func to test some more difficult strings (including xml special
	characters)

	* src/engine/gnc-account-xml-v2.c (gnc_account_dom_tree_create):
	convert to use text_to_dom_tree.

	* src/engine/gnc-commodity-xml-v2.c
	(gnc_commodity_dom_tree_create): convert to use text_to_dom_tree.

	* src/engine/gnc-book.c (gnc_book_count_transactions): new func.

	* src/engine/io-gncxml-v2.c: (write_account_group)new func.
	extract out stuff from write_accounts.  Forgot to traverse down
	accounts so a bunch of the accounts weren't being written.
	(write_accounts): now just call the write_account_group func.
	(gnc_book_write_to_xml_file_v2): use xaccGroupNumSubAccounts to
	get the number of accounts.

2001-03-13  Dave Peticolas  <dave@krondo.com>

	* src/engine/sixtp-utils.c (gnc_timegm): new func. define as
	timegm if present, otherwise implement using mktime.
	(string_to_timespec_secs): use gnc_timegm for UTC parsing

	* src/engine/io-gncxml-r.c (gnc_book_load_from_xml_file): remove
	TZ save & restore.

	* src/test/test-date-converting.c: remove putenv

	* src/test/test-dom-converters1.c: remove putenv

	* src/test/test-xml-transaction.c: remove putenv

	* src/gnome/gnc-http.c: same as below

	* src/engine/NetIO.c (setup_request): use config.h instead
	of hard-coding package and version

	* configure.in: check for timegm function

	* src/scm/report/taxtxf.scm: more porting work

	* src/scm/html-text.scm (gnc:html-markup-em): new func

	* src/scm/report/stylesheet-plain.scm: add some default styles

	* src/scm/html-style-sheet.scm: remove non-type styles

	* src/scm/html-document.scm (gnc:html-document-markup-start):
	check for non-string attributes

2001-03-12  Dave Peticolas  <dave@krondo.com>

	* src/scm/html-style-info.scm: cleanup

2001-03-12  James LewisMoss  <jimdres@mindspring.com>

	* src/gnome/window-main.c (gnc_ui_xml_v2_cb): new func.
	(gnc_ui_account_heirarchy_cb): new empty func.
	(gnc_main_create_menus): add devel menu.

	* src/engine/io-gncxml-v2.h (struct _load_counter_struct): add
	counters stuff.

	* src/engine/io-gncxml-v2.c: mostly complete everything.  Writing
	only partially tested.  Reading not tested at all.

	* src/engine/gnc-xml.h: add pricedb declarations.

	* src/engine/gnc-transaction-xml-v2.c (split_to_dom_tree): check
	for NULL return from kvp_frame_to_dom_tree and don't add if we get
	it.
	(gnc_transaction_dom_tree_create): same.

	* src/engine/gnc-commodity.c (gnc_commodity_table_get_size): add func.

	* src/engine/gnc-account-xml-v2.c (gnc_account_dom_tree_create):
	check for NULL return from kvp_frame_to_dom_tree and don't do
	anything if we get it.

	* src/gnome/gnc-http.c (gnc_http_start_post): cast data to char*
	(it's const char*) (compile warning)

	* src/gnome/gnc-html.c: put const on char *ptr (compile warning)

	* src/doc/xml/io-gncxml-version2.dtd: reorder commodity and
	prices.  Add count data defs.

	* src/engine/sixtp-dom-generators.c (timespec_to_dom_tree): Only
	write nanoseconds if > 0.
	(kvp_frame_to_dom_tree): don't return an xmlNodePtr if the frame
	is null or contains no data.

	* src/engine/gnc-commodity-xml-v2.c
	(gnc_commodity_dom_tree_create): check to see if xcode is > 0

	* src/engine/gnc-account-xml-v2.c (gnc_account_dom_tree_create):
	check for description and code strlen > 0

	* src/engine/gnc-pricedb-xml-v1.c (pricedb_v2_end_handler): make
	this func work in the v2 manner with a callback in the global
	data.
	(gnc_pricedb_sixtp_parser_create): change to work in the v2 manner
	with an end handler that does the final link of the data into the
	book. 
	(pricedb_after_child_handler): add upping the counter for prices
	loaded. 

2001-03-12  Dave Peticolas  <dave@krondo.com>

	* src/engine/io-gncxml-r.c (gnc_book_load_from_xml_file): use
	TZ=UTC while parsing xml.

	* src/engine/sixtp-utils.c: adjust for timezone offset manually

	* src/scm/html-table.scm ((gnc:make-html-table-header-cell/markup
	markup . objects)): new func

	* src/scm/report/taxtxf.scm: more work on porting

	* src/scm/html-style-sheet.scm: add "<number-cell>" and
	"<number-header>" styles.

	* src/scm/report/account-summary.scm: use "Total" not "Net
	Assets". This is a general report, not just limited to asset
	accounts.

2001-03-10  Dave Peticolas  <dave@krondo.com>

	* src/engine/Ledger-xml-parser-v1.c
	(ledger_data_after_child_handler): mark pricedb as clean after
	loading

2001-03-09  Bill Gribble  <grib@billgribble.com>

	* add configure/acconfig option for GPG

	* src/gnome/gng-gpg.c: add handlers for creation of keypair
	(with passphrase) and for exporting public key block to GnuCash
	Network server.  Fix bugs in old keypair creator.  Add passphrase
	handling to data encrypt/decrypt.

	* src/gnome/gnc-html-actions.c: rewrite privacy notice to use
	GnuCash Network terminology.  The longer you guys wait to bitch
	about the name the more stuck it is.  Rewrite gnc-info/form handler
	to submit GnuCash version and feature information.

	* src/gnome/gnc-html.c: respect global preferences for HTTP, SSL,
	and GnuCash Network transactions.  Change submit handler calls to
	unpack encoded form data into a hash table and possibly re-encode
	and re-pack if necessary.  Fix bugs in submit handler lookups.
	Add RFC-1738 decoder to go with the encoder. 

	* src/gnome/window-help.c: fix bugs in Open dialog.

	* src/scm/html-table.scm: Add new table-cell/markup and
	append-row/markup functions to make it easier to set semantic data
	styles in style sheets.  Remove dead code. 

	* src/sc/prefs.scm: New preferences section, "Network", with
	options to globally disable HTTP, SSL, and GnuCash Network, and to
	assign the GnuCash Network server name.

	* src/scm/report/table-test.scm: new test report to demonstrate 
	row and cell semantic style
	
2001-03-09  James LewisMoss  <jimdres@mindspring.com>

	* src/doc/xml/prices-v1.dtd: Add rest of def.

	* src/engine/gnc-pricedb-xml-v1.c (add_child_or_kill_parent):
	remove unneeded check since NULL has already been checked.
	(xml_add_gnc_pricedb): extract out pricedb xmlNodePtr creation to
	func not requiring parent then add that to parent passed into this
	func.
	(gnc_pricedb_to_dom_tree): new func.
	(gnc_pricedb_sixtp_parser_create): new func to call other so names
	are standard in v2 parser setup.

	* src/engine/Account.c (xaccAccountInsertSplit): Remove unused
	var oldacc (assigned to once) and the block that went with it.

	* src/gnc-ui-util.c (gnc_account_print_info_helper): New helper
	func.
	(gnc_account_quantity_print_info): Use new helper func.
	(gnc_account_value_print_info): same.
	(gnc_default_print_info_helper): new helper func.
	(gnc_default_share_print_info): use new helper func.
	(gnc_default_price_print_info): same.
	(gnc_split_quantity_print_info): add test for NULL split and
	return a default.
	(gnc_split_value_print_info): same.

2001-03-08  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-stuff.c (failure): don't print num if == -1.
	(success): same.
	(get_random_account): move here from test-xml-account.c
	(get_random_split): move here from test-xml-transaction.c
	(get_random_transaction): same.
	(success_args): New func.
	(success): Simplified version
	(failure_args): new func.
	(failure): Simplified version.

	* src/engine/io-gncbin-r.c: same as below.

	* src/engine/TransLog.c (xaccTransWriteLog): same as below.

	* src/engine/Group.c (xaccGroupMergeAccounts): same as below.

	* src/engine/Backend.c (xaccTransactionGetBackend): Convert to not
	use the split's acc part directly, but only to access through
	funcs 

	* src/engine/sixtp-dom-parsers.c (dom_tree_generic_parse): Add
	generic parser.

	* src/engine/gnc-account-xml-v2.c (gnc_account_end_handler): use
	generic parser extracted from here and used here and
	gnc-transaction-iml-v2.c 

	* src/engine/Transaction.c (xaccInitSplit): Add a split->acc_guid
	field that is set to the account's guid.  This way an Account is
	not required to exist yet when loading the split.  Later when
	xaccSplitGetAccount is called the account is looked up, cached and
	returned.  Make sure everything accesses ->acc through the helper
	function.

	* src/engine/AccountP.h: same as below.

	* src/engine/Account.c (xaccAccountSetGUID): mark guid argument
	const since it doesn't keep a pointer to it.

	* src/doc/xml/transactions-v2.dtd: change guid -> id.

2001-03-08  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/report-list.scm: load tax report if possibly in
	US locale.

	* src/scm/report/taxtxf.scm: work on tax report (unfinished)

2001-03-07  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Transaction.c (get_denom_internal): New helper func.
	(get_currency_denom): use func.
	(get_security_denom): use func.

	* src/engine/sixtp.c: (sixtp_sax_end_handler,
	sixtp_sax_characters_handler, sixtp_sax_start_handler): don't use
	g_return_if_fail to test pdata->parsing_ok so we don't see the
	million CRITICAL warnings.  We'll print an error at the end
	anyway.

2001-03-07  Dave Peticolas  <dave@krondo.com>

	* src/scm/report/hello-world.scm: use new html format functions.
	Add scheme reference.

	* src/gnome/dialog-fincalc.c (gnc_ui_fincalc_dialog_create): hide
	schedule button. Use 'lookup_widget'.

	* src/gnome/gnc-html.c (gnc_html_export): handle cancelling

	* src/scm/html-style-info.scm: remove cruft

2001-03-08  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm: More colourization.
	
2001-03-07  Bill Gribble  <grib@billgribble.com>

	* summary: separate the HTML and HTTP processing functions into
	different files to facilitate reuse.  Modularize much of the
	gnucash-specific behavior of the HTML code (<object> and form
	submission) to use run-time-expandable bahavior tables.  Add the
	gnc-action: mechanism for installing form submission handlers.

	* src/gnome/gng-gpg.c: initialize gnc-html handler for crypted
	HTML objects.  Remove all mention of GPG from gnc-html.c

	* src/gnome/gnc-html-actions.c: new file.  Add a simple form
	submission action (action=gnc-action:gnc-info/form?CGI_URL) to
	test submit and action processing.  This is useless ATM.  Some of
	the stuff in the privacy comments is unimplemented yet.

	* src/gnome/gnc-html-guppi.c: move all Guppi references from
	gnc-html.c into a separate file, with an initializer for 
	the Guppi <object> tags. 

	* src/gnome/gnc-html.c: get rid of SSL references; all that stuff
	is now in gnc-http.c.  Restructure to use gnc-http instead of
	ghttp directly.  Finish GET and POST default handlers, and add
	handler lookup/install mechanism for gnc-action: actions.  crib
	urlencoding function from gtkhtml guts.

	* src/gnome/gnc-http.c: new file.  Move HTTP stuff here. Finish
	POST handling.

	* src/gnome/top-level.c: add calls to Guppi, GPG, and gnc-html
	init functions.  These calls will eventually go into loadable
	module startup functions, when we get loadable modules.

	* src/scm/html-text.scm: Add html-markup/format.
	(html-markup/format "%a %a %a %a" 1 2 3 4) does what you'd expect,
	even if the non-format args are html-markup objects.
	
2001-03-07  Dave Peticolas  <dave@krondo.com>

	* src/gnome/top-level.c (gnc_ui_check_events): add timeout
	handler for checking backend events.

	* src/engine/gnc-book.{ch}: add api calls to use backend
	event hooks.

	* src/engine/BackendP.h (struct _backend ): add events_pending
	and process_events callbacks.

	* src/scm/command-line.scm: extend usage command with argument
	list

	* src/pixmaps/Makefile.am: switch splash graphics

	* src/gnome/gnc-splash.c (gnc_show_splash_screen): add a border.
	use new graphic.

	* src/gnome/window-main.c: store namespace & mnemonic instead
	of commodity pointers in the asset/profit widget.

2001-03-07  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm: Added row colors to make
	things look pretty.  Comments on effectiveness appreciated.

	* src/scm/html-table.scm: keep track of how many rows are in the
	table.

2001-03-06  Dave Peticolas  <dave@krondo.com>

	* src/scm/iso-4217-currencies.scm: remove duplicate currency
	fix colonial franc names

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_commodity_ref): use
	gnc_commodity_destroy, not g_free.

	* src/guile/gnc.gwp: fix for new commodity insert

	* src/gnome/druid-qif-import.c: fix for new commodity insert

	* src/gnome/dialog-commodity.c: check for existing commodity.
	fix for new commodity insert.

	* src/engine/io-gncbin-r.c: fix for new commodity insert

	* src/gnome/druid-commodity.c: fix for new commodity insert

	* src/engine/gnc-commodity.c: change commodity insert semantics to
	use an existing commodity if present. Remove
	gnc_commodity_table_remove(). It wasn't used and was a mem leak.

	* src/engine/Commodity-xml-parser-v1.c
	(commodity_restore_end_handler): use gnc_commodity_destroy,
	not just g_free.

2001-03-05  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-item-edit.{ch}: improve horizontal
	scrolling behavior.

2001-03-05  Christian Stimming  <stimming@tuhh.de>

	* src/scm/html-utilities.scm: reorganizing of the hierarchical
	reports: subtotals are now printed *below* the subaccounts instead
	of above.

2001-03-05  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Transaction.c (xaccSplitSetAccount): new func.

	* src/doc/xml/transactions-v2.dtd: move splits to an array type
	structure. 

2001-03-04  Dave Peticolas  <dave@krondo.com>

	* configure.in: define a new substitution GNC_PIXMAP_DIR for
	a pixmap directory. check for gal.

	* src/pixmaps/Makefile.am (gncpixmapdir): install in configured
	pixmap directory

	* src/gnc-dir.h.in (GNC_PIXMAP_DIR): define pixmap directory

	* src/Makefile.am (gnc-dir.h): configure pixmap directory
	for gnc-dir.h.in

	* src/gnome/dialog-utils.c (gnc_get_pixmap): use configured
	pixmap directory

	* src/engine/gnc-associate-account.c: fix some uses of glib
	list routines (they always return the new head of the list).

	* src/pixmaps: add gnucash_long.png graphic

	* src/gnome/top-level.c (gnucash_ui_init): show splash screen

	* src/gnome/gnc-splash.{ch}: splash screen functionality

	* src/gnome/dialog-utils.{ch} (gnc_get_pixmap): new function

	* src/gnc-dir.h.in: add header file with directory info

	* src/guile/Makefile.am: use BUILT_SOURCES for *.in sources

2001-03-04  Christian Stimming  <stimming@tuhh.de>

	* src/scm/html-utilities.scm: Added different printing of stock
	accounts. Started a new layout/ordering for sub-totals.

	* src/scm/commodity-utilities.scm (gnc:sum-collector-stocks):
	added such that stock prices are no longer shown but foreign
	currencies are. Rounding precision increased. Added sanity checks
	for arguments of various funtions.

	* src/scm/report-utilities.scm (gnc:account-is-stock?): added
	function

2001-03-04  Dave Peticolas  <dave@krondo.com>

	* src/gnome/window-help.c: save & restore window size

	* src/gnome/window-report.c: save & restore window size

	* src/scm/prefs.scm: add vars for report & help win sizes

2001-03-03  Dave Peticolas  <dave@krondo.com>

	* src/engine/sql/README: add info about running without root
	privileges

	* src/engine/sql/design.txt: update design docs

	* src/engine/sql/PostgresBackend.c (pgend_session_begin): connect
	to template1 database instead of 'gnucash'

2001-03-02  Dave Peticolas  <dave@krondo.com>

	* src/gnome/new-user.glade: tweak layout, strings

	* src/gnome/new-user-funs.h: add gpl header

	* src/gnome/new-user-funs.{ch}: add gpl header

	* src/gnome/new-user-callbacks.c: tweak layout, add gpl header

	* src/gnome/gnc-dialogs.glade: add title to transfer dialog

	* src/engine/gnc-pricedb.c (gnc_pricedb_destroy): fix mem leak

	* src/gnome/dialog-options.c: cleanup destruction semantics.
	destroy tooltips

	* src/engine/io-gncxml-r.c (gnc_book_load_from_xml_file): fix mem
	leak

	* src/gnome/dialog-utils.c (gnc_build_option_menu): destroy
	tooltips when menu is destroyed

2001-03-02  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-transaction.c (test_generation): add success
	call for creation accuracy.

	* src/test/test-xml-commodity.c (test_generation): Add success
	call for creation accuracy.

	* src/test/test-xml-account.c (test_generation): Add call to
	xaccGUIDinit.  Don't know how this was working before without this
	call.  Maybe hit good memory spots before.
	(test_generation): add success call for creation accuracy.

	* src/engine/Transaction.c (xaccSplitSetSlots_nc): New func.
	(xaccTransSetSlots_nc): new func.

2001-03-01  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-account-xml-v2.c (account_id_handler): fix mem
	leak because xaccAccountSetGUID doesn't keep pointer to guid
	passed in.

2001-03-01  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-transfer.c: destroy tooltips object

	* src/gnome/window-main.c (gnc_ui_destroy_all_subwindows): now all
	windows use component manager

	* src/gnome/window-report.c: add report to component manager.
	cleaner destruction behavior

	* src/gnome/window-help.c: cleaner destruction behavior

	* src/gnome/gnc-html.c: fix to avoid having the ref the container
	from outside for destruction

	* src/FileDialog.c (gncAddHistory): fix mem leak

	* src/gnome/dialog-options.c (gnc_option_create_date_widget): fix
	bug & mem leak.

2001-03-01  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-account-xml-v2.c (account_id_handler): fix mem
	leak because xaccAccountSetGUID doesn't keep pointer to guid
	passed in.

2001-03-01  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-sheet.c: if input is cancelled by
	user during delete, ignore the insert callback.

	* src/MultiLedger.c: update for new view api

	* src/register/recncell.{ch}: allow setting a parent to be used
	for the dialog.

	* src/gnome/query-user.c (gnc_verify_dialog_parented): handle null
	parent by using gnc_get_ui_data.

	* src/gnome/window-register.c: eliminate calls to
	xaccSRCheckReconciled. confirmation is done in SplitLedger.c now.

	* src/SplitLedger.c: use new data entry confirmation callback
	to confirm changes to a reconciled split.

	* src/register/splitreg.{ch}: mod for table-allgui changes

	* src/register/table-allgui.{ch}: encapsulate 'view' callbacks
	into a struct. add a callback for confiming data entry.

2001-03-01  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm (add-split-row): Now 
	uses date-posted rather than date-entered.
	(used-<foo>, build-column-used): use a vector rather than a 
	record.  *Big* speedup :)

	* src/scm/html-document.scm (gnc:document-fetch-markup-style): use
	a let rather than repeated variable lookups.
	(gnc:document-fetch-data-style): ditto.
	(gnc:html-document-markup-end): use new closing-font-tag? variable
	for more speedup.

	* src/scm/html-document.scm (<html-markup-style-info>): add new
	closing-font-tag? variable to speedup closing tags.  Also modify
	setter functions to set closing-font-tag to appropriate values,
	and add a setter and getter for it.
	(gnc:html-style-info-markup-set): modify to set closing-font-tag
	to appropriate state.
	(gnc:html-style-info-markup-merge): modify to set closing-font-tag
	to appropriate state

	* src/scm/html-table.scm: replace for-each-in-order with for-each,
	which has exactly the same semantics according to R5RS (which
	guile is a superset of).  Was done in hope of speedup, but none
	forthcoming.  Didn't change back because for-each is R5RS, but
	for-each-in-order isn't.  Probably should make the substitution
	globally.

2001-02-28  Dave Peticolas  <dave@krondo.com>

	* src/engine/Transaction.c (xaccSplitsComputeValue): fix a bug

	* src/engine/gnc-book.c (gnc_book_load): fix spelling

	* src/engine/Scrub.c (xaccTransScrubImbalance): don't use sub_fixed
	since the value may not have the right denominator
	(xaccSplitScrub): handle splits without accounts

	* src/gnome/query-user.c
	(gnc_choose_radio_option_dialog_parented): actually set the parent

	* src/SplitLedger.c (xaccSRCheckReconciled): check current
	transaction, not current split.

	* src/engine/GNCId.c: use GUID allocator for hash keys.

2001-02-28  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/gnc-commodity-xml-v2.c (gnc_commodity_end_handler):
	mem leak.  free the node in the end handler.

	* src/engine/gnc-commodity.c (reset_unique_name): new func.
	(reset_printname): new func.
	(gnc_commodity_new): use new funcs
	(gnc_commodity_set_mnemonic): use new funcs.
	(gnc_commodity_set_namespace): use new funcs.
	(gnc_commodity_set_fullname): use new funcs.

	* src/engine/gnc-commodity-xml-v2.c (gnc_commodity_end_handler):
	Don't free commodity.  That's the globaldata funcs job if it wants
	to.
	(set_commodity_value): Must remember compare equals == 0.  Duh.

	* src/engine/sixtp.c (sixtp_parse_file): Only run end handler if
	parsing is already ok.

	* src/test/test-xml-account.c (test_generation): oops should have
	continued here.

	* src/engine/gnc-commodity-xml-v2.c (valid_commodity): Complete func.

	* configure.in (LIBS): disable libxml/xmlversion.h checks so we can't
	compile for libxml2 for now.

	* src/test/test-xml-account.c (node_and_account_equal): fix mem
	leak. 
	(test_add_account): new func.
	(test_generation): Actually test the node created and the
	parser. Everything looks good other than some sixtp oddness I
	don't understand yet.

	* src/engine/gnc-transaction-xml-v2.c
	(gnc_transaction_end_handler): same as below.

	* src/engine/gnc-commodity-xml-v2.c (gnc_commodity_end_handler):
	Use data struct from io-gncxml-v2.h

	* src/engine/gnc-account-xml-v2.c (account_currency_handler): Make
	not use engine commodity funcs to make this testable.  Will have
	to have something to clean this up in production code.
	(account_security_handler): Same.
	(gnc_xml_set_account_data): Oops.  Actually set that we have
	gotten this so the got all test succeeds.
	(gnc_account_end_handler): Start the main parsing setup by relying
	on data struct from io-gncxml-v2.h
	(gnc_account_end_handler): fix free to free the correct thing.
	Add some g_warning calls to make errors more apparent.

2001-02-28  Dave Peticolas  <dave@krondo.com>

	* src/FileDialog.c: store the original (not comma-fied) version
	of the url in the file history.

2001-02-28  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-account.c (delete_random_account): new func to
	cleanup commodities not generally freed at xaccAccountDestroy.
	(node_and_account_equal): complete func to compare account and the
	dom tree created.  Looks good except for some warnings from
	dom_tree_to_text.

	* src/test/test-stuff.c (equals_node_val_vs_commodity): new func.
	(equals_node_val_vs_guid): New func.
	(equals_node_val_vs_string): new func.

	* src/engine/gnc-account-xml-v2.c (account_code_handler): Add func.
	(account_description_handler): Add func.  Oops forgot a couple.
	(gnc_account_dom_tree_create): Move all string tags in file to
	const gchar*s.
	(account_slots_handler): Complete func.

	* make-gnucash-patch.in: Test to see if makepatch exists.

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_text): same as
	below.  Add NULL tests for arguments.  Affected many functions in
	this file.

	* src/engine/gnc-pricedb-xml-v1.c (price_parse_xml_sub_node): Same
	as below.

	* src/engine/gnc-commodity-xml-v2.c (set_commodity_value): Convert
	dom_tree_to_text to act as rest looking at children on it's own.

2001-02-27  Dave Peticolas  <dave@krondo.com>

	* src/register/gnome/gnucash-scrolled-window.c: subclass of
	gtk_scrolled_window for use in register.

	* src/register/gnome/gnucash-item-list.c: use scrolled window
	for really long account names.

	* doc/sgml/es/Makefile.am (GNUCASH_SGML_FILES): fix list of sgml
	files

	* src/gnc-ui.h: use gncUIWidget not GtkWidget* in non-gnome
	directories.

	* src/engine/sql/PostgresBackend.c (pgendSyncTransaction): add
	missing call to gnc_engine_resume_events ().

2001-02-28  Robert Graham Merkel  <rgmerk@mira.net>

	* src/scm/report/transaction-report.scm: Formatting cleanups.
	Gotta keep Dave P happy . . .

	* src/scm/html-table.scm: html table data field list now stored in
	*reverse* order, to make appending rows fast (prepending is now
	O(n^2) however.  If we want linear-time appends and prepends,
	we'll need a Glist wrapper :) )

	* src/scm/report/folio.scm: use renamed collector functions (dunno
	why, code is dead . . .)

	* src/scm/report/taxtxf.scm: use renamed collector functions (see
	above)

	* src/scm/report/average-balance.scm: changed to use renamed
	collector functions.

	* src/scm/commodity-utilities.scm: changed to used renamed
	make-<foo>-collector functions.

	* src/scm/report-utilities.scm (gnc:make-<foo>-collector): renamed
	to prevent namespace pollution.

2001-02-27  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-xml-account.c (node_and_account_equal): Start
	proper comparison between node and Account.

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_guid): Merge in Hans
	de Graaff's xml patch.  Use safe_strcmp.

	* src/engine/gnc-xml-helper.h: cleanup.  Merge in Hans de Graaff's
	xml patch.

	* src/engine/gnc-account-xml-v2.c: Merge in Hans de Graaff's xml
	patch.

	* src/test/test-stuff.c (check_dom_tree_version): Add func.

	* src/test/Makefile.am (LDADD): Add EFENCE_LIBS to LDADD  list.

	* src/Makefile.am: Add EFENCE_LIBS to LDADD list.

	* acconfig.h: Add required USE_EFENCE def.

	* configure.in: Add --enable-profiling argument.
	(GHTTP_CFLAGS): Add --enable-efence argument.

2001-02-27  Dave Peticolas  <dave@krondo.com>

	* src/gnome/dialog-userpass.c: add a dialog for username/password
	entry

2001-02-26  Dave Peticolas  <dave@krondo.com>

	* src/engine/gnc-engine-util.h: don't evaluate debug macro
	arguments unless it's going to be printed.

2001-02-25  Robert Graham Merkel  <rgmerk@mira.net>

	* src/engine/Query.[ch]: added support for sorting by account
	names and codes, as well as names and codes for the "other" split
	in the transaction.  also, modified (xaccQuerySetSortIncreasing)
	so you can sort in different orders for the three criteria
	specified.

	* src/engine/Transaction.[ch]: Added new functions for comparing
	splits on account names and codes.

	* src/engine/reconcile-list.c (gnc_reconcile_list_set_sort_order):
	modified to use new query sorting interface.
	
	* src/scm/report/transaction-report-2.scm: New file.  Transaction
	report rewritten for our new improved HTML generator.  Most 
	functionality is now present, but the layout is "homely".  Will 
	fix later.

	* src/scm/report/transaction-report.scm: Old transaction report,
	removed.

	* src/scm/report/report-list.scm: added new transaction report.

	* src/scm/report-utilities.scm: modified for new query sorting
	interface.

	* src/doc/design/multicurrency.discussion.txt: The log of an IRC
	discussion between cstim and myself about his currency-collector
	code.  Included because it's the only documentation we have on
	this material.

	* src/doc/design/.cvsignore: ignore additional generated files.

2001-02-24  Rob Browning  <rlb@cs.utexas.edu>

	* configure.in (AC_ARG_ENABLE): add --enable-error-on-warning.
	Enables -Werror and whatever else is needed for super-strict
	checks.  I'm compiling with this now, and I urge everyone else to
	as well.  We do have a few aggravating things we still ignore,
	like unused variables, but as of today, the whole codebase
	compiles successfully with this turned on.
	(AC_CHECK_PROG): Add a check for etags.
	(AC_ARG_WITH): --with-perl-includes - don't die if CORE not found.
	I install modules in a local directory and use --perl-includes to
	enable gnucash to find Finance::Quote at runtime, but there won't
	be a CORE file.
	(AC_CHECK_LIB): popt - note required Debian -dev package. 

	* macros/autogen.sh (conf_flags): omit --enable-compile-warnings.
	This was adding flags that overrode our configure.in settings;
	specifically, this kept --enable-error-on-warning from working.

	* Makefile.am (noinst_DATA): add optional TAGS target.
	(DISTCLEANFILES): add tags cleanup bits.
	(TAGS): Add fancy TAGS handling.  TAGS file is only built if you
	have etags available, and now it takes into account
	additions/deletions of files in addition to modifications.

	* src/engine/gnc-engine-util.c
	(g_hash_table_key_value_pairs): new - returns a GSList of all the
	key value pairs in a given hash table so you can manipulate them.
	(g_hash_table_kv_pair_free_gfunc): new - g_slist_foreach helper
	for deleting key value hash pairs when you're finished with the
	results from g_hash_table_key_value_pairs.  You'll still need to
	call g_slist_free as well to delete the spine of the list.

	* src/engine/NetIO.c: comment out various bits of the code that's
	incompatible with the recent gnc-book changes.  Linas said he'd
	fix it later.

	* src/scm/price-quotes.scm: new file - not used yet.

	* src/scm/price-quotes.scm: new file - launch a sub-process you
	can talk to bidirectionally from scheme read/write.

	* src/scm/command-line.scm: (disabled) support for getting prices.

	* src/scm/command-line.scm
	(gnc:group-map-accounts): implementation simplified dramatically,
	probably should be dropped entirely, in favor of just calling (map
	thunk (gnc:group-get-subaccounts group)) -- which is what's in the
	replacement code.

	* src/quotes/price-quote-helper.in: new file.

	* src/Backend.h: Delete ERR_FILEIO_MISC (use ERR_BACKEND_MISC).
	Replace ERR_FILEIO_ALLOC with ERR_BACKEND_ALLOC.

	* src/engine/gnc-book.c: add support for GNCPriceDB element.  Move
	still relevant FileIO bits here.  Add support for gnc-book
	clean/dirty checking instead of just Group checking.

	* src/engine/gnc-book.h: fixes for gnc-book marking, private
	header, and addition of pricedb.

	* src/engine/gnc-book-p.h: new file - private book functions.

	* src/engine/Ledger-xml-parser-v1.c
	(ledger_data_after_child_handler): new function to handle grabbing
	the pricedb when we hit it.

	* src/FileDialog.c: Various fixes to replace uses of the top level
	AccountGroup with the parent GNCBook.  Also add support for
	reading/writing the GNCPriceDB.  This file still needs a lot of
	work.  Much of it should become a proper file IO Backend.

	* src/guile/gnc.gwp: Add <gnc:Book*>.  Add gnc:get-current-book.
	Add gnc:book-get-group. Add gnc:account-get-price-src.

	* src/gnome/druid-commodity.c (finish_helper): add support for
	GNCPriceDB.

	* src/engine/sixtp-writers.h: add support for GNCPriceDB.

	* src/engine/sixtp-to-dom-parser.c
	(sixtp_dom_parser_new): change signature to add fail and result
	cleanup functions.  These can be NULL, in which case they're
	ignored.  Also modify overall scheme to clean internal garbage up
	properly in case of failure.

	* src/engine/sixtp-parsers.h
	(sixtp_dom_parser_new): change signature.

	* src/engine/sixtp-dom-parsers.c (dom_tree_to_text): minor fixes.

	* src/engine/sixtp-dom-generators.c
	(text_to_dom_tree): new function.

	* src/engine/sixtp-dom-generators.h
	(text_to_dom_tree): new prototype.

	* src/engine/io-gncxml-w.c: add support for pricedb and using
	GNCBook at top level rather than Group.

	* src/engine/io-gncxml.h: support migration from top level Group
	to top level GNCBook.

	* src/engine/io-gncbin-r.c: add support for detecting legacy
	prices and migrating them to the new pricedb.  Replace top level
	uses of a Group with a GNCBook.

	* src/engine/io-gncbin.h: support pricedb and gnc-book changes.

	* src/engine/io-gncxml-p.h: new file - private header.

	* src/engine/io-gncxml-r.c: move bits to private header.  Make
	changes to support move from top level to Group to top level
	GNCBook.

	* src/gnome/druid-qif-import.c: -Werror fixes.

	* src/engine/gnc-pricedb.h: new file.

	* src/engine/gnc-pricedb-p.h: new file.

	* src/engine/gnc-pricedb.c: new file.

	* src/engine/gnc-pricedb-xml-v1.c: new file.

	* src/engine/gnc-engine-util.h: accomodate new functions.

	* src/engine/gnc-commodity-xml-v2.c
	(gnc_commodity_sixtp_parser_create): fix sixtp_dom_parser_new call.

	* src/engine/gnc-account-xml-v2.c
	(gnc_account_end_handler): -Werror fixes.
	(gnc_account_sixtp_parser_create): fix sixtp_dom_parser_new call.

	* src/engine/date.h (timespec_equal): add back.

	* src/engine/date.c (timespec_equal): add back.

	* src/engine/Commodity-xml-parser-v1.c
	(xml_add_commodity_ref): cleanup.

	* src/FileIO.h: deleted.

	* src/FileIOP.h: deleted.

	* src/FileIO.c: deleted.

	* src/test/test-dom-parser1.c: fixes for new sixtp_dom_parser_new.

	* src/test/test-xml-account.c: fixes for new sixtp_dom_parser_new.

	* src/test/test-xml-commodity.c: fixes for new sixtp_dom_parser_new.

	* src/guile/option-util.h: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/guile/option-util.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/guile/guile-util.h: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/guile/guile-util.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/guile/global-options.h: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/guile/global-options.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/window-register.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/window-main.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/gnc-currency-edit.h: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/gnc-currency-edit.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/gnc-commodity-edit.h: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/gnc-commodity-edit.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/druid-commodity.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/dialog-account.c: remove consts from gnc_commoditities
	(after consultation with Bill).

	* src/gnome/dialog-options.c: remove consts from gnc_commoditities
	(after consultation with Bill).

	* src/gnome/dialog-commodity.h: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnome/dialog-commodity.c: remove consts from
	gnc_commoditities (after consultation with Bill).

	* src/gnc-ui-util.h: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/gnc-ui-util.c: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/engine/Transaction.h: remove consts from gnc_commoditities
	(after consultation with Bill).

	* src/engine/Transaction.c: remove consts from gnc_commoditities
	(after consultation with Bill).

	* src/engine/Scrub.c: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/AccountP.h: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/Account.h: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/Account.c: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/SplitLedger.c: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/EuroUtils.h: remove consts from gnc_commoditities (after
	consultation with Bill).

	* src/EuroUtils.c: remove consts from gnc_commoditities (after
	consultation with Bill).

2001-02-23  Bill Gribble  <grib@billgribble.com>

	* src/scm/qif-import/qif-dialog-utils.scm: Be more flexible
	about account types on QIF import

	* src/scm/qif-import/qif-objects.scm: make sure the list of
	allowed types is in the right order

	* src/scm/qif-import/qif-to-gnc.scm: be more flexible about type;
	check on parent type after creating child; don't set security on
	non-{stock,mutual} accounts.

2001-02-22  Christian Stimming  <stimming@tuhh.de>

	* src/engine/Transaction.h: Added xaccSplitGetAmount to be used
	instead of SplitGetShareAmount. Added some explanatory comments
	about our commodity restructuring.

2001-02-22  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-dom-parser1.c: Move generic funcs to test-stuff.c

	* src/test/test-dom-converters1.c: Move generic funcs to
	test-stuff.c 

	* src/test/test-date-converting.c: move generic funcs to
	test-stuff.c 

	* src/engine/sixtp-to-dom-parser.c (dom_start_handler): cast arg
	to xmlNewChild to xmlNodePtr
	(dom_chars_handler): Remove is_whitespace func and use isspace_str
	from other file.

	* src/engine/sixtp-dom-parsers.c: Add all the dom_tree_to funcs.

	* src/engine/sixtp-dom-generators.c (guid_to_dom_tree): Make GUID
	arg const.
	(commodity_ref_to_dom_tree): check nulls.
	(add_kvp_value_node): Add all the kvp code.

	* src/engine/kvp_frame.c: Use string cache func.
	(charstar_va_list_to_gslist): new func.
	(kvp_frame_get_frame): More refactoring.

	* src/engine/gnc-engine.h: Add func def as below.

	* src/engine/gnc-engine.c: Move string cache creation to function
	to get so that you don't have to gnc_engine_init to use the global
	string cache.
	(gnc_engine_get_string_cache): Add func as above.

	* src/engine/gnc-book.h: Add func as below.

	* src/engine/gnc-book.c (gnc_book_get_commodity_table): Add
	function.

	* src/engine/gnc-account-xml-v2.c (gnc_account_dom_tree_create):
	Complete func.
	(gnc_account_end_handler): Fix up.  Finish work.

	* src/engine/Transaction.c (xaccInitSplit): Use func to get string
	cache rather than accessing the var directly.

	* src/engine/Account.h: same as Account.c.  Add comment on
	xaccAccountSet{Currency,Security} that they take control of the
	gnc_commodity args.

	* src/engine/Account.c: Rename xaccAccountSetSlots to *_nc so we
	use the kvp_frame provided rather than copy.

	* src/doc/xml/types.dtd: Fix up kvp type list.  clean up timestamp
	tuff.  Simplify a bit.

	* src/doc/xml/account-v2.dtd: add code and description.

2001-02-19  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/kvp_frame.c: Fix < to be > in binary datasize
	argument (bug fix).  Add comment about appropriateness of
	comparing data sizes first.
	Fix double compare.  was using just gint64 compare.  Extracted out
	double compare into double_compare function.
	Fix return value of kvp_value_compare from gboolean -> gint.
	Fix bug in kvp_glist_compare where it should have read (!lp2 &&
	lp1) and it read (!lp2) so glists never compared equal.
	(kvp_frame_get_hash): Add func.
	(kvp_frame_to_string): Add func.
	(kvp_value_to_string): Add func.
	(kvp_value_glist_to_string): Add func.
	(binary_to_string): Add func.

2001-02-15  Bill Gribble  <grib@billgribble.com>

	* src/scm/qif-import/qif-guess-map.scm: add stock hash
	save/restore to map IO

	* src/scm/qif-import/qif-to-gnc.scm: bug fixes to remove duplicate
	account problems
	
2001-02-15  Christian Stimming  <stimming@tuhh.de>

	* src/scm/report-utilities.scm: Added functions to filter accounts
	by type, and helpers for calculating balances.

	* src/scm/commodity-utilities.scm: (gnc:make-exchange-function)
	now uses <gnc-monetary>.

	* src/scm/html-utilities.scm: (gnc:html-build-acct-table) major
	code cleanup. Added new function to generate a <html-table> of
	exchange rates.

	* src/scm/options-utilities.scm: Added function for another
	option.

	* src/scm/report/{pnl,account-summary}.scm: Added options.

2001-02-15  James LewisMoss  <jimdres@mindspring.com>

	* src/engine/Account.h: Add prototype for SetSlots.

	* src/engine/Account.c (xaccAccountSetSlots): add func.

	* src/test/test-dom-converters1.c (main): Add return_value
	handling to better be a "check"able program.

	* src/test/test-date-converting.c (main): Add return_value
	handling to better be a "check"able program.

	* src/engine/kvp_frame.c (kvp_frame_get_frame): refactor to use
	glist func.
	(kvp_frame_parse_slash_path): extract from slashpath func
	(kvp_frame_get_frame_slash): refactor to use gslist func

	* src/test/test-dom-converters1.c
	(test_dom_tree_to_commodity_ref): Use no_engine version.

	* src/engine/sixtp-dom-parsers.c
	(dom_tree_to_commodity_ref_no_engine): rename func.
	(dom_tree_to_commodity_ref): Add func to do complete commodity
	creation including adding to engine cache.

2001-02-14  James LewisMoss  <jimdres@mindspring.com>

	* src/test/test-dom-converters1.c (Repository): fix mem leak.

	* src/engine/sixtp-dom-parsers.h (Repository): start of kvp code.

	* src/engine/sixtp-dom-parsers.c (Repository): fix mem leak.
	Start of kvp code.

	* src/engine/sixtp-dom-generators.c (Repository): fix mem leak.
	(Repository): Start of kvp code.

	* src/test/test-date-converting.c (Repository): Tests to make sure
	date <-> string converting strings work.

	* src/test/test-dom-converters1.c (Repository): Add tests for rest
	of converters.

	* src/test/Makefile.am (Repository): add new test.  Make "make
	check" work here.

	* src/engine/sixtp-xml-write-utils.c (Repository): use date format
	strings from sixtp-utils.h

	* src/engine/sixtp-utils.h (Repository): add date format strings.
	#include sixtp.h

	* src/engine/sixtp-utils.c (Repository): Use define as timespec
	date format string.

	* src/engine/sixtp-dom-parsers.c (Repository): Add funcs from
	Rob.  make consistent.  Fix a few bugs.  Make
	dom_tree_to_commodity_ref testable by adding new func
	"associate_commodity_ref_with_engine_commodity" to do final
	association with engine commodity table.

	* src/engine/sixtp-dom-generators.c (Repository): Fix to_guid to
	be generic.  Oops.  Add rest of funcs to to foo_to_dom_tree to
	match funcs in sixtp_dom_parsers.

	* src/engine/gnc-numeric.c (Repository): Comment out unused var.

	* src/engine/gnc-account-xml-v2.c (Repository): change to use
	dom_tree_to_commodity_ref. 

	* src/doc/xml/types.dtd: Change cmd: to cmdty: and add ts: to the
	timespec tags.

2001-02-14  Dave Peticolas  <dave@krondo.com>

	* src/engine/date.c: use nl_langinfo (D_FMT) instead of %x for
	locale-based date formatting and parsing.

2001-02-14  Bill Gribble  <grib@billgribble.com>

	* src/scm/qif-import/*.scm: fuzzify account type rules a bit to
	make imports more likely to match up with existing accounts.  Fix
	broken "New" detection.

	* src/gnome/druid-qif-import.c: add default acct based on file 
	name

	* src/gnome/dialog-account-picker.c: make sure picker gets
	scrolled to initial selection.
	
2001-02-14  Christian Stimming  <stimming@tuhh.de>

	* src/scm/html-utilities.scm (gnc:html-build-acct-table): Add
	grouping of accounts according to their types and show their
	subtotal. Major cleanup.

2001-02-13  Bill Gribble  <grib@billgribble.com>

	* src/engine/gnc-numeric.c: fix stupid. stupid. stupid. stupid 
	log10 error

	* src/guile/gnc-helpers.c: start to fix scm_to_gint64 for
	guile-1.3.. this is sort of a duct-tape fix.  We need to port some
	stuff from the guile-1.4 source tree.  Should work fine unless you
	are Bill Gates and you do your accounting in lira.

	* src/gnome/dialog-style-sheet.c: handle WM delete event 

	* src/scm/qif-import/qif-to-gnc.scm: fix backtrace-if-exception 
	usage; add preliminary memo/payee-to-account mapping.

	* src/scm/utilities.scm: define hash-fold if it's not builtin

2001-02-12  Bill Gribble  <grib@billgribble.com>

	* src/scm/html-style-info.scm: minor fixes to html style
	compile

	* various in src/scm: fixes for i18n .. use (N_ instead of (_ 
	where appropriate. 

	* src/engine/gnc-numeric.{c,h}, src/scm/gnc-numeric.scm: add
	support for a new auto-denom type, GNC_DENOM_SIGFIGS(x), where x
	is the number of "significant figures" you want in the output.
	This means that the output denominator will always be a poewr of
	10, but which power is determined by the magnitude of the
	argument.

	* src/engine/Transaction.c, src/gnc-exp-parser.c,
	src/gnc-ui-util.c: make minor changes to use GNC_DENOM_SIGFIGS
	where appropriate.

